Configuring Reporting Services

SQL Server 2008 R2 Reporting Services Configuration Manager Help
Configuring Reporting Services

Use the Reporting Services Configuration tool to configure a SQL Server Reporting Services installation. If you installed a report server using the files-only installation option, you must use this tool to configure the server so that it can be used. If you installed a report server in the default configuration installation option, you can use this tool to verify or modify the settings that were specified during setup. If you are upgrading from a previous version, you can use this tool to update the report server database to the new format. For more information about deployment considerations and options for configuring Reporting Services, see the Deployment (Reporting Services in Native Mode) and Deployment (Reporting Services in SharePoint Integrated Mode) sections in SQL Server Books Online.

The Reporting Services Configuration tool can be used to configure a local or remote report server instance. You must have local system administrator permissions on the computer that hosts the report server you want to configure.

In This Section

Configuring the Report Server Service Account

Provides recommendations and steps on how to modify the service account and password.

Configuring Report Server URLs

Describes how to configure URLs used to access the Report Server Web service and Report Manager.

Creating a Report Server Database

Describes how to create a report server database, required for storing server metadata and objects.

Configuring a Report Server Database Connection

Describes how to modify the connection string used by the report server to connect to the report server database.

Configuring the Unattended Execution Account

Describes how to configure a user account to process reports in unattended mode.

Configuring a Report Server for E-Mail Delivery

Describes how to configure a report server to support e-mail report distribution.

Configuring Reporting Services for Scale-Out Deployment

Provides information about configuring multiple report server instances to use a shared report server database.

Configuring Reporting Services for SharePoint 2010 Integration

Provides an overview of the tasks and requirements for adding a report server to an existing deployment of a SharePoint product or technology.

Configuring and Managing Encryption Keys

Explains how to use and manage encryption keys that are used when storing sensitive data.

Reporting Services Configuration How-to Topics

Provides step-by-step instruction for common tasks.

Reporting Services Configuration F1 Help Topics

Provides help topics for the pages in the Reporting Services Configuration tool.

In SQL Server Books Online

The online help for the Reporting Services Configuration tool is a subset of the product documentation for SQL Server Reporting Services. Complete product documentation can be found in SQL Server Books Online.

When you use SQL Server Books Online, you have access to all the topics provided in this online help system, plus additional content about deploying, administering, and securing a Reporting Services installation. For more information, see Getting Started with SQL Server Books Online in SQL Server Books Online.


Configuring the Report Server Service Account

Configuring the Report Server Service Account |
 | See Also
Configuring Reporting Services >

Reporting Services is implemented as a single service that contains a Report Server Web service, Report Manager, and a background processing application that is used for scheduled report processing and subscription delivery. This topic explains how the service account is initially configured and how to modify the account or password using the Reporting Services Configuration tool. For more information about the applications that run in the service, see Service Architecture (Reporting Services) in SQL Server Books Online.

Initial Configuration

The Report Server service account is defined during Setup. You can run the service under a domain user account or a built-in such as NetworkService account. There is no default account; whatever account you specify in the Server Configuration - Service Accounts page of the Installation Wizard becomes the initial account of the Report Server service.

Important:
Although the Report Server Web service and Report Manager are ASP.NET applications, they do not run under the ASP.NET account. The single service architecture runs both ASP.NET applications within the same Report Server process identity. This is an important change from previous releases, where both the Report Server Web service and Report Manager ran under the ASP.NET worker process identity specified in IIS.

Changing the Service Account

To view and reconfigure service account information, always use the Reporting Services Configuration tool. Service identity information is stored internally in multiple locations. Using the tool ensures that all references are updated accordingly whenever you change the account or password. The Reporting Services Configuration tool performs the following additional steps to ensure the report server remains available:

  • Automatically adds the new account to the report server group created on the local computer. This group is specified in the access control lists (ACLs) that secure Reporting Services files.

  • Automatically updates the login permissions on the SQL Server Database Engine instance used to host the report server database. The new account will be added to the RSExecRole.

    The database login for the old account will not be removed automatically. Be sure to remove accounts that are no longer in use. For more information, see Administering a Report Server Database in SQL Server Books Online.

    Granting database permissions to new service account only occurs if you configured the report server database connection to use the service account in the first place. If you configured the report server database connection to use a domain user account or a SQL Server database login, the connection information is not affected by the service account update.

  • Automatically updates the encryption key to include the profile information of the new account.

    Note:
    If the report server is part of the scale-out deployment, only the report server that you are updating is affected. The encryption keys for other report servers in the deployment are unaffected by the service account change.

For instructions on how to set the account, see How to: Configure a Service Account for Reporting Services.

Choosing an Account

You can configure the Report Server service to run under any of these account types:

  • Least-privileged Windows user account

  • NetworkService

  • LocalSystem

  • LocalService

There is no single best approach for choosing an account type. Each account has advantages and disadvantages that you must consider. If you are deploying Reporting Services on a production server, best practices suggest that you configure the service to run under a domain user account so that you can avoid widespread damage if a shared account is compromised by a malicious user. It also makes it easier to audit the logon activity for this account. A trade-off to using a Windows user account is that if you are deploying Reporting Services in a network that uses Kerberos authentication, you must register the service with the user account. For more information, see How to: Register a Service Principal Name (SPN) for a Report Server.

The following guidelines and links in this section can help you decide on an approach that is best for your deployment.

  • Service Account (Reporting Services Configuration).

  • Setting Up Windows Service Accounts in SQL Server Books Online.

  • The Services and Service Accounts Security Planning Guide on MSDN.

Updating an Expired Password

If the Report Server service runs under a domain account and the password expires before you can update it in the Reporting Services Configuration tool, the service will not start until you specify a new password. If the service cannot be started, you cannot use the Reporting Services Configuration tool to connect to that server to update the account. In this case, you must use a combination of tools to bring the server back online.

To reset the password, do the following:

  1. On the Start menu, point to Control Panel, point to Administrator Tools, and click Services.

  2. Right-click SQL Server Reporting Services, select Properties.

  3. Click Log On, and type the new password.

  4. After you update the password, start the Reporting Services Configuration tool and update the password in the Service Account page. This additional step is necessary to update the account information that is stored internally by the report server.

If the service account password for the Database Engine expires, the rsReportServerDatabaseUnavailable error occurs when you try to connect to the report server. Resetting the password resolves this error. To view the complete text of the error message, see Troubleshooting Server and Database Connection Problems in SQL Server Books Online.

Configuring the Report Server Service for a SharePoint Integrated Report Server

If you are running a report server in SharePoint integrated mode, you must update the service account information that is stored in the SharePoint configuration database if either of the following conditions are true:

  • Modifying the Reporting Services service account (for example, switching from NetworkService to a domain user account).

  • Extending a SharePoint farm to include an additional SharePoint Web application. If the server farm is configured for report server integration, and newly added application is configured to run under a different user account than other applications in the farm, you must update the database access information.

After you reset the database access information, you should then restart the Windows SharePoint Services service to ensure that the old connection is no longer used.

  1. In Administrative Tools, click SharePoint 2010 Central Administration.

  2. Click Application Management.

  3. In the Reporting Services section, click Grant Database Access.

  4. Click OK. The Enter Credentials dialog box appears.

  5. Enter the credentials of a user who is a member of the Local Administrator's group on the computer that hosts the report server. The credentials will be used for a one-time connection to the report server computer for the purpose of retrieving service account information. The database login that is created for each service account will be updated in SharePoint databases.

  6. To restart the service, click Operations.

  7. In Topology and Services, click Services on Server.

  8. For Windows SharePoint Services Web Application, click Stop.

  9. Wait for the service stop.

  10. Click Start.

Note:
SharePoint 2010 products and technologies require domain accounts for service configuration like reporting services SharePoint integration.

For more information, see How to: Configure Report Server Integration in SharePoint Central Administration.

See Also

Tasks

How to: Configure a Service Account for Reporting Services
How to: Start Reporting Services Configuration

Reference

Service Account (Reporting Services Configuration)

Concepts

Configuring Report Server URLs

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Configuring Report Server URLs

Configuring Report Server URLs |
 | See Also
Configuring Reporting Services >

In Reporting Services, URLs are used to access the Report Server Web service and Report Manager. Before you can use either application, you must configure at least one URL each for the Web service and Report Manager. Reporting Services provides default values for both application URLs that work well in most deployment scenarios, including side-by-side deployments with other Web services and applications.

  • If you installed the default configuration, URLs were created automatically using the default values.

  • If you are using the Reporting Services Configuration tool to create or modify the URLs, you can accept the default values for a URL or specify custom values. A test link of the URL appears on page when you define the URL so that you can immediately confirm that the settings you specified result in a valid connection. For step-by-step instructions on how to configure and test a URL, see How to: Configure a URL (Reporting Services Configuration).

Defining a Report Server URL

The URL precisely identifies the location of an instance of a report server application on your network. When you create a report server URL, you must specify the following parts.

Part | Description
Host name | A TCP/IP network uses an IP address to uniquely identify a device on the network. There is a physical IP address for each network adapter card installed in a computer. If the IP address resolves to a host header, you can specify the host header. If you are deploying the report server on a corporate network, you can use the network name of the computer.
Port | A TCP port is an endpoint on the device. The report server will listen for requests on a designated port.
Virtual directory | A port is often shared by multiple Web services or applications. For this reason, a report server URL always includes a virtual directory that corresponds to the application that gets the request. You must specify unique virtual directory names for each Reporting Services application that listens on the same IP address and port.
SSL settings | URLs in Reporting Services can be configured to use an existing SSL certificate that you previously installed on the computer. For more information, see Configuring a Report Server for Secure Sockets Layer (SSL) Connections in SQL Server Books Online.

Default URLs

When you access a report server or Report Manager through its URL, the URL should include the host name and not the IP address. On a TCP/IP network, the IP address will resolve to a host name (or the network name of the computer). If you used the default values to configure URLs, you should be able to access the Report Server Web service using URLs that specify the computer name or localhost as the host name:

  • http://<computername>/reportserver

  • http://localhost/reportserver

The settings that make these URLs available appear in the following table. This table shows the default values that enable a report server connection though URLs that include a host name:

Part | Value | Explanation
IP address | All Assigned | The domain name service on your network resolves the host name on the URL to the computer's IP address. As long as the IP address is specified in the URL that you define, a request that is sent to a specific host will reach its intended target.
Port | 80 | Port 80 is the default port for TCP/IP connections on a computer. Because the report server is listening on port 80, you can omit the port number from the URL. If you specify another port, you must specify it in the URL.
Virtual directory | ReportServer | Notice that both of the example URLs includes the virtual directory name. Unless you customize the URL definition, you must always specify the application's virtual directory name on the URL.
Note:
An underlying URL reservation enables any valid host name to be used on a URL. The Reporting Services Configuration tool creates a URL reservation in HTTP.SYS using syntax that allows variations of the host name to resolve to a particular report server instance. For more information about URL reservations, see About URL Reservations and Registration (Reporting Services).

Server-side Permissions on a Report Server URL

Permissions on each URL endpoint are granted exclusively to the Report Server service account. Only this account has rights to accept requests that are directed to the Reporting Services URLs. Discretionary Access Control Lists (DACLs) are created and maintained for the account when you configure the service identity through Setup or the Reporting Services Configuration tool. If you change the service account, the Reporting Services Configuration tool will update all URL reservations that you created to pick up the new account information. For more information, see URL Reservation Syntax (Reporting Services).

Authenticating Client Requests Sent to a Report Server URL

By default, the authentication type supported on the URL endpoints is Windows Authentication. This is the default security extension. If you are implementing a custom or Forms authentication provider, you must modify the authentication settings on the report server. Optionally, you can also change the Windows Authentication settings to match the authentication subsystem used in your network. For more information, see Configuring Authentication in Reporting Services in SQL Server Books Online.

In This Section

How to: Configure a URL (Reporting Services Configuration)

This topic provides instructions for setting and modifying a URL reservation in the Reporting Services Configuration tool.

About URL Reservations and Registration (Reporting Services)

URLs are used to access applications and reports. This topic explains the application URLs, the default URLs, and how URL reservations and registration work in Reporting Services.

URL Reservation Syntax (Reporting Services)

The default URL reservations that Reporting Services uses are valid for most scenarios. However, if you want to restrict access or extend the deployment to enable Internet or extranet access, you might have to customize the settings to fit your requirements. This topic describes the syntax of a URL reservation and provides recommendations for creating custom reservations for your deployment.

URLs in Configuration Files (Reporting Services)

The RSReportServer.config file contains multiple entries for URL reservations and the URLs used by Report Manager and report server e-mail delivery. This topic summarizes the URL configuration settings so that you can understand how they compare.

URL Reservations for Multi-Instance Report Server Deployments

When you install multiple instances of Reporting Services on a single computer, you increase the probability of encountering URL duplication when a URL is registered. To avoid these errors, follow the recommendations in this topic for creating instance-specific URL reservations.

See Also

Tasks

How to: Configure a URL (Reporting Services Configuration)

Concepts

Web Service URL (Reporting Services Configuration)

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


About URL Reservations and Registration (Reporting Services)

About URL Reservations and Registration (Reporting Services) |
 | See Also
Configuring Reporting Services > Configuring Report Server URLs >

URLs for Reporting Services applications are defined as URL reservations in HTTP.SYS. A URL reservation defines the syntax of a URL endpoint to a Web application. URL reservations are defined for both the Report Server Web service and Report Manager when you configure the applications on the report server. URL reservations are created for you automatically when configure URLs through Setup or the Reporting Services Configuration tool:

  • Setup will create URL reservations using default values. If Setup installs the default configuration, it will reserve two URLs; one of the Report Server Web service and another for Report Manager. You can use the Reporting Services Configuration tool to add more URLs or modify the default URLs that Setup creates.

  • The Reporting Services Configuration tool will create a URL reservation based on the URL you specify in the Web Service URL or Report Manager URL pages in the tool.

Both Setup and the tool will also assign permissions on the URL to the Report Server service, check for duplicate instances, and add the URL reservation to HTTP.SYS. Never create or modify a Reporting Services URL reservation directly using HttpCfg.exe or other tool. If you skip a step or set an invalid value, you will encounter problems that might be difficult to diagnose or fix.

Note:
HTTP.SYS is an operating system component that listens for network requests and routes them to a request queue. In this release of Reporting Services, HTTP.SYS establishes and maintains the request queue for the Report Server Web service and Report Manager. Internet Information Services (IIS) is no longer used to host or access Reporting Services applications. For more information about HTTP.SYS functionality, see HTTP Server API on MSDN.

In This Topic

This topic introduces the URLs, URL reservations and registration, default values, and deployment-specific recommendations that you should follow if you create or modify URLs for different server configurations. The following sections are in this topic:

  • URLs in Reporting Services

  • URL Reservation and Registration

  • Default URLs

  • Authentication and Service Identity for Reporting Services URLs

  • URLs for Local Administration

  • URLs for Scale-out Deployment

  • URLs for SharePoint Integrated Mode

For more information about URL construction and usage in a Reporting Services installation or troubleshooting reservation or registration errors, see Configuring Report Server URLs and Troubleshooting Configuration Problems in SQL Server Books Online.

URLs in Reporting Services

In a Reporting Services installation, you can access the following tools, applications, and items through URLs:

  • Report Server Web service

  • Report Manager

  • Report Builder

  • Reports that have been published to a report server

Other published URL-addressable items, such as models and shared data sources, should not be accessed through URLs as stand-alone items. The report server does not display those items in a meaningful format when viewed in a browser window.

Note:
This topic does not describe URL access to Report Builder or to specific reports that are stored on the report server. For more information about URL access to these items, see Using a URL to Access Report Server Items in SQL Server Books Online.

URL Reservation and Registration

A URL reservation defines the URLs that can be used to access a Reporting Services application. Reporting Services will reserve one or more URLs for the Report Server Web service and Report Manager in HTTP.SYS, and then register them when the service starts. URLs to Report Builder and reports are based on the Report Server Web service URL reservation. By appending parameters to the URL, you can open Report Builder or reports through the Web service. Reservations and registration is provided by HTTP.SYS. For more information, see Namespace Reservations, Registration, and Routing on MSDN.

URL reservation is a process by which a URL endpoint to a Web application is created and stored in HTTP.SYS. HTTP.SYS is the common repository of all URL reservations that are defined on a computer and defines a set of common rules that guarantee unique URL reservations.

URL registration occurs when the service starts. The request queue is created and HTTP.SYS begins routing requests to that queue. A URL endpoint must be registered before requests that are directed to that endpoint are added to the queue. When the Report Server service starts, it will register all URLs that it has reserved for all enabled applications. This means that the Web service must be enabled in order for registration to occur. If you set the WebServiceAndHTTPAccessEnabled property to False in the Surface Area Configuration for Reporting Services facet of Policy-Based Management, the URL for the Web service will not register when the service starts.

URLs are unregistered if you stop the service or recycle the Web service or Report Manager application domain. If you modify a URL reservation while the service is running, the report server will recycle the application domain immediately so that the old URL can be unregistered and the new one put into use.

A few simple examples illustrate the concept of a URL reservation and how it relates to URL addresses used for Reporting Services applications. A key point to notice is that the URL reservation has different syntax than the the URL you use to access the application:

URL Reservation in HTTP.SYS URL Explanation

http://+:80/reportserver

http://<computername>/reportserver

http://<IPAddress>/reportserver

http://localhost/reportserver

The URL reservation specifies a wildcard (+) on port 80. This puts into the report server queue any incoming request that specifies a host that resolves to the report server computer on port 80. Notice that with this URL reservation, any number of URLs can be used to access the report server.

This is the default URL reservation for a Reporting Services report server for most operating systems.

http://123.45.67.0:80/reportserver

http://123.45.67.0/reportserver

This URL reservation specifies an IP address and is much more restrictive than the wildcard URL reservation. Only URLs that include the IP address can be used to connect to the report server. Given this URL reservation, a request to a report server at http://<computername>/reportserver or http://localhost/reportserver would fail.

Default URLs

If you install Reporting Services in the default configuration, Setup will reserve URLs for the Report Server Web service and Report Manager. You can also accept these default values when you define URL reservations in the Reporting Services Configuration tool. Default URLs will include an instance name if you install SQL Server Express or if you install Reporting Services as a named instance.

Important:
The instance character is an underscore character (_).

URL reservations include a port number. The following operating systems will allow multiple Web applications to share a port: Windows Server 2003, Windows Vista, and Windows Server 2008. If you are using Windows XP, make sure to use unique ports.

Instance Type | Application | Default URL | Actual URL reservation in HTTP.SYS
Default instance | Report Server Web service | http://<servername>/reportserver | http://<servername>:80/reportserver
Default instance | Report Manager | http://<servername>/reportserver | http://<servername>:80/reportserver
Named instance | Report Server Web service | http://<servername>/reportserver_<instancename> | http://<servername>:80/reportserver_<instancename>
Named instance | Report Manager | http://<servername>/reports_<instancename> | http://<servername>:80/reports_<instancename>
SQL Server Express | Report Server Web service | http://<servername>/reportserver_SQLExpress | http://<servername>:80/reportserver_SQLExpress
SQL Server Express | Report Manager | http://<servername>/reports_SQLExpress | http://<servername>:80/reports_SQLExpress

Authentication and Service Identity for Reporting Services URLs

Reporting Services URL reservations specify the service account of the Report Server service. The account under which the service runs is used for all URLs that are created for the Reporting Services applications that run in the same instance. The service identity of the report server instance is stored in the RSReportServer.config file.

The service account has no default value. However, specifying a service account is required during Setup and is specified in URLReservation in RSReportServer.config even if you install the server in files-only mode. Valid values for the service account include a domain user account, LocalSystem, or NetworkService.

Anonymous access is disabled because the default security is RSWindowsNegotiate. For intranet access, report server URLs use network computer names. If you want to configure Reporting Services for Internet connections, you must use different settings. For more information, see Planning for Extranet or Internet Deployment in SQL Server Books Online. For more information about authentication, see Configuring Authentication in Reporting Services in SQL Server Books Online.

URLs for Local Administration

You can use http://localhost/reportserver or http://localhost/reports if you specified a strong or weak wildcard for the URL reservation.

The http://localhost URL is interpreted as http://127.0.0.1. If you pegged the URL reservation to a computer name or single IP address, you cannot use localhost unless you create an additional reservation for 127.0.0.1 on the local computer. Similarly, if localhost or 127.0.0.1 is disabled on your computer, you cannot use that URL.

Windows Vista and Windows Server "Longhorn" include new security features to minimize the risk of accidentally running programs with elevated privileges. Additional steps are necessary to enable local administration on these operating systems. For more information, see How to: Configure a Report Server for Local Administration on Windows Vista and Windows Server 2008.

URLs for Scale-out Deployment

Information for this section is not available in this release.

URLs for Report Server in SharePoint Integrated Mode

If a stand-alone report server is configured to run within a larger deployment of a SharePoint product or technology, URL and virtual directory construction will be affected in the following ways:

  • URLs for reports and other items are addressed through the SharePoint Web application URL. For URL access to specific reports, always use a fully qualified URL that includes the site path, the document library, the item name, and a file name extension (such as .rdl for a report). You must specify fully qualified URLs when you reference shared data sources and models in reports, and when you specify a target server and folders for publish operations to a report server.

  • The file name extension is used to distinguish between different types of report server items. Valid extensions include .rdl for report definitions, .smdl for report models, and .rsds for shared data sources that are created for a SharePoint site.

  • Although SharePoint products and technologies have URL reservations defined for them, you can ignore the reservation when publishing to the server. For SharePoint Web applications, URL reservation is an internal operation.

  • For single server deployments where an integrated report server and SharePoint technology instance are installed on the same computer, you cannot use http://localhost/reportserver. If http://localhost is used to access the SharePoint Web application, you must use a non-default Web site or a unique port assignment to access a report server. Furthermore, if the report server is integrated with a SharePoint farm, localhost access to a reports server will not resolve for nodes in the deployment that are installed on remote computers.

  • The URL reservation and endpoint for Report Manager cannot be configured for a report server that runs in SharePoint integrated mode. If you do configure it, it will no longer work after you deploy a report server in SharePoint integrated mode. Report Manager is not supported in this mode.

If you integrated a report server scale-out deployment to run within a larger deployment of a SharePoint product or technology, load balance the report server nodes and define a single virtual server URL to the scale-out deployment. Report Server integration settings only allow you to specify a single report server URL. In the case of a scale-out deployment, the URL must be the access point for the server nodes in the scale-out deployment.

For more information about deployment modes and URL requirements for publishing items, see Planning a Deployment Mode and Deploying Models and Shared Data Sources to a SharePoint Site in SQL Server Books Online.

See Also

Tasks

How to: Configure a URL (Reporting Services Configuration)

Concepts

URL Reservation Syntax (Reporting Services)

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


URL Reservation Syntax (Reporting Services)

URL Reservation Syntax (Reporting Services) |
 | See Also
Configuring Reporting Services > Configuring Report Server URLs >

This topic describes the parts of the URL string for the Report Server Web service and Report Manager. The URL string that is stored internally has a different structure from a URL that you type in the Address bar of a browser window. The URL reservation string appears in the Results window of the Reporting Services Configuration tool when you configure a URL and in the RSReportServer.config file. Knowing how the URL string is defined can be useful if you are troubleshooting URL reservation problems or querying HTTP.SYS to view the internal URL reservations that are defined on your server.

URL Syntax

A report server URL is stored in the UrlString element and the VirtualDirectory element. The reason for separating UrlString and VirtualDirectory into separate elements is that you can have multiple URL strings, but only one virtual directory name for each Reporting Services application.

In HTTP.SYS, the URL reservation includes both the UrlString and VirtualDirectory. The syntax for a URL reservation has the following parts:

<scheme>://<hostname>:<port>/<virtualdirectory>

The following table describes each property and which values are valid for each one.

Property Valid values Description

Scheme

http or https

Prefixes for non-SSL and SSL connections.

Hostname

(+) Strong wildcard, equates to (All Assigned) value for the IP address.

(*) Weak wildcard, equates to an IP address of (All Unassigned).

Fully qualified domain name

Machine name

IP address (IPV4)

IP address (IPV6)

Identifies the server on the network.

(+) Strong wildcard is the default. HTTP.SYS will accept all requests on all network adaptors for a given port and virtual directory combination. The report server will accept any request on the port.

(*) Weak wildcard. HTTP.SYS accepts all requests not handled by other URL reservations on all network adaptors for a given port and virtual directory combination.

Machine name is the NETBIOS name of the computer on the network.

Fully qualified domain name includes domain address and server name, as registered with a domain controller or public domain name server.

IP address (IPV4) is the IP address of a network adaptor on the computer in IPV4 format: nnn.nnn.nnn.nnn.

IP address (IPV6) is the IP address of a network adaptor on the computer in IPV6 format: <header>:<header>:nnn.nnn.nnn.nnn.

Port

80

443

<custom>

Port 80 is the standard port for HTTP requests to and from a server.

Port 443 is the standard report for SSL connections.

You can use any port that is not already reserved by another application.

Virtualdirectory

ReportServer[_InstanceName]

Reports[_InstanceName]

<custom>

Specifies the name of the application. This value is a string. By default, Reporting Services uses ReportServer and Reports as the application names for the Report Server Web service and Report Manager applications. You can use different names if you prefer.

This value is required. It identifies the application.

Specify only one virtual directory for each application instance. To create multiple URLs for the same application in the same instance, create multiple versions of the UrlString. To create unique virtual directory names for multiple application instances, consider including the instance name in the virtual directory name, using the underscore character (_) to append the instance name. InstanceName is optional, but recommended if you have multiple instances on the same computer. For more information about how to set URL reservations for named instances, see URL Reservations for Multi-Instance Report Server Deployments.

The value for virtual directory is not case-sensitive. You can use any string as long as it does not include URL separator characters or URL encoding.

See Also

Tasks

How to: Configure a URL (Reporting Services Configuration)

Concepts

Configuring Report Server URLs

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


URLs in Configuration Files (Reporting Services)

URLs in Configuration Files (Reporting Services) |
 | See Also
Configuring Reporting Services > Configuring Report Server URLs >

Reporting Services stores application settings in a RSReportServer.config file. Within this file, there are configuration settings for both URLs and URL reservations. These configuration settings have very different purposes and rules for modification. If you are accustomed to modifying configuration files to tune a deployment, this topic can help you understand how each URL setting is used.

URL Settings in RSReportServer.config File

Reporting Services stores URLs for application and report access, and to connect Web front-end components to a back-end report server.

URLs for Application Access

URLs are used to access the Report Server Web service and Report Manager. To configure the URLs, you must use the Reporting Services Configuration tool. The tool creates the URL reservations for each application in HTTP.SYS and adds entries for the URLs in the URLReservations section of RSReportServer.config.

  • To view descriptions of each element in the URLReservations section, see RSReportServer Configuration File in SQL Server Books Online.

  • For more information about the syntax of just the UrlString element, see URL Reservation Syntax (Reporting Services).

  • For instructions on how to configure URLs for application access, see How to: Configure a URL (Reporting Services Configuration).

URLs for Report Access

Reporting Services includes a report server e-mail delivery extension that you can use to send report links or attachments. A report link is constructed when the report is delivered. The report server e-mail delivery extension uses the UrlRoot setting in the configuration file to create the link. UrlRoot is also used to resolve links in a rendered report that is generated through unattended report processing.

UrlRoot is specified automatically in the RSReportServer.config file when you configure URLs for application access. If you modify this value in the configuration file, you must specify a valid URL address to a Report Server Web service that is connected to a report server database that contains the reports you want to deliver. You can only specify one UrlRoot for a single report server instance; only one UrlRoot entry can exist in the RSReportServer.config file for any given report server instance. If you have multiple URLs reserved for the Report Server Web service, you must choose one of the available values for UrlRoot.

In most cases, you do not need to modify UrlRoot. However, if the report server will be accessed through a fully qualified URL, and you did not configure a URL that uses a host header to the fully qualified site name, you must edit the RSReportServer.config manually to set the UrlRoot to the fully qualified report server URL that will be used to render the report (for example, https://www.adventure-works.com/mywebapp/reportserver).

URLs Connecting Report Manager and Web Parts to the Report Server Web Service

Report Manager and the SharePoint 2.0 Web Parts for Reporting Services are Web front-end components that connect to a report server. URLs used to connect to a backend report server include the following:

  • ReportServerUrl (used by Report Manager)

  • ReportServerExternalUrl (used by Web Parts)

Note:
Previous versions of Reporting Services included the ReportServerVirtualDirectory element. This value is obsolete in SQL Server 2008. If you upgraded an existing installation and are using a configuration file that contains this setting, the report server no longer reads this value.

The following table provides a summary of all the URLs that can be specified in a Reporting Services configuration file.

Setting Usage Description

ReportServerUrl

Optional. This element is not included in the RSReportServer.config file unless you add it yourself.

Set this element only if you are configuring one of the following scenarios:

  • Report Manager provides Web front-end access to a Report Server Web service that runs on a different computer or a different instance on the same computer.

  • When you have multiple URLs to a report server and you want Report Manager to use a specific URL.

  • You have a specific report server URL through which you want all Report Manager connections to use.

    For example, you might enable Report Manager access for all computers on network, yet require that Report Manager connect to the report server through a local connection. In this case, you might configure ReportServerUrl to "http://localhost/reportserver".

For instructions on how to implement these scenarios, see How to: Configure Report Manager in SQL Server Books Online.

This value specifies a URL to the Report Server Web service. This value is read by the Report Manager application at startup. If this value is set, Report Manager will connect to the report server that is specified in the URL.

By default, Report Manager provides Web front-end access to the Report Server Web service that runs within the same report server instance as Report Manager. However, if you want to use Report Manager with a Report Server Web service that is part of another instance or runs in an instance on a different computer, you can set this URL to direct Report Manager to connect to the external Report Server Web service.

If a Secure Sockets Layer (SSL) certificate is installed on the report server to which you are connecting, the ReportServerUrl value must be the name of the server that is registered for that certificate. If you get the error, "The underlying connection was closed: Could not establish trust relationship for the SSL/TLS security channel", set ReportServerUrl to the fully qualified domain name of the server for which the SSL certificate was issued. For example, if the certificate is registered to https://adventure-works.com.onlinesales, the report server URL would be https://adventure-works.com.onlinesales/reportserver.

ReportServerExternalUrl

Optional. This element is not included in the RSReportServer.config file unless you add it yourself.

Set this element only if you are using the SharePoint 2.0 Web Parts and you want users to be able to retrieve a report and open it in a new browser window.

Add <ReportServerExternalUrl> underneath the <ReportServerUrl> element, and then set it to a fully qualified report server name that resolves to a report server instance when accessed in a separate browser window. Do not delete <ReportServerUrl>.

The following example illustrates the syntax:

<ReportServerExternalUrl>http://myserver/reportserver</ReportServerExternalUrl>

This value is used by the SharePoint 2.0 Web Parts.

In previous releases, it was recommended that you set this value to deploy Report Builder on an Internet-facing report server. This is an untested deployment scenario. If you used this setting in the past to support Internet access to Report Builder, you should consider an alternative strategy.

See Also

Tasks

How to: Configure a URL (Reporting Services Configuration)

Concepts

Configuring Report Server URLs

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


URL Reservations for Multi-Instance Report Server Deployments

URL Reservations for Multi-Instance Report Server Deployments |
 | See Also
Configuring Reporting Services > Configuring Report Server URLs >

If you install multiple instances of Reporting Services on the same computer, you must consider how you will define the URL reservations for each instance. Within each instance, the Report Server Web service and Report Manager must have at least one URL reservation each. The entire set of reservations must be unique in HTTP.SYS.

Duplicate URLs are detected during URL registration, which occurs when the service starts. If you create URL reservations that are not unique, the name conflict might not be detected until you start the service. For this reason, make sure that you follow naming conventions or rules to ensure all values are unique.

Default Naming Conventions

Reporting Services can be installed within a SQL Server named instance. When you install or configure a report server within a named instance, the instance name is automatically included in the virtual directory in the default URL reservation that Reporting Services provides. The following table shows the URL reservations for a default instance and a named instance.

SQL Server Instance | Default URL Reservation
Default (MSSQLServer) | http://+:80/reportserver
Named (MynamedInstance) | http://+:80/reportserver_MyNamedInstance

For the named instance, the virtual directory includes the instance name. Both the default instance and the named instance listen on the same port, but the unique virtual directory names determine which report server gets the request.

Best practice recommendations are to use the virtual directory name to distinguish among the report server instance. It provides a clear correspondence between a URL and the target instance, and ensures that the application names are unique across the whole system.

Custom Naming Conventions

Although using the instance name is recommended, you can use the URL syntax and your own naming conventions to meet the unique name constraints for URL reservations. The following examples illustrate different approaches for creating unique URLs for each instance.

Report Server default instance (MSSQLSERVER) | ReportServer_MyNamedInstance | Uniqueness
http://+:80/reportserver | http://+:8888/reportserver | Each instance listens on a different port.
http://www.contoso.com/reportserver | http://SRVR-46/reportserver | Each instance responds to different server names (fully qualified domain name, and machine name).

Uniqueness Requirements

The underlying technologies used by Reporting Services impose requirements around unique names. HTTP.SYS requires that all URLs within its repository be unique. You can vary the port, host name, or virtual directory name to create a unique URL. ASP.NET requires that application identities be unique within the same process. This requirement affects the virtual directory names. It specifies that you cannot duplicate a virtual directory name within the same report server instance.

See Also

Tasks

How to: Configure a URL (Reporting Services Configuration)

Concepts

Configuring Report Server URLs

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Creating a Report Server Database

Creating a Report Server Database |
 | See Also
Configuring Reporting Services >

Note:
For SQL Server 2008 R2, there have been no changes to the content that is listed in this topic.

Reporting Services uses two SQL Server relational databases to store report server metadata and objects. One database is used for primary storage, and the second one stores temporary data. The databases are created together and bound by name. With a default SQL Server instance, the databases are named reportserver and reportservertempdb. Collectively, the two databases are referred to as the "report server database" or "report server catalog".

Important:
Do not write applications that run queries against the report server database. The report server database is not a public schema. The table structure might change from one release to the next. If you write an application that requires access to the report server database, always use the Reporting Services APIs to access the report server database.

Ways to Create the Report Server Database

You can create the report server database in the following ways:

  • Automatically through Setup, if you choose the default configuration installation option. In the SQL Server Installation Wizard, this is the Install the native mode default configuration option or the Install the SharePoint integrated mode default configuration in the Report Server Installation Options page. If you chose the Install but do not configure option, you must use the Reporting Services Configuration tool to create the database.

  • Manually through the Reporting Services Configuration tool. You must create the report server database manually if you are using a remote SQL Server Database Engine to host the database. For more information, see How to: Create a Report Server Database (Reporting Services Configuration).

Database Server Version Requirements

SQL Server is used to host the report server databases:

  • SQL Server 2005 or SQL Server 2008 can be used to host the databases. Do not use SQL Server 2000 or earlier versions of SQL Server.

  • The SQL Server Database Engine instance can be a local or remote instance.

Creating the report server database on a remote computer requires that you configure the connection to use a domain user account or a service account that has network access. If you decide to use a remote SQL Server instance, consider carefully which credentials the report server should use to connect to the SQL Server instance. For more information, see Configuring a Report Server Database Connection.

Important:
Report Server and the SQL Server instance hosting the report server database can be in different domains. For Internet deployment, it is common practice to use a server that is behind a firewall. If you are configuring a report server for Internet access, use SQL Server credentials to connect to the instance of SQL Server that is behind the firewall and use IPSEC to secure the connection.

Database Server Edition Requirements

When creating a report server database, be aware that not all editions of SQL Server can be used to host the database. The following table shows you which editions of the Database Engine you can use for specific editions of Reporting Services.

For this edition of SQL Server Reporting Services | Use this edition of the Database Engine instance to host the database
SQL Server Express with Advanced Services | SQL Server Express with Advanced Services (local only).
Web | Web edition (local only)
Workgroup | Workgroup edition (local only)
Evaluation | Evaluation
Developer | Standard, Developer, Enterprise editions (local or remote)
Standard | Standard, Enterprise editions (local or remote)
Enterprise | Standard, Enterprise editions (local or remote)

See Also

Concepts

Configuring Reporting Services

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Configuring a Report Server Database Connection

Configuring a Report Server Database Connection |
 | See Also
Configuring Reporting Services >

Each report server instance requires a connection to the report server database that stores reports, report models, shared data sources, resources, and metadata managed by the server. The initial connection can be created during a report server installation if you are installing the default configuration. In most cases, you will use the Reporting Services Configuration tool to configure the connection after Setup is complete. You can modify the connection at any time to change the account type or reset credentials. For step-by-step instructions on how to create the database and configure the connection, see How to: Create a Report Server Database (Reporting Services Configuration).

You must configure a report server database connection in the following circumstances:

  • Configuring a report server for first use.

  • Configuring a report server to use a different report server database.

  • Changing the user account or password that is used for the database connection. You only need to update the database connection when the account information is stored in the RSReportServer.config file. If you are using the service account for the connection (which uses Windows integrated security as the credential type), the password is not stored, eliminating the need to update the connection information. For more information about changing accounts, see Configuring the Report Server Service Account.

  • Configuring a report server scale-out deployment. Configuring a scale-out deployment requires that you create multiple connections to a report server database. For more information about how to perform this multi-step operation, see How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration).

How Reporting Services Connects to the Database Engine

Report server access to a report server database depends on credentials and connection information, and on encryption keys that are valid for the report server instance that uses that database. Having valid encryption keys is necessary for storing and retrieving sensitive data. Encryption keys are created automatically when you configure the database for the first time. After the keys are created, you must update them if you change the Report Server service identity. For more information about working with encryption keys, see Configuring and Managing Encryption Keys.

The report server database is an internal component, accessed only by the report server. The credentials and connection information you specify for the report server database are used exclusively by the report server. Users who request reports do not require databases permissions or a database login for the report server database.

Reporting Services uses System.Data.SqlClient to connect to the Database Engine that hosts the report server database. If you are using a local instance of the Database Engine, the report server will establish the connection using shared memory. If you are using a remote database server for the report server database, you might have to enable remote connections depending on the edition you are using. If you are using the Developer edition, remote connections are turned off by default. If you are using the Enterprise edition, remote connections are enabled for TCP/IP by default.

To verify that the instance accepts remote connections, click Start, click All Programs, click Microsoft SQL Server 2008 R2, click Configuration Tools, click SQL Server Configuration Manager, and then verify that the TCP/IP protocol is enabled for each service.

When you enable remote connections, the client and server protocols will also be enabled. To verify the protocols are enabled, click Start, click All Programs, click Microsoft SQL Server 2008 R2, click Configuration Tools, click SQL Server Configuration Manager, click SQL Server Network Configuration, and then click Protocols for MSSQLSERVER. For more information, see How to: Enable or Disable a Server Network Protocol (SQL Server Configuration Manager) in SQL Server Books Online.

Defining a Report Server Database Connection

To configure the connection, you must use the Reporting Services Configuration Manager tool or the rsconfig command line utility. A report server requires the following connection information:

  • Name of the Database Engine instance hosting the report server database..

  • Name of the report server database. When creating a connection for the first time, you can create a new report server database or select an existing database. For more information, see Creating a Report Server Database.

  • Credential type. You can use the service accounts, a Windows domain account, or a SQL Server database login.

  • User name and password (required only if you are using Windows domain account or a SQL Server login).

The credentials that you provide must be granted access to the report server database. If you use the Reporting Services Configuration tool, this step is performed automatically. For more information about the permissions required to access the database, see the "Database Permissions" section in this topic.

Storing Database Connection Information

Reporting Services stores and encrypts the connection information in the following RSreportserver.config settings. You must use the Reporting Services Configuration tool or rsconfig utility to create encrypted values for these settings.

Not all of the values are set for every type of connection. If you configure the connection using the default values (that is, using the service accounts to make the connection), <LogonUser>, <LogonDomain>, and <LogonCred> will be empty, as follows:

Copy Code
<Dsn></Dsn>
<ConnectionType></ConnectionType>
<LogonUser></LogonUser>
<LogonDomain></LogonDomain>
<LogonCred></LogonCred>

If you configure the connection to use a specific Windows account or database login, you must remember to update the values that are stored if you subsequently change the account or login.

Choosing a Credential Type

There are three types of credentials that can be used in a connection to a report server database:

  • Windows integrated security using the Report Server service account. Because the report server is implemented as a single service, only the account under which the service runs requires database access.

  • A Windows user account. If the report server and the report server database are installed on the same computer, you can use a local account. Otherwise, you must use a domain account.

  • A SQL Server login.

Note:
A custom authentication extension cannot be used to connect to a report server database. Custom authentication extensions are used only to authenticate a principal to a report server. They do not affect connections to the report server database or to external data sources that provide content to reports.

If the instance of the Database Engine is configured for Windows Authentication and is in the same domain or a trusted domain with the report server computer, you can configure the connection to use the service account or a domain user account that you manage as a connection property through the Reporting Services Configuration tool. If the database server is in a different domain or if you are using workgroup security, you must configure the connection to use a SQL Server database login. In this case, be sure to encrypt the connection. For more information, see Encrypting Connections to SQL Server in SQL Server Books Online.
Using Service Accounts and Integrated Security

You can use Windows integrated security to connect through the Report Server service account. The account is granted login rights to the report server database. This is the default credential type chosen by Setup if you install Reporting Services in the default configuration.

The service account is a trusted account that provides a low-maintenance approach to managing a report server database connection. Because the service account uses Windows integrated security to make the connection, the credentials do not have to be stored. However, if you subsequently change the service account password or identity (for example, switching from a built-in account to a domain account), be sure to use the Reporting Services Configuration tool to make the change. The tool automatically updates the database permissions to use the revised account information. For more information, see Configuring the Report Server Service Account.

If you configure the database connection to use the service account, the account must have network permissions if the report server database is on a remote computer. Do not use the service account if the report server database is on a different domain, behind a firewall, or if you are using workgroup security instead of domain security. Use a SQL Server database user account instead.

Using a Domain User Account

You can specify a Windows user account for the report server connection to the report server database. If you use a local or domain account, you must update the report server database connection every time you change the password or the account. Always use the Reporting Services Configuration tool to update the connection.

Using a SQL Server Login

You can specify a single SQL Server login to connect to the report server database. If you use SQL Server Authentication and the report server database is on a remote computer, use IPSec to help secure the transmission of data between the servers. If you use a database login, you must update the report server database connection every time you change the password or the account.

Database Permissions

Accounts used to connect to the report server database are granted the following roles:

  • public and RSExecRole roles for the ReportServer database.

  • RSExecRole role for the master, msdb, and ReportServerTempDB databases.

When you use the Reporting Services Configuration tool to create or modify the connection, these permissions are granted automatically. If you use the rsconfig utility, and you are specifying a different account for the connection, you must update the SQL Server login for that new account. You can create script files in the Reporting Services Configuration tool that will update the SQL Server login for the report server.

Verifying the Database Name

Use the Reporting Services Configuration tool to determine which report server database is used by a particular report server instance. To find the name, connect to the report server instance and open the Database Setup page.

Using a Different Report Server Database or Moving a Report Server Database

You can configure a report server instance to use a different report server database by changing the connection information. A common case for switching databases is when you deploy a production report server. Switching from a test report server database to a production report server database is typically how production servers are rolled out. You can also move a report server database to another computer. For more information, see Moving the Report Server Databases to Another Computer and Migration (Reporting Services) in SQL Server Books Online.

Configuring Multiple Reports Servers to Use the Same Report Server Database

You can configure multiple report servers to use the same report server database. This deployment configuration is called a scale-out deployment. This configuration is a prerequisite if you want to run multiple report servers in a server cluster. However, you can also use this configuration if you want to segment service applications or if you want to test the installation and settings of a new report server instance to compare it with an existing report server installation. For more information, see Configuring Reporting Services for Scale-Out Deployment.

See Also

Concepts

Creating a Report Server Database
Reporting Services Configuration How-to Topics
Configuring the Report Server Service Account

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Configuring a Report Server for E-Mail Delivery

Configuring a Report Server for E-Mail Delivery |
 | See Also
Configuring Reporting Services >

Reporting Services includes an e-mail delivery extension so that you can distribute reports through e-mail. Depending on how you define the e-mail subscription, a delivery might consist of a notification, link, attachment, or embedded report. The e-mail delivery extension works with your existing mail server technology. The mail server must be an SMTP server or forwarder. The report server connects to an SMTP server through Collaboration Data Objects (CDO) libraries (cdosys.dll) that are provided by the operating system.

The report server e-mail delivery extension is not configured by default. You must use the Reporting Services Configuration tool to minimally configure the extension. To set advanced properties, you must edit the RSReportServer.config file. If you cannot configure the report server to use this extension, you can deliver reports to a shared folder instead. For more information, see File Share Delivery in Reporting Services in SQL Server Books Online.

Configuration Requirements

  • Report server e-mail delivery is implemented on Collaboration Data Objects (CDO) and requires a local or remote Simple Mail Transfer Protocol (SMTP) server or SMTP forwarder. SMTP is not supported on all Windows operating systems. If you are using the Itanium-based edition of Windows Server 2008, SMTP is not supported. For more information about configuration options provided through CDO, see Configuration CoClass on MSDN.

  • The Report Server service account must have permission on the SMTP server to send mail.

  • The e-mail delivery extension uses UTF-8 encoding in e-mail attachments. You cannot modify the encoding; the HTML rendering extension only supports UTF-8.

Note:
The default e-mail delivery extension does not provide support for digitally signing or encrypting outgoing mail messages.

Configuring a Report Server for Local or Remote SMTP Service

You can use a local SMTP service or a remote SMTP server or forwarder to support e-mail delivery. If you have access to an existing remote SMTP server, you should consider using it. If there is no SMTP server available or if you subsequently encounter report delivery errors that can be attributed to computer connection failures, you should switch to using a local SMTP service. Details about how to configure a report server for local or remote service are provided further on in this topic.

Setting Configuration Options for E-Mail Delivery

Before you can use Report Server e-mail delivery, you must set configuration values that provide information about which SMTP server to use.

To configure a report server for e-mail delivery, do the following:

  • Use the Reporting Services Configuration tool if you are specifying just an SMTP server and a user account that has permission to send e-mail. These are the minimum settings that are required for configuring the Report Server e-mail delivery extension. For more information, see How to: Configure a Report Server for E-mail Delivery (Reporting Services Configuration).

  • (Optionally) Use a text editor to specify additional settings in the RSreportserver.config file. This file contains all of the configuration settings for Report Server e-mail delivery. Specifying additional settings in these files is required if you are using a local SMTP server or if you are restricting e-mail delivery to specific hosts. For more information about finding and modifying configuration files, see How to: Modify a Reporting Services Configuration File in SQL Server Books Online.

Note:
Report server e-mail settings are based on CDO. If you want more detail about specific settings, you can refer to the CDO production documentation.

Example Report Server E-Mail Configuration

The following example illustrates the settings in the RSreportserver.config file for a remote SMTP server. To read about the setting descriptions and valid values, see RSReportServer Configuration File in SQL Server Books Online or the CDO product documentation.

Copy Code
<RSEmailDPConfiguration>
     <SMTPServer>mySMTPServer.Adventure-Works.com</SMTPServer>
     <SMTPServerPort></SMTPServerPort>
     <SMTPAccountName></SMTPAccountName>
     <SMTPConnectionTimeout></SMTPConnectionTimeout>
     <SMTPServerPickupDirectory></SMTPServerPickupDirectory>
     <SMTPUseSSL></SMTPUseSSL>
     <SendUsing>2</SendUsing>
     <SMTPAuthenticate></SMTPAuthenticate>
     <From>my-rs-email-account@Adventure-Works.com</From>
     <EmbeddedRenderFormats>
          <RenderingExtension>MHTML</RenderingExtension>
     </EmbeddedRenderFormats>
     <PrivilegedUserRenderFormats></PrivilegedUserRenderFormats>
     <ExcludedRenderFormats>
          <RenderingExtension>HTMLOWC</RenderingExtension>
          <RenderingExtension>NULL</RenderingExtension>
     </ExcludedRenderFormats>
     <SendEmailToUserAlias>True</SendEmailToUserAlias>
     <DefaultHostName></DefaultHostName>
     <PermittedHosts>
          <HostName>Adventure-Works.com</HostName>
          <HostName>hotmail.com</HostName>
     </PermittedHosts>
</RSEmailDPConfiguration>

Configuration Options for Setting the To: Field in a Message

User-defined subscriptions that are created according to the permissions granted by the Manage individual subscriptions task contain a pre-set user name that is based on the domain user account. When the user creates the subscription, the recipient name in the To: field is self-addressed using the domain user account of the person creating the subscription.

If you are using an SMTP server or forwarder that uses e-mail accounts that are different from the domain user account, the report delivery will fail when the SMTP server tries to deliver the report to that user.

To workaround this issue, you can modify configuration settings that allow users to enter a name in the To: field:

  1. Open RSReportServer.config with a text editor.

  2. Set SendEmailToUserAlias to False.

  3. Set DefaultHostName to the Domain Name System (DNS) name or IP address of the SMTP server or forwarder.

  4. Save the file.

Configuration Options for Remote SMTP Service

The connection between the report server and an SMTP server or forwarder is determined by the following configuration settings:

  • SendUsing specifies a method for sending messages. You can choose between a network SMTP service or a local SMTP service pickup directory. To use a remote SMTP service, this value must be set to 2 in the RSReportServer.config file.

  • SMTPServer specifies the remote SMTP server or forwarder. This value is a required value if you are using a remote SMTP server or forwarder.

  • From sets the value that appears in the From: line of an e-mail message. This value is a required value if you are using a remote SMTP server or forwarder.

Other values that are used for remote SMTP service include the following (note that you do not need to specify these values unless you want to override the default values).

  • SMTPServerPort is configured for port 25.

  • SMTPAuthenticate specifies how the report server connects to the remote SMTP server. The default value is 0 (or no authentication). In this case, the connection is made through Anonymous access. Depending on your domain configuration, the report server and the SMTP server may need to be members of the same domain.

    To send e-mail to restricted distribution lists (for example, distribution lists that accept incoming messages only from authenticated accounts), set SMTPAuthenticate to 2.

Configuration Options for Local SMTP Service

Configuring a local SMTP service is useful if you are testing or troubleshooting report server e-mail delivery. The local SMTP service is not enabled by default. For instructions on how to enable it, see How to: Configure a Report Server for E-mail Delivery (Reporting Services Configuration).

The connection between the report server and a local SMTP server or forwarder is determined by the following configuration settings:

  • SendUsing is set to 1.

  • SMTPServerPickupDirectory is set to a folder on the local drive.

    Note:
    Be sure that you do not set SMTPServer if you are using a local SMTP server.

  • From sets the value that appears in the From: line of an e-mail message. This value is required.

See Also

Tasks

How to: Start Reporting Services Configuration
How to: Configure a Report Server for E-mail Delivery (Reporting Services Configuration)

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Configuring the Unattended Execution Account

Configuring the Unattended Execution Account |
 | See Also
Configuring Reporting Services >

Reporting Services provides a special account that is used for unattended report processing and for sending connection requests across the network. The account is used in the following ways:

  • Send connection requests over the network for reports that use database authentication, or connect to external report data sources that do not require or use authentication. For more information, see Specifying Credential and Connection Information for Report Data Sources in SQL Server Books Online.

  • Retrieve external image files that are used in report. If you want to use an image file and the file cannot be accessed through Anonymous access, you can configure the unattended report processing account and grant the account permission to access the file. For more information about the unattended execution account is used for retrieving images, see Adding Images to a Report in SQL Server Books Online.

Unattended report processing refers to any report execution process that is triggered by an event (either a schedule-driven event or data refresh event) rather than a user request. The report server uses the unattended report processing account to log on to the computer that hosts the external data source. This account is necessary because the credentials of the Report Server service account are never used to connect to other computers.

Important:
Configuring the account is optional. However, if you do not configure it, you will limit your options for connecting to some data sources, and you might not be able to retrieve image files from remote computers. If you do configure the account, you must keep it up to date. Specifically, if you allow a password to expire or the account information is changed in Active Directory, you will encounter the following error the next time a report is processed: "Logon failed (rsLogonFailed) Logon failure: unknown user name or bad password." Proper maintenance of the unattended report processing account is essential, even if you never retrieve external images or send connection requests to external computers. If you configure the account but then find that you are not using it, you can delete it to avoid routine account maintenance tasks.

How to Configure the Account

You must use a domain user account. To serve its intended purpose, this account should be different than the one used to run the Report Server service. Be sure to use an account that has minimum permissions (read-only access with network connection permissions is sufficient) and limited access to just those computers that provide data sources and resources to the report server. For more information, see How to: Start Reporting Services Configuration.

To specify the account, you can use the Reporting Services Configuration tool or the rsconfig utility. The easiest way to configure the unattended execution account is to run the Reporting Services Configuration tool and specify credentials in the Execution Account page.

  1. Start the Reporting Services Configuration tool and connect to the report server instance you want to configure. For instructions, see How to: Start Reporting Services Configuration.

  2. On the Execution Account page, select Specify an execution account.

  3. Type the account and password, retype the password, and then click Apply.

Using RSCONFIG Utility

Another way to set the account is to use the rsconfig utility. To specify the account, use the -e argument of rsconfig. Specifying the -e argument for rsconfig directs the utility to write the account information to the configuration file. You do not need to specify a path to RSreportserver.config. Follow these steps to configure the account.

  1. Create or select a domain account that has access to computers and servers that provide data or services to a report server. You should use an account that has reduced permissions (for example, read-only permissions).

  2. Open a command prompt: On the Start menu, click Run, type cmd, and then click OK.

  3. Type the following command to configure the account on a local report server instance:

    rsconfig -e -u< domain / username > -p< password >

rsconfig -e supports additional arguments. For more information about syntax and to view command examples, see rsconfig Utility in SQL Server Books Online.

How Account Information is Stored

When you set the account, the following settings are specified as encrypted values in the RSreportserver.config file on a local or remote report server instance:

Copy Code
<UnattendedExecutionAccount>
     <UserName></UserName>
     <Password></Password>
     <Domain></Domain>
</UnattendedExecutionAccount>

Once you set the values, you cannot decrypt them to view the values in plain text. If you mistype the values or forget the values you specified, you must use the Reporting Services Configuration tool or run rsconfig -e to start over.

How to Use the Unattended Report Processing Account

To retrieve image files, the report server uses the account automatically and no specific action is required on your part. To use the account to connect to external data sources that provide data to reports, you must specify a Credential Type option in the data source properties page of the report data source or shared data source:

  • In Report Manager or on a SharePoint site, select the Credentials are not required option.

The unattended report processing account is used primarily to connect to external servers, and not as a login to database servers. If you want to use the account credentials to log in to a database, you must specify credentials in the connection string. You can specify Integrated Security=SSPI if the database server supports Windows integrated security and the account used for unattended report processing has permission to read the database. Otherwise, you must enter the user name and password in the connection string, where it appears in clear text to any user who has permission to edit data source connection properties.

Although you are not prevented from using the unattended report processing account to retrieve data after the connection is made, doing so is not recommended. The account is supposed to be used for very specific functions. If you use it to retrieve data, you undermine the purpose for which it is intended.

How to Maintain the Unattended Report Processing Account

Once you define the account, you must ensure that the account and password are kept up to date. You can use the Reporting Services Configuration tool to update the configuration settings that store information about this account.

  1. Start the Reporting Services Configuration tool and connect to the report server instance you want to configure.

  2. On the Execution Account page, verify that Specify an execution account is selected.

  3. Type the new account or password, retype the password, and then click Apply.

How to Delete the Unattended Report Processing Account

If you are not using the account, you can delete it to avoid routine account maintenance tasks.

  1. Start the Reporting Services Configuration tool and connect to the report server instance you want to configure.

  2. On the Execution Account page, clear Specify an execution account.

  3. Click Apply.

The account information is removed from the RSReportServer.config file.

See Also

Concepts

Configuring Reporting Services

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Configuring and Managing Encryption Keys

Configuring and Managing Encryption Keys |
 | See Also
Configuring Reporting Services >

Reporting Services uses encryption keys to secure credentials and connection information that is stored in a report server database. In Reporting Services, encryption is supported through a combination of public, private, and symmetric keys that are used to protect sensitive data. The symmetric key is created during report server initialization when you install or configure the report server, and it is used by the report server to encrypt sensitive data that is stored in the report server. Public and private keys are created by the operating system, and they are used to protect the symmetric key. A public and private key pair is created for each report server instance that stores sensitive data in a report server database.

Managing the encryption keys consists of creating a backup copy of the symmetric key, and knowing when and how to restore, delete, or change the keys. If you migrate a report server installation or configure a scale-out deployment, you must have a backup copy of the symmetric key so that you can apply it to the new installation.

To manage symmetric keys, you can use the Reporting Services Configuration tool or the rskeymgmt utility. The tools included in Reporting Services are used to manage the symmetric key only (the public and private keys are managed by the operating system). Both the Reporting Services Configuration tool and the rskeymgmt utility support the following tasks:

  • Back up a copy of the symmetric key so that you can use it to recover a report server installation or as part of a planned migration.

  • Restore a previously saved symmetric key to a report server database, allowing a new report server instance to access existing data that it did not originally encrypt.

  • Delete the encrypted data in a report server database in the unlikely event that you can no longer access encrypted data.

  • Re-create symmetric keys and re-encrypt data in the unlikely event that the symmetric key is compromised. As a security best practice, you should recreate the symmetric key periodically (for example, every few months) to protect the report server database from cyber attacks that attempt to decipher the key.

  • Add or remove a report server instance from a report server scale-out deployment where multiple report servers share both a single report server database and the symmetric key that provides reversible encryption for that database.

In This Section

Initializing a Report Server

Explains how encryption keys are created.

Backing Up and Restoring Encryption Keys

Explains how to back up encryption keys and restore them to recover or migrate a report server installation.

Storing Encrypted Report Server Data

Describes encryption on a report server.

Deleting and Re-creating Encryption Keys

Explains how you can replace a symmetric key with a new version, and how to start over if symmetric keys cannot be validated.

Adding and Removing Encryption Keys for Scale-Out Deployment

Explains how to add and remove encryption keys to control which report servers are part of a scale-out deployment.

See Also

Concepts

Storing Encrypted Report Server Data

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Initializing a Report Server

Initializing a Report Server |
 | See Also
Configuring Reporting Services > Configuring and Managing Encryption Keys >

In Reporting Services, an initialized server is one that can encrypt and decrypt data in a report server database. Initialization is a requirement for report server operation. Initialization occurs when the Report Server service is started for the first time. It also occurs when you join the report server to the existing deployment, or when you manually recreate the keys as part of the recovery process. For more information about how and why encryption keys are used, see Configuring and Managing Encryption Keys and Storing Encrypted Report Server Data.

Encryption keys are based partly on the profile information of the Report Server service. If you change the user identity used to run the Report Server service, you must update the keys accordingly. If you are using the Reporting Services Configuration tool to change the identity, this step is handled for you automatically.

If initialization fails for some reason, the report server returns an RSReportServerNotActivated error in response to user and service requests. In this case, you may need to troubleshoot the system or server configuration. For more information, see Troubleshooting Initialization and Encryption Key Errors in SQL Server Books Online.

Overview of the Initialization Process

The initialization process creates and stores a symmetric key used for encryption. The symmetric key is created by the Microsoft Windows Cryptographic Services and subsequently used by the Report Server service to encrypt and decrypt data. The symmetric key is itself encrypted with an asymmetric key.

The following steps describe the initialization process:

  1. At initial start up, the Report Server service reads the RSReportServer.config file to get the installation identifier and database connection information.

  2. The Report Server service requests a public key from Cryptographic Services. Windows creates a private and public key and sends the public key to the Report Server service.

  3. The Report Server service connects to the report server database and stores the installation identifier and public key values.

  4. The Report Server service calls into Cryptographic Services again, this time to request a symmetric key. Windows creates the symmetric key.

  5. The Report Server service connects to the report server database again, and adds the symmetric key to the public key and installation identifier values that were stored in step 3. Before storing it, the Report Server service uses its public key to encrypt the symmetric key. Once the symmetric key is stored, the report server is considered initialized and available to use.

Initializing a Report Server for Scale-out Deployment

Reporting Services supports a scale-out deployment model that shares a single report server database among multiple report server instances. To join a scale-out deployment, a report server must create and store its copy of the symmetric key in the shared database. Although a single symmetric key is used by servers that use the database, each report server has its copy of the key. Each copy varies in that it is uniquely encrypted using the public key its owner.

The first set of steps for initializing a report server for scale-out deployment are identical to the first three steps that describe initialization for a single server and database combination.

The initialization process for a scale out deployment differs in how the report server gets the symmetric key. When the first server is initialized, it gets the symmetric key from Windows. When the second server is initialized during configuration for scale-out deployment, it gets the symmetric key from the Report Server service that is already initialized. The first report server instance uses the public key of the second instance to create an encrypted copy of the symmetric key for the second report server instance. The symmetric key is never exposed as plain text at any point in this process.

How to Initialize a Report Server

  • To initialize a report server, use the Reporting Services Configuration tool. Initialization occurs automatically when you create and configure the report server database. For more information, see Configuring a Report Server Database Connection.

  • To initialize a report server for scale-out deployment, you can use the Initialization page in the Reporting Services Configuration tool or the RSKeymgmt utility. To follow step-by-step instructions, see How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration).

Note:
RSKeymgmt is a console application that you run from a command line on a computer that hosts a report server instance that is already part of a scale-out deployment. When you run the utility, you specify arguments to select a remote report server instance that you want to initialize.

A report server will be initialized only if there is a match between the installation identifier and the public key. If the match succeeds, a symmetric key is created that permits reversible encryption. If the match fails, the report server is disabled, in which case you may be required to apply a backup key or delete the encrypted data if a backup key is unavailable or not valid. For more information about encryption keys used by a report server, see Configuring and Managing Encryption Keys.

Note:
You can also use the Reporting Services Windows Management Instrumentation (WMI) provider to initialize a report server programmatically. For more information, see Reporting Services WMI Provider in SQL Server Books Online.

How to Confirm a Report Server Initialization

To confirm report server initialization, ping the Report Server Web service by typing http://<servername>/reportserver in the command window. If the RSReportServerNotActivated error occurs, the initialization failed.

See Also

Concepts

Storing Encrypted Report Server Data

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Storing Encrypted Report Server Data

Storing Encrypted Report Server Data |
 | See Also
Configuring Reporting Services > Configuring and Managing Encryption Keys >

Note For SQL Server 2008 R2, there have been no changes to the content that is listed in this topic.

Reporting Services stores encrypted values in the report server database and in configuration files. Most encrypted values are credentials that are used for accessing external data sources that provide data to reports. This topic describes which values are encrypted, the encryption functionality used in Reporting Services, and other kinds of stored confidential data that you should know about.

Encrypted Values

The following list describes the values that are stored in a Reporting Services installation.

  • Connection information and credentials used by a report server to connect to a report server database that stores internal server data.

    These values are specified and encrypted during setup or report server configuration. You can update the connection information at any time using the Reporting Services Configuration tool or the rsconfig utility. Encryption of configuration settings is performed by using the machine-level key of the local computer that is available to all users. Encrypted report server connection information is stored in the rsreportserver.config file (no other configuration file contains encrypted settings). For more information, see Configuring a Report Server Database Connection.

  • Stored credentials that are used by a report server to connect to external data sources that provide data to a report.

    These values are defined when you configure data source information for a report, and then stored as encrypted values in a report server database. The report server uses a symmetric key to encrypt and decrypt this data. For more information about stored credentials, see Planning for Services, Accounts, and Connections and Specifying Credential and Connection Information for Report Data Sources in SQL Server Books Online.

  • An unattended user account used by the report server to connect to other computers to retrieve external images files or external data that is used in a report.

    This account is used when a connection to a remote computer is required and no other credentials are available to make the connection. This account is primarily used to support unattended report processing for reports that do not use credentials to access a data source. If you create reports based on data sources that do not require or use credentials when accessing data, you must configure this account for the report server to use.

    This account is required under certain circumstances and can only be created through the Reporting Services Configuration tool or rsconfig. This value is also stored in the rsreportserver.config file. You must create this account manually. For more information about this account and how it is used, see Configuring the Unattended Execution Account.

  • The symmetric key used for encryption.

    This value is created during setup or server configuration, and then stored as an encrypted value in the report server database. The Report Server Windows service uses this key to encrypt and decrypt data that is stored in the report server database.

Encryption Functionality in Reporting Services

Reporting Services uses cryptographic functions that are part of the Windows operating system. Both symmetric and asymmetric encryption are used.

Data in the report server database is encrypted using a symmetric key. There is a single symmetric key for each report server database. This symmetric key is itself encrypted using the public key of an asymmetric key pair generated by Windows. The private key is held by the Report Server Windows service account.

In a report server scale-out deployment where multiple report server instances share the same report server database, a single symmetric key is used by all report server nodes. Each node must have a copy of the shared symmetric key. A copy of the symmetric key is created for each node automatically when the scale-out deployment is configured. Each node encrypts its copy of the symmetric key using the public key of a key pair specific to its Windows service account. To learn more about how the symmetric key is created for both single instance and scale-out deployments, see Initializing a Report Server.

Note:
When you change the Report Server Windows service account, the asymmetric keys can become invalid, which will disrupt server operations. To avoid this problem, always use the Reporting Services Configuration tool to modify service account settings. When you use the configuration tool, the keys are updated for you automatically. For more information, see Configuring the Report Server Service Account.

Other Sources of Confidential Data

A report server stores other data that is not encrypted, yet may contain sensitive information that you want to protect. Specifically, report history snapshots and report execution snapshots contain query results that may include data that is intended for authorized users. If you are using snapshot functionality for reports that contain confidential data, be aware that users who can open tables in a report server database may be able to view portions of a stored report by inspecting the contents of the table.

Note:
Reporting Services does not support caching or report history for reports that use parameters based on the security identify of the user.

See Also

Concepts

Configuring and Managing Encryption Keys

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Backing Up and Restoring Encryption Keys

Backing Up and Restoring Encryption Keys |
 | See Also
Configuring Reporting Services > Configuring and Managing Encryption Keys >

An important part of report server configuration is creating a backup copy of the symmetric key used for encrypting sensitive information. A backup copy of the key is required for many routine operations, and enables you to reuse an existing report server database in a new installation. It is necessary to restore the backup copy of the encryption key when any of the following events occur:

  • Changing the Report Server Windows service account name or resetting the password. When you use the Reporting Services Configuration tool, backing up the key is part of a service account name change operation.

    Note:
    Resetting the password is not the same as changing the password. A password reset requires permission to overwrite account information on the domain controller. Password resets are performed by a system administrator when you forget or do not know a particular password. Only password resets require symmetric key restoration. Periodically changing an account password does not require you to reset the symmetric key.

  • Renaming the computer or instance that hosts the report server (a report server instance is based on a SQL Server instance name).

  • Migrating a report server installation or configuring a report server to use a different report server database.

  • Recovering a report server installation due to hardware failure.

You only need to back up one copy of the symmetric key. There is a one-to-one correspondence between a report server database and a symmetric key. Although you only need to back up one copy, you might need to restore the key multiple times if you are running multiple report servers in a scale-out deployment model. Each report server instance will need its copy of the symmetric key to lock and unlock data in the report server database.

Backing Up the Encryption Keys to Disk

Backing up the symmetric key is a process that writes the key to a file that you specify, and then scrambles the key using a password that you provide. The symmetric key can never be stored in an unencrypted state so you must provide a password to scramble the key when you save it to disk. After the file is created, you must store it in a secure location and remember the password that is used to unlock the file. To backup the symmetric key, you can use either the Reporting Services Configuration tool or the rskeymgmt utility.

How to back up encryption keys (Reporting Services Configuration Tool)

  1. Start the Reporting Services Configuration tool, and then connect to the report server instance you want to configure.

  2. Click Encryption Keys, and then click Back Up.

  3. Type a strong password.

  4. Specify a file to contain the stored key. Reporting Services appends a .snk file extension to the file. Consider storing the file on a diskette so that it is separate from the report server.

  5. Click OK.

How to back up encryption keys (rskeymgmt)

  1. Insert a diskette into the floppy disk drive if you want to store the password-protected file separately from the report server.

  2. Run rskeymgmt.exe locally on the computer that hosts the report server. You must use the -e extract argument to copy the key, provide a file name, and specify a password. The following example illustrates the arguments you must specify:

    Copy Code
    rskeymgmt -e -f a:\rsdbkey.snk -p<password>
  3. Store the diskette in a secure location.

Restoring the Encryption Keys

Restoring the symmetric key overwrites the existing symmetric key that is stored in the report server database. Restoring an encryption key replaces an unusable key with a copy that you previously saved to disk. Restoring encryption keys results in the following actions:

  • The symmetric key is opened from the password protected backup file.

  • The symmetric key is encrypted using the public key of the Report Server Windows service.

  • The encrypted symmetric key is stored in the report server database.

  • The previously stored symmetric key data (for example, key information that was already in the report server database from a previous deployment) is deleted.

To restore the encryption key, you must have a copy of the encryption key on file. You must also know the password that unlocks the stored copy. If you have the key and the password, you can run the Reporting Services Configuration tool or rskeymgmt utility to restore the key. The symmetric key must be the same one that locks and unlocks encrypted data currently stored in the report server database. If you restore a copy that is not valid, the report server cannot access the encrypted data currently stored in the report server database. If this occurs, you might need to delete all encrypted values if you cannot restore a valid key. If for some reason you cannot restore the encryption key (for example, if you do not have a backup copy), you must delete the existing key and encrypted content. For more information, see Deleting and Re-creating Encryption Keys. For more information about creating symmetric keys, see Initializing a Report Server.

How to restore encryption keys (Reporting Services Configuration Tool)

  1. Start the Reporting Services Configuration tool, and then connect to the report server instance you want to configure.

  2. On the Encryption Keys page, click Restore.

  3. Select the .snk file that contains the back up copy.

  4. Type the password that unlocks the file.

  5. Click OK.

How to restore encryption keys (rskeymgmt)

  1. Insert the diskette that contains the backup copy of the encryption key.

  2. Run rskeymgmt.exe locally on the computer that hosts the report server. Use the -a argument to restore the keys. You must provide a fully-qualified file name and specify a password. The following example illustrates the arguments you must specify:

    Copy Code
    rskeymgmt -a -f a:\rsdbkey.snk -p<password>

See Also

Concepts

Configuring and Managing Encryption Keys

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Deleting and Re-creating Encryption Keys

Deleting and Re-creating Encryption Keys |
 | See Also
Configuring Reporting Services > Configuring and Managing Encryption Keys >

Deleting and re-creating encryption keys are activities that fall outside of routine encryption key maintenance. You perform these tasks in response to a specific threat to your report server, or as a last resort when you can no longer access a report server database.

  • Re-create the symmetric key when you believe the existing symmetric key is compromised. You can also re-create the key on a regular basis as a security best practice.

  • Delete existing encryption keys and unusable encrypted content when you cannot restore the symmetric key.

Re-creating Encryption Keys

If you have evidence that the symmetric key is known to unauthorized users, or if your report server has been under attack and you want to reset the symmetric key as a precaution, you can re-create the symmetric key. When you re-create the symmetric key, all encrypted values will be re-encrypted using the new value. If you are running multiple report servers in a scale-out deployment, all copies of the symmetric key will be updated to the new value. The report server uses the public keys available to it to update the symmetric key for each server in the deployment.

You can only re-create the symmetric key when the report server is in a working state. Re-creating the encryption keys and re-encrypting content disrupts server operations. You must take the server offline while re-encryption is underway. There should be no requests made to the report server during re-encryption.

You can use the Reporting Services Configuration tool or the rskeymgmt utility to reset the symmetric key and encrypted data. For more information about how the symmetric key is created, see Initializing a Report Server.

How to re-create encryption keys (Reporting Services Configuration Tool)

  1. Disable the Report Server Web service and HTTP access by modifying the IsWebServiceEnabled property in the rsreportserver.config file. This step temporarily stops authentication requests from being sent to the report server without completely shutting down the server. You must have minimal service so that you can recreate the keys.

    If you are recreating encryption keys for a report server scale-out deployment, disable this property on all instances in the deployment.

    1. Open Windows Explorer and navigate to drive:\Program Files\Microsoft SQL Server\report_server_instance\Reporting Services. Replace drive with your drive letter and report_server_instance with the folder name that corresponds to the report server instance for which you want to disable the Web service and HTTP access. For example, C:\Program Files\Microsoft SQL Server\MSRS10_50.MSSQLSERVER\Reporting Services.

    2. Open the rsreportserver.config file.

    3. For the IsWebServiceEnabled property, specify False, and then save your changes.

  2. Start the Reporting Services Configuration tool, and then connect to the report server instance you want to configure.

  3. On the Encryption Keys page, click Change. Click OK.

  4. Restart the Report Server Windows service. If you are recreating encryption keys for a scale-out deployment, restart the service on all instances.

  5. Re-enable the Web service and HTTP access by modifying the IsWebServiceEnabled property in the rsreportserver.config file. Do this for all instances if you are working with a scale out deployment.

How to re-create encryption keys (rskeymgmt)

  1. Disable the Report Server Web service and HTTP access. Use the instructions in the previous procedure to stop Web service operations.

  2. Run rskeymgmt.exe locally on the computer that hosts the report server. Use the -s argument to reset the symmetric key. No other arguments are required:

    Copy Code
    rskeymgmt -s
  3. Restart the Windows service and enable Web service operations.

Deleting Unusable Encrypted Content

If for some reason you cannot restore the encryption key, the report server will never be able to decrypt and use any data that is encrypted with that key. To return the report server to a working state, you must delete the encrypted values that are currently stored in the report server database and then manually re-specify the values you need.

Deleting the encryption keys removes all symmetric key information from the report server database and deletes any encrypted content. All unencrypted data is left intact; only encrypted content is removed. When you delete the encryption keys, the report server re-initializes itself automatically by adding a new symmetric key. The following occurs when you delete encrypted content:

  • Connection strings in shared data sources are deleted. Users who run reports get the error "The ConnectionString property has not been initialized."

  • Stored credentials are deleted. Reports and shared data sources are reconfigured to use prompted credentials.

  • Reports that are based on models (and require shared data sources configured with stored or no credentials) will not run.

  • Subscriptions are deactivated.

Once you delete encrypted content, you cannot recover it. You must re-specify connection strings and stored credentials, and you must activate subscriptions.

You can use the Reporting Services Configuration tool or the rskeymgmt utility to remove the values.

How to delete encryption keys (Reporting Services Configuration Tool)

  1. Start the Reporting Services Configuration tool, and then connect to the report server instance you want to configure.

  2. Click Encryption Keys, and then click Delete. Click OK.

  3. Restart the Report Server Windows service. For a scale-out deployment, do this on all report server instances.

How to delete encryption keys (rskeymmgt)

  1. Run rskeymgmt.exe locally on the computer that hosts the report server. You must use the -d apply argument. The following example illustrates the argument you must specify:

    Copy Code
    rskeymgmt -d
  2. Restart the Report Server Windows service. For a scale-out deployment, do this on all report server instances.

How to re-specify encrypted values

  1. For each shared data source, you must retype the connection string.

  2. For each report and shared data source that uses stored credentials, you must retype the user name and password, and then save. For more information, see Specifying Credential and Connection Information for Report Data Sources in SQL Server Books Online.

  3. For each data-driven subscription, open each subscription and retype the credentials to the subscription database.

  4. For subscriptions that use encrypted data (this includes the File Share delivery extension and any third-party delivery extension that uses encryption), open each subscription and retype credentials. Subscriptions that use Report Server e-mail delivery do not use encrypted data and are unaffected by the key change.

See Also

Concepts

Configuring and Managing Encryption Keys
Storing Encrypted Report Server Data

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Adding and Removing Encryption Keys for Scale-Out Deployment

Adding and Removing Encryption Keys for Scale-Out Deployment |
 | See Also
Configuring Reporting Services > Configuring and Managing Encryption Keys >

You can run Reporting Services in a scale-out deployment model by configuring multiple report servers to use a shared report server database. Membership in a scale-out deployment is based on whether the report server stores an encryption key in the report server database. You can control scale-out deployment membership by adding and removing encryption keys for specific report server instances. If you are removing nodes from the deployment, you can remove them in any order. If you are adding nodes to a deployment, you must join any new instances from a report server that is already part of the deployment.

Using the Reporting Services Configuration Tool to Configure Scale-Out Deployment

The easiest way to configure a scale-out deployment is to use the Reporting Services Configuration tool. For more information and step-by-step instructions, see Configuring Reporting Services for Scale-Out Deployment and How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration).

Using Rskeymgmt to Configure Scale-Out Deployment

Use the rskeymgmt utility to initialize a report server instance to use a shared report server database. Adding a report server to a scale-out deployment requires that you initialize the report server. Initialization requires administrator permissions. You must have administrator credentials for the remote computer that hosts the report server you are joining to the deployment.

How to join a report server to a scale-out deployment (rskeymgmt)

  1. Run rskeymgmt.exe locally on the computer that hosts a report server that is already a member of the report server scale-out deployment.

  2. Use the -j argument to join a report server to the report server database. Use the -m and -n arguments to specify the remote report server instance you want to add to the deployment. Use the -u and -v arguments to specify an administrator account on the remote computer. If you are creating a scale-out deployment using multiple report server instances on the same computer, the syntax to use is slightly different. For more information about the syntax you should use, see rskeymgmt Utility.

    The following example illustrates the arguments you must specify if you are joining a remote report server to a scale-out deployment (you can omit credentials if you have administrator permissions on the remote computer):

    Copy Code
    rskeymgmt -j -m <remotecomputer> -n <namedreportserverinstance> -u <administratoraccount> -v <administratorpassword>

How to remove a report server from a scale-out deployment (rskeymgmt)

  1. Open the rsreportserver.config file of the report server you want to remove and find the installation ID. By default, this file is located at Program Files\Microsoft SQL Server\MSSQL.n\Reporting Services\ReportServer).

    If you installed a single instance, there will only be one rsreportserver.config file on the computer. If multiple instances of Reporting Services are installed, use the Server Status page in the Reporting Services Configuration tool to find the instance identifier (for example, MSSQL.2) for the report server that you want to remove. The name of the folder that stores the program files for the report server instance will be based on the instance identifier (for example, Program Files\Microsoft SQL Server\MSSQL.2).

  2. Run rskeymgmt.exe. You can run it on any report server that is part of the report server scale-out deployment.

  3. Use the -r argument to release the report server instance from the scale-out deployment. The following example illustrates the arguments you must specify:

    Copy Code
    rskeymgmt -r <installation ID>

These steps remove the report server from a scale-out deployment, but they do not uninstall the Reporting Services instance on the report server. After you remove the report server from the scale-out deployment, you can uninstall Reporting Services from the server if you no longer need Reporting Services on that server. For information, see How to: Uninstall an Existing Instance of SQL Server (Setup) in SQL Server Books Online.

See Also

Concepts

Configuring and Managing Encryption Keys
Initializing a Report Server

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Configuring Reporting Services for Scale-Out Deployment

Configuring Reporting Services for Scale-Out Deployment |
 | See Also
Configuring Reporting Services >

Scale-out deployments are used to increase scalability of report servers to handle more concurrent users and larger report execution loads. It can also be used to dedicate specific servers to process interactive or scheduled reports. Scale-out deployments consist of:

  • Two or more report server instances sharing a single report server database.

  • Optionally, a network load-balanced (NLB) cluster to spread interactive user load across the report server instances.

When deploying Reporting Services on an NLB cluster, you need to ensure the NLB virtual server name is used in the configuration of report server URLs and that servers are configured to share the same view state.

Reporting Services does not participate in Microsoft Cluster Services clusters. However, you can create the report server database on a Database Engine instance that is part of a failover cluster.

To plan, install, and configure a scale-out deployment, follow these steps:

  • Review Planning for Scale-Out Deployment in SQL Server Books Online for guidelines on when to use a scale-out deployment.

  • Review How to: Install SQL Server 2008 R2 (Setup) in SQL Server Books Online for instructions on how to install report server instances.

  • Review How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration) for instructions on how to share a report server database and join report servers to a scale-out.

  • Optionally, if you are configuring the scale-out to run on a network load-balanced cluster, review How to: Configure a Report Server on a Network Load Balancing Cluster for instructions on how to configure view state validation.

See Also

Concepts

URLs in Configuration Files (Reporting Services)

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Configuring Reporting Services for SharePoint 2010 Integration

Configuring Reporting Services for SharePoint 2010 Integration |
 | See Also
Configuring Reporting Services >

You can configure a deployment of SQL Server Reporting Services to work with a deployment of Microsoft SharePoint Foundation 2010 or Microsoft SharePoint Server 2010. You must perform configuration steps on both a report server and a deployment of the SharePoint product before users can publish reporting documents to SharePoint libraries and get report viewing and management services on SharePoint sites. The configuration process establishes server connection information; therefore, it is important that you follow the steps in order.

This topic provides an overview of the configuration steps for each server. It contains the following sections:

  • Overview of Configuration Steps on a Report Server

  • Overview of Configuration Steps on a SharePoint Server

  • Service Account Configuration

  • How to Configure Server Integration

For more information about different server topologies, see Deployment Topologies for Reporting Services in SharePoint Integrated Mode in SQL Server Books Online. For a comprehensive list of topics about SharePoint integration in SQL Server Books Online, see How Do I Learn About SharePoint Integrated Mode.

Overview of Configuration Steps on a Report Server

To configure a report server for SharePoint integration, you must have an existing stand-alone report server or a scale-out deployment. You must perform the following tasks on the report server:

  1. Create a report server database in SharePoint integrated mode.

    This sets server properties on the report server and activates a new SOAP report server management endpoint that is used for integrated operations. Use the Reporting Services Configuration tool to create the database.

  2. For deployments that include a SharePoint server farm, install a SharePoint Web front-end on the report server computer. The Web front-end joins the report server computer to a SharePoint farm. Installing the Web front-end on the report server computer is only necessary if you deploy the report server and the SharePoint technology instance on separate computers.

  3. For deployments that include placing the SharePoint databases on the same computer as the report server, configure the Report Server service to run under a domain account. This step is only necessary if the report server and application databases are one computer, and the SharePoint Web application is on another computer.

Note:
SharePoint 2010 products and technologies in a farm configuration require domain accounts for service configuration like reporting services SharePoint integration.

About the Report Server Database

A report server database provides internal storage for one or more report server instances. A report server database can support native mode operations or SharePoint integration mode, but not both. The contents in the database are mode-specific and are not interchangeable across server modes. If you create a report server database to support SharePoint integrated mode, you cannot automatically convert or migrate the database to run with a native mode report server instance later. A report server database is used in the following ways depending on the server mode:

  • When created for native mode operations, the report server database is the sole repository for persistent data used by the report server.

  • When created for SharePoint integrated mode, the report server database stores server properties, report execution snapshots, report history, subscription definitions, and schedules. It stores a secondary copy of reports, report models, shared data sources, and resources to improve processing performance on the server. Primary storage for report documents is in the SharePoint content databases. For more information, see Storing and Synchronizing Report Server Content With SharePoint Databases in SQL Server Books Online.

Creating a report server database for SharePoint integrated mode is an important first step in configuring the report server for SharePoint integration. You can use the Reporting Services Configuration tool to create the report server database and configure the connection to the report server. Only the report server connects to the report server database. The SharePoint Foundation 2010 or SharePoint Server 2010 instance never connects to or retrieves data from the report server database.

About Report Server Scale-out Deployment and SharePoint Integrated Mode

If you are integrating a report server scale-out deployment with a SharePoint server farm, all report server instances that are part of the deployment must run in SharePoint integrated mode. You cannot have a combination of server modes in the same scale-out deployment. Furthermore, you must create a single point of entry to the scale-out deployment (that is, a URL that resolves to a virtual IP for an NLB cluster on which the report server instances are installed).

About Multiple Report Server Instances and SharePoint Integrated Mode

If you are installing multiple instances of Reporting Services on a single computer, but only configuring one of those instances for SharePoint integrated mode, be sure to do the following:

  • Ensure that all instances of Reporting Services are the same version. SQL Server 2008 Reporting Services introduces an updated version of the Reporting Services Windows Management Instrumentation (WMI) provider. You cannot have SQL Server 2008 Reporting Services and pre-SQL Server 2008 Reporting Services versions on the same computer. Therefore, it is necessary that all report server instances run SQL Server 2008 Reporting Services or later, even if you do not require SQL Server 2008 Reporting Services features for all of the instances.

  • If you run SQL Server 2008 R2 Setup for each report server instance at different times, restart the WMI service after you install the second instance of SQL Server 2008 Reporting Services.

Overview of Configuration Steps on a SharePoint Server

To configure integration on the server running the SharePoint product or technology, you must do the following:

  1. Download and install the Reporting Services Add-in for SharePoint Technologies.

    The add-in installs program files and application pages, including pages that you open in Central Administration to set the report server URL and other integration settings. You can specify report server integration settings for a SharePoint farm or a stand-alone SharePoint Web application.

  2. Activate the report server feature if you did not install the add-in on a root site collection.

  3. Use SharePoint Central Administration to configure report server integration. Configuration settings include specifying a single report server URL, setting an authentication type on requests directed to the report server, granting database access permissions to the Report Server service account.

  4. Optionally, in SharePoint Central Administration, you can set report server defaults that enable logging, ad hoc reporting, and limits for report history and time-out values.

SharePoint products can be deployed as a farm or as a stand-alone server. A farm contains one or more virtual servers, where each virtual server is a SharePoint Web application. A report server integrates at the farm level. From the perspective of storage integration, there can only be one report server database for a farm. You can use SharePoint Central Administration to manage integration settings for all the servers in the farm.

Each SharePoint Web application in a farm can be configured to use different authentication providers. This does not affect report server integration in any way. The report server deployment will handle requests for each server in the farm regardless of the authentication provider it uses.

Each Web application has a default top-level site. You can set permissions differently on each top-level site to vary the availability of report server items and operations across all the servers in a farm.

Service Account Configuration

A report server is implemented as a single Windows service that runs under a built-in account or a local or domain Windows user account. In SharePoint integrated mode, the service must connect to the SharePoint content databases with write and execute permissions. Because the service connects to the SharePoint content databases, the account that you use to run the service will have different requirements depending on whether remote connections are used and whether the report server URL proxy endpoint connection uses Windows integrated security or Trusted Account mode.

The following table provides service account recommendations for different deployment scenarios.

Deployment scenario Services SharePoint databases Account recommendation for Report Server service

Single server

All services are installed on the same computer

On same computer

Any (NetworkService, domain user, local user, LocalSystem).

Because the applications connect using a local database connection, you can configure the service to run under any account type.

Distributed deployment on multiple computers

SharePoint Web application and the report server installed on separate computers

On a third computer

-- Or --

SharePoint server computer

Domain user account

-- Or --

NetworkService, but only if you add NT_AUTHORITY\NetworkService to the WSS_WPG Windows group on the report server computer. For more information, see Troubleshooting Configuration Problems in SQL Server Books Online.

Distributed deployment on multiple computers

SharePoint Web application and the report server installed on separate computers

On report server computer

Domain user account is required, regardless of how the report server URL proxy endpoint is configured.

When SharePoint databases run on a remote computer, the SharePoint Web application explicitly denies database access to the machine accounts of a remote computer. If the report server is on the same computer as the SharePoint databases, and if either service runs under a built-in account, it will be denied access accordingly. Configuring the service to run as domain user account ensures that the report server will not be denied database access because it is running under a prohibited account.
Note:
The report server database is not included in the discussion of service account requirements for database connections. This is because only the report server connects to the report server database.

About SharePoint Service Account Configurations

Service account recommendations for SharePoint Foundation 2010 and SharePoint Server 2010 state that for a server farm deployment you should run the application pool process as a domain user account, and not as Network Service. Although a domain user account is recommended, it is not required. However, it is important to realize that if you configure a SharePoint Web application to run as Network Service, and the report server is on a remote computer, you will encounter errors when accessing reports and report server features from a SharePoint site if the report server URL proxy endpoint connects in Trusted Account mode. For more information about server errors that occur when you deploy this configuration, see Troubleshooting Configuration Problems in SQL Server Books Online.

For more information about the service account connection to a SharePoint technology instance, see Security Overview for Reporting Services in SharePoint Integrated Mode in SQL Server Books Online. To read about the service account recommendations for a SharePoint deployment, see Plan for administrative and service accounts in the SharePoint product documentation.

How to Configure Server Integration

Configuring the servers for integrated operations requires multiple tools and steps. Click the following links to read the instructions for configuring server integration in specific deployment scenarios:

  • How to: Configure SharePoint Integration on a Stand-alone Server

  • How to: Configure SharePoint Integration on Multiple Servers

See Also

Concepts

Backing Up and Restoring Encryption Keys
How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration)

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Reporting Services Configuration How-to Topics

Reporting Services Configuration How-to Topics
Configuring Reporting Services >

This section contains procedures for configuring a report server instance using the Reporting Services Configuration tool.

In This Section

The topics in this section are organized into categories so that you can more easily find the instructions you want. The first section contains topics for basic configuration tasks for a native mode report server. The second section contains advanced configuration topics. The third section contains topics for configuring a report server to run in SharePoint integrated mode.

Basic Configuration

How to: Start Reporting Services Configuration

Provides steps for starting the Reporting Services Configuration tool.

How to: Configure a Service Account for Reporting Services

Explains how to specify account and password information for the Report Server service.

How to: Register a Service Principal Name (SPN) for a Report Server

Explains how to manually register an SPN for a report server that runs under a domain user account on a network that uses Kerberos authentication.

How to: Configure a URL (Reporting Services Configuration)

Explains how to establish one or more URLs used to access the Report Server Web service and Report Manager.

How to: Create a Report Server Database (Reporting Services Configuration)

Provides steps for creating a report server database. This step is required for deploying a Reporting Services installation.

Advanced or Optional Configuration

How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration)

Provides steps for configuring multiple report servers to share a report server database.

How to: Configure a Report Server for E-mail Delivery (Reporting Services Configuration)

Provides steps for configuring a report server for e-mail distribution.

How to: Configure a Firewall for Report Server Access

Explains how to open ports used for inbound requests and outbound responses from a report server.

How to: Configure a Report Server for Local Administration on Windows Vista and Windows Server 2008

Describes additional steps required to connect to Report Manager or a report server using http://localhost.

How to: Configure a Report Server for Remote Administration

Explains how to configure a remote report server instance so that you can connect to and configure it from a different computer.

How to: Turn Reporting Services Features On or Off

Explains how to remove unused features in a Reporting Services installation.

How to: Enable Remote Errors (Reporting Services Configuration)

Explains how to set server properties on a report server to return additional information about error conditions that occur on remote servers.

SharePoint Integration

How to: Install a SharePoint Web Front-end on a Report Server Computer

Explains how to add SharePoint program files used to join a report server computer to a SharePoint server farm.

How to: Install or Uninstall the Reporting Services Add-in

Explains how to install report server application pages, configuration pages, and URL on a SharePoint server.

How to: Activate the Report Server Feature in SharePoint Central Administration

Explains how to manually activate the report server feature for a site collection if the root site collection is not enabled.

How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration)

Explains how to create a report server database for a report server that runs in SharePoint integrated mode.

How to: Configure Report Server Integration in SharePoint Central Administration

Provides instructions for configuring integration in SharePoint Central Administration.

How to: Configure SharePoint Integration on a Stand-alone Server

Provides step-by-step instructions for installing all server components and application databases on a single computer.

How to: Configure SharePoint Integration on Multiple Servers

Provides step-by-step instructions for installing server components on multiple computers in a distributed server deployment.

How to: Switch Server Modes (Reporting Services Configuration)

Explains how to remove a report server instance from a deployment of a SharePoint technology or instance so that you can run it as a native mode report server.

How Do I Learn About SharePoint Integrated Mode in SQL Server Books Online

Provides a list of topics specific to the Reporting Services Add-in for SharePoint Technologies.


How to: Start Reporting Services Configuration

How to: Start Reporting Services Configuration |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

The Reporting Services Configuration manager is used to configure a Reporting Services installation. You can configure a local or remote report server instance as long as you are a member of the local administrator group on the report server computer. Before you can connect to and configure a remote report server instance, you must enable remote Windows Management Instrumentation (WMI) calls to pass through Windows Firewall. For more information, see How to: Configure a Report Server for Remote Administration in SQL Server Books Online.

The Reporting Services Configuration manager is version-specific. The Reporting Services Configuration tool that installs with this version of SQL Server cannot be used to configure an earlier version of Reporting Services. If you are running older and newer versions of Reporting Services side-by-side on the same computer, you must use the Reporting Service Configuration tool that comes with each version to configure each instance.

To start Reporting Services Configuration

  1. Click Start, point to All Programs, point to Microsoft SQL Server 2008 R2, and then point to Configuration Tools.

    If you want to configure a report server instance from a previous version of SQL Server, open the program folder for that version. For example, point to Microsoft SQL Server 2005 instead of Microsoft SQL Server 2008 R2 to open the configuration tools for SQL Server 2005 server components.

  2. Click Reporting Services Configuration Manager. The Connect to a Report Server Instance dialog box appears so that you can select the report server instance you want to configure.

  3. In Server Name, specify the name of the computer on which the report server instance is installed. The name of the local computer appears by default, but you can type the name of a remote SQL Server instance if you want to connect to a report server that is installed on a remote computer.

  4. If you specify a remote computer, click Find to establish a connection.

  5. In Report Server Instance, select the SQL Server Reporting Services instance that you want to configure. Only report server instances for this version of SQL Server appear in the list. You cannot configure earlier versions of Reporting Services.

  6. Click Connect.

See Also

Concepts

Reporting Services Configuration How-to Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Activate the Report Server Feature in SharePoint Central Administration

How to: Activate the Report Server Feature in SharePoint Central Administration |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

The Report server integration feature is activated in SharePoint Central Administration after you install the Microsoft SQL Server 2008 R2 Reporting Services Add-in for SharePoint products. To activate the report server feature, use the Reporting Services pages in SharePoint Central Administration's Site Settings page.

If the Reporting Services feature is not visible in the site collection feature list, the Reporting Services Add-in is not installed.

To verify installation, view the list of installed applications in Microsoft Windows Control Panel. If the Reporting Services Add-in is installed, follow the instructions in this topic to activate the feature.

By default, the Reporting Services Add-in is activated for the root site collection of the local SharePoint Web application. If the root site is not enabled or if you do not have a site collection defined when the Reporting Services Add-in is installed, you must activate the report server integration settings manually.

Note:
The SQL Server 2008 R2 Reporting Services version and later of the Add-in for SharePoint products will activate the report server integration feature for all existing site collections when the Add-in is installed. Additionally the feature will be automatically active for new site collections.

Note:
The SQL Server 2008 R2 Reporting Services version and later of the Add-in for SharePoint products will install 2 features which will be seen in the site collection features list. There is the general integration for reporting and another feature for central administration pages related to reporting services integration.

To activate or deactivate Reporting Services integration on a Site Collection

  1. Click Start, click Administrative Tools, and then click SharePoint 2010 Central Administration.

  2. Click Site Actions.

  3. Click Site Settings.

  4. Click Site Collection Features in the Site Collection Administration Group

  5. Find Report Server Integration Feature and Report Server Central Administration feature in the list.

  6. Click Activate.
Note:
To deactivate the features, you can use the same procedure but click Deactivate rather than Activate.

Next Steps

After the feature is activated, you can continue with server integration. For instructions, see How to: Configure Report Server Integration in SharePoint Central Administration.

See Also

Concepts

How to: Install or Uninstall the Reporting Services Add-in
How to: Install or Uninstall the Reporting Services Add-in

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure a Firewall for Report Server Access

How to: Configure a Firewall for Report Server Access |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

Report server applications and published reports are accessed through URLs that specify an IP address, port, and virtual directory. If Windows Firewall is turned on, the port that the report server is configured to use is most likely closed. Indications that a port might be closed are the appearance of a blank Web page after requesting a report, or a blank page when you attempt to open Report Manager from a remote client computer.

To open a port, you must use the Windows Firewall utility on the report server computer. Reporting Services will not open ports for you; you must perform this step manually.

By default, the report server listens for HTTP requests on port 80. As such, the following instructions include steps that specify that port. If you configured the report server URLs to use a different port, you must specify that port number when following the instructions below.

If you are accessing SQL Server relational databases on external computers, or if the report server database is on an external SQL Server instance, you must open port 1433 and 1434 on the external computer. For more information, see How to: Configure a Windows Firewall for Database Engine Access in SQL Server Books Online. For more information about the default Windows firewall settings, and a description of the TCP ports that affect the Database Engine, Analysis Services, Reporting Services, and Integration Services, see Configuring the Windows Firewall to Allow SQL Server Access in SQL Server Books Online.

Prerequisites

These instructions assume that you already configured the service account, created the report server database, and configured URLs for the Report Server Web service and Report Manager. For more information, see Reporting Services Configuration How-to Topics.

You should also have verified that the report server is accessible over a local Web browser connection to the local report server instance. This step establishes that you have a working installation. You should verify that the installation is configured correctly before you begin opening ports. To complete this step on Windows Vista or Windows Server 2008, you must have also added the report server site to Trusted Sites. For more information, see How to: Configure a Report Server for Local Administration on Windows Vista and Windows Server 2008.

Opening Ports in Windows Firewall

There are separate instructions for different versions of Windows Firewall. If you are using Windows Vista or Windows Server 2008, please use the instructions at the end of this topic.

To open port 80 on Windows Server 2003 SP 2 or Windows XP SP2

  1. From the Start menu, click Control Panel, and then click Windows Firewall.

  2. On the Exceptions tab, click Add Port.

  3. In Name, type ReportServer (TCP on port 80).

  4. In Port number, type 80.

  5. Verify that TCP is selected.

  6. Click Change Scope.

  7. Click My network (subnet) only, and then click OK.

  8. Click OK to close the dialog box.

  9. Restart the computer.

To open port 80 on Windows Vista

  1. From the Start menu, click Control Panel, click Security, and then click Windows Firewall.

  2. Click Allow a program through Windows Firewall.

  3. Click Continue.

  4. On the Exceptions tab, click Add Port.

  5. In Name, type ReportServer (TCP on port 80).

  6. In Port number, type 80.

  7. Verify that TCP is selected.

  8. Click Change Scope.

  9. Click My network (subnet) only, and then click OK.

  10. Click OK to close the dialog box.

  11. Restart the computer.

Next Steps

After you open the port and before you confirm whether remote users can access the report server on the port that you open, you must grant user access to the report server through role assignments on Home and at the site level. You can open a port correctly and still have report server connections fail if users do not have sufficient permissions. For more information, see How to: Grant User Access to a Report Server (Report Manager) in SQL Server Books Online.

You can also verify that the port is opened correctly by starting Report Manager on a different computer. For more information, see How to: Start Report Manager in SQL Server Books Online.

See Also

Concepts

Configuring the Report Server Service Account
Configuring Report Server URLs
Creating a Report Server Database
Configuring the Report Server Service Account
Reporting Services Configuration How-to Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure a Report Server for E-mail Delivery (Reporting Services Configuration)

How to: Configure a Report Server for E-mail Delivery (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

Reporting Services provides an e-mail delivery extension that allows users to subscribe to reports that are subsequently delivered to electronic mailboxes. The Report Server E-mail delivery extension must be configured before you can use it. Configuring a report server for e-mail delivery requires the following:

  • A Simple Mail Transfer Protocol (SMTP) server or gateway.

  • An account that has permission to send e-mail from the SMTP server. Depending on security policies in your organization, you might need to request permission in advance to send e-mail from a corporate SMTP server. Check with your system or network administrator for more information.

  • The Report Server service must have Send As permissions on the SMTP server.

To configure report server e-mail, you can use the Reporting Services Configuration tool or you can edit the configuration files. The Reporting Services Configuration tool provides the minimal settings that the report server requires. If you want to use a local SMTP service or specify advanced settings, modify the configuration files instead.

If you want to evaluate report server e-mail functionality or troubleshoot a subscription or delivery problem, you can configure report server e-mail to use a local SMTP service that delivers reports to a local folder. For more information, see Configuring a Report Server for E-Mail Delivery.

If you do not configure a report server for e-mail delivery, or you do not have access to an SMTP server, you can use the File Share delivery extension to distribute reports to shared folders that are accessible over network connections.

To configure report server e-mail using the Reporting Services Configuration tool

  1. Verify that the Report Server Windows service has Send As permissions on the SMTP server.

  2. Start the Reporting Services Configuration tool and connect to the report server instance.

  3. On the Email Settings page, enter the name of the SMTP server. This value can be an IP address, a UNC name of a computer on your corporate intranet, or a fully qualified domain name.

  4. In Sender Address, enter the name an account that has permission to send e-mail from the SMTP server.

  5. Click Apply.

To configure a remote SMTP Service for the report server

  1. Verify that the Report Server Windows service has Send As permissions on the SMTP server.

  2. Open the RSReportServer.config file in a text editor.

  3. Verify that <UrlRoot> is set to the report server URL address. This value is set when you configure the report server and it should be filled in already. If it is not set, type the report server URL address.

  4. In the Delivery section, find <ReportServerEmail>.

  5. In <SMTPServer>, type the name of the SMTP server. This value can be an IP address, a UNC name of a computer on your corporate intranet, or a fully qualified domain name.

  6. Verify that <SendUsing> is set to 2. If it is set another value, the report server is not configured to use a remote SMTP service.

  7. In <From>, type the name an account that has permission to send e-mail from the SMTP server.

  8. Save the file.

    The report server will use the new settings automatically; you do not need to restart the service. You can specify additional SMTP settings to further configure how the SMTP server is used for report server e-mail delivery. For more information, see Configuring a Report Server for E-Mail Delivery and RSReportServer Configuration File in SQL Server Books Online.

To configure a local SMTP Service for the report server

  1. In Control Panel, click Add or Remove Programs.

  2. Click Add/Remove Windows Components to start the Windows Component Wizard.

  3. Select Application Server and click Details.

  4. Select Internet Information Services (IIS) and click Details.

  5. Select the SMTP Service checkbox and click OK.

  6. On the Windows Component Wizard, click Next. Click Finish.

  7. Verify that the service is running in the Services console.

  8. Open the RSReportServer.config file in a text editor.

  9. Verify that <UrlRoot> is set to the report server URL address. This value is set when you configure the report server and it should be filled in already. If it is not set, type the report server URL address.

  10. In the Delivery section, find <ReportServerEmail>.

  11. In <SMTPServer>, clear any values for this setting, but do not delete the tags.

  12. Set <SendUsing> to 1. If it is set another value, the report server is not configured to use a local SMTP service.

  13. Set <SMTPServerPickupDirectory> to a folder on the local drive.

  14. Set <From> to an account that has permission to send e-mail from the SMTP server.

  15. Save the file.

See Also

Concepts

Configuring a Report Server for E-Mail Delivery
Configuring Reporting Services

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure a Report Server for Local Administration on Windows Vista and Windows Server 2008

How to: Configure a Report Server for Local Administration on Windows Vista and Windows Server 2008 |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

Deploying Reporting Services on Windows Vista and Windows Server 2008 requires additional configuration steps if you want to administer a report server instance locally. Both Windows Vista and Windows Server 2008 limit the overuse of elevated permissions by removing administrator permissions when accessing applications. Because the operating system removes permissions, members of the local Administrators group run most applications as if they using the Standard User account.

While this practice improves the overall security of your system, it prevents you from using the predefined, built-in role assignments that Reporting Services creates for local administrators. However, with additional configuration on your part, you can effectively manage report server content and operations using standard user permissions if you do the following:

  • Add Reporting Services URLs to trusted sites. By default, Internet Explorer 7.0 on Windows Vista and Windows Server 2008 runs in Protected Mode, a feature that blocks browser requests from reaching high-level processes that run on the same computer. You can disable protected mode for the report server applications by adding them as Trusted Sites.

  • Create role assignments that grant you, the report server administrator, permission to manage content and operations without having to use the Run as administrator feature on Internet Explorer. By creating role assignments for your Windows user account, you gain access to a report server with Content Manager and System Administrator permissions through explicit role assignments that replace the predefined, built-in role assignments that Reporting Services creates for local administrators.

This topic explains how to configure the report server for local administration after setup is finished and the report server components are configured. If you have not yet installed or configured the report server, see How to: Install SQL Server 2008 R2 (Setup) in SQL Server Books Online and Reporting Services Configuration How-to Topics. For more information about User Account Control (UAC) features and how to connect to the Database Engine with administrator permissions, see How to: Connect to SQL Server from Windows Vista in SQL Server Books Online.

Note:
If you are deploying Reporting Services on Windows Vista or Windows Server 2008, be sure to open port 80 in Windows Firewall to allow access to the report server computer. For instructions, see How to: Configure a Firewall for Report Server Access.

To configure local report server administration on Windows Vista and Windows Server 2008

  1. Open a browser window with Run as administrator permissions. From the Start menu, click All Programs, right-click Internet Explorer, and select Run as administrator.

  2. Click Allow to continue.

  3. In the URL address, enter the Report Manager URL. For instructions, see How to: Start Report Manager in SQL Server Books Online.

  4. Click Tools.

  5. Click Internet Options.

  6. Click Security.

  7. Click Trusted Sites.

  8. Click Sites.

  9. Add http://<your-server-name>.

  10. Clear the check box Require server certification (https:) for all sites in this zone if you are not using HTTPS for the default site.

  11. Click Add.

  12. Click OK.

  13. In Report Manager, on the Home page, click Properties.

  14. Click New Role Assignment.

  15. Type your Windows user account in this format: <domain>\<user>.

  16. Select Content Manager.

  17. Click OK.

  18. Click Site Settings in the upper corner of the Home page.

  19. Click Configure Site-wide security.

  20. Click New Role Assignment.

  21. Type your Windows user account in this format: <domain>\<user>.

  22. Select System Administrator.

  23. Click OK.

  24. Close Report Manager.

  25. Re-open Report Manager in Internet Explorer, without using Run as administrator.

Using Business Intelligence Development Studio on Windows Vista and Windows Server 2008

If you installed Business Intelligence Development Studio on Windows Vista or Windows Server 2008, you will encounter compatibility issues with the Visual Studio environment when you use the design tools. If you want to open an existing project or solution, or publish items from Report Designer or Model Designer to a report server, you must open Business Intelligence Development Studio with elevated permissions:

  1. From the Start menu, click All Programs, click SQL Server 2008, right-click Business Intelligence Development Studio, and then click Run as administrator.

  2. Click Continue.

  3. Click Run Program.

You should now be able to deploy reports and other items to a report server. If you do not have sufficient permissions, you will encounter issues such as the following:

  • Access Denied errors when you try to open an existing project.

  • Login failure errors when you configure a data source connection to a shared data source.

  • When using the Report Server Wizard to create a report, you will get a login failure error when the Wizard attempts to connect to the external data source that provides data to the report.

SQL Server Management Studio users must use Run as administrator permissions to create logins for users who administer databases on the server. For more information about elevated permission requirements for Management Studio, see How to: Connect to SQL Server from Windows Vista in SQL Server Books Online.

See Also

Tasks

How to: Start Reporting Services Configuration

Concepts

Reporting Services Configuration How-to Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure a Report Server for Remote Administration

How to: Configure a Report Server for Remote Administration |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

In Reporting Services, you can configure report server instances locally or remotely. To configure a remote report server instance, you can use the Reporting Services Configuration tool or write custom code that uses the Reporting Services Windows Management Instrumentation (WMI) provider. The Reporting Services Configuration tool provides a graphical interface to the WMI provider so that you can configure a report server without having to write code. When you start the tool, you can specify a remote server to connect to.

Before you can use the tool to configure a remote report server, you must follow the instructions in this topic to enable ports in Windows Firewall, enable remote connections, and enable remote WMI requests.

Proper configuration helps you avoid the following error:

The machine could not be found.

"The RPC server is unavailable. (Exception from HRESULT: 0x800706BA)".

Prerequisites

To modify firewall settings, you must be logged on locally and you must be a member of the local Administrators group. You cannot modify the Windows firewall settings of a remote computer over a remote connection.

If you want to enable remote administration for a non-administrator user, you must grant the account Distributed Component Object Model (DCOM) Remote Activation permissions. Instructions for configuring the server for non-administrator access are provided in this topic.

Some organizations have group policies that prevent remote server administration for certain operating systems or users. Before you begin modifying firewall settings, check with your network administrator to verify whether there are restrictions on remote administration.

For more information, see Connecting Through Windows Firewall in the Platform SDK documentation on MSDN.

Tasks

Tasks that enable remote report server configuration include the following:

  • Enable ports in Windows Firewall to allow requests on ports used by the report server and by the SQL Server Database Engine instance.

  • Enable remote connections to the instance of the Database Engine instance that hosts the report server database. A remote connection is necessary for configuring the report server database connection and managing the encryption keys.

  • Enable remote WMI requests to pass through the Microsoft Windows firewall.

  • If you are configuring a remote report server for administration by a non-administrative user, you must set DCOM permissions to enable remote WMI access to a standard Windows user account. Because WMI uses DCOM as transport for remote calls, you must set the DCOM permissions so that users who are not logged on as the local administrator can configure the server.

  • If you are configuring a remote report server for administration by a non-administrative user, you must also set WMI permissions on the report server WMI namespace. By default, all members of the local Administrator group have access to the report server WMI namespace. If you want to grant access to non-administrators, you must set permissions.

Instructions on how to perform these tasks are provided in this topic.

To open ports in Windows Firewall

  1. How to: Configure a Windows Firewall for Database Engine Access.

  2. How to: Configure a Firewall for Report Server Access.

To configure remote connections to the report server database

  1. Click Start, point to Programs, point to Microsoft SQL Server 2008 R2, point to Configuration Tools, and click SQL Server Configuration Manager.

  2. In the left pane, expand SQL Server Network Configuration, and then click Protocols for the instance of SQL Server.

  3. In the details pane, enable the TCP/IP and Named Pipes protocols, and then restart the SQL Server service.

To enable remote administration in Windows Firewall

  1. Log on as a local administrator to the computer for which you want to enable remote administration.

  2. If the report server is running on Windows Vista, right-click Command Prompt and select Run as administrator. For other operating systems, open a command prompt window.

  3. Run the following command:

    Copy Code
    netsh.exe firewall set service type=REMOTEADMIN mode=ENABLE scope=ALL

    You can specify different options for Scope. For more information, see the Windows Firewall product documentation.

  4. Verify that remote administration is enabled. You can run the following command to show the status:

    Copy Code
    netsh.exe firewall show state

  5. Reboot the computer.

To set DCOM permissions to enable remote WMI access for non-administrators

  1. On the Start menu, point to Administrative Tools, click Component Services.

    For Windows Vista, on the Start menu, click All Programs, click Run, and then enter mmc comexp.msc.

  2. Open the Component Services folder.

  3. Open the Computers folder.

  4. Select My Computer.

  5. On the Action menu, and select Properties.

  6. Click COM Security.

  7. In Launch and Activation Permissions, click Edit Limits.

  8. If you do not see your name in Launch Permission, click Add.

  9. Type the name of your user account, and then click OK.

  10. In Permissions for <User or Group>, in the Allow column, select Remote Launch and Remote Activation, and then click OK.

To set permissions on the report server WMI namespace for non-administrators

  1. On the Start menu, point to Administrative Tools, click Computer Management.

  2. Open the Services and Applications folder.

  3. Right-click WMI Control, and select Properties.

  4. Click Security.

  5. Open the Root folder.

  6. Open the Microsoft folder.

  7. Open the SQLServer folder.

  8. Open the ReportServer folder.

  9. Open instance folder. If you installed the default instance, the folder is MSSQLSERVER.

  10. Open the v10 folder.

  11. Select the Admin folder, and then click Security.

  12. Click Add, and then type the user account you will use to manage the server.

  13. In the Allow column, select Enable Account, Remote Enable, and Read Security, and then click OK.

See Also

Tasks

How to: Start Reporting Services Configuration

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration)

How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

Reporting Services supports a scale-out deployment model that allows you to run multiple report server instances that share a single report server database.

To create a scale-out deployment, you use Setup and the Reporting Services Configuration tool:

  • Use Setup to install each report server instance that will be joined to the scale-out deployment.

  • Use the Reporting Services Configuration tool to connect each report server to the shared database. You can only connect to and configure one report server at a time.

  • Use the Reporting Services Configuration tool to complete the scale-out by joining new report server instances to the first report server instance already connected to the report server database.

To avoid database compatibility errors when connecting the server instances to the shared database, be sure that all instances are the same version. For example, if you create the report server database using a SQL Server 2008 report server instance, all other instances in the same deployment must also be SQL Server 2008. For more information, see Configuring Reporting Services for Scale-Out Deployment.

The following instructions explain how to configure a two-node report server scale-out deployment. Repeat the steps described in this topic to add additional report server nodes to the deployment.

If you are planning to host the scale-out deployment on a network load balanced (NLB) cluster, you should configure the NLB cluster before you configure the scale-out deployment. For more information, see How to: Configure a Report Server on a Network Load Balancing Cluster.

To install a SQL Server instance to host the report server databases

  1. Install a SQL Server instance on a computer that will host the report server databases. At a minimum, install SQL Server Database Engine and Reporting Services.

  2. If necessary, enable the report server for remote connections. Some versions of SQL Server do not enable remote TCP/IP and Named Pipes connections by default. To confirm whether remote connections are allowed, use SQL Server Configuration Manager and view the network configuration settings of the target instance. If the remote instance is also a named instance, verify that the SQL Server Browser service is enabled and running on the target server. SQL Server Browser provides the port number that is used to connect to the named instance.

To install the first report server instance

  1. Install the first report server instance that is part of the deployment. When you install Reporting Services, choose the Install but do not configure server option on the Report Server Installation Options page.

  2. Start the Reporting Services Configuration tool.

  3. Configure the Report Server Web service URL, Report Manager URL, and the report server database. For more information, see How to: Configure a Report Server in SQL Server Books Online.

  4. Verify that the report server is operational. For more information, see How to: Verify a Reporting Services Installation in SQL Server Books Online.

To install and configure the second report server instance

  1. Run Setup to install a second instance of Reporting Services on a different computer or as a named instance on the same computer. When you install Reporting Services, choose the Install but do not configure server option on the Report Server Installation Options page.

  2. Start the Reporting Services Configuration tool and connect to the new instance you just installed.

  3. Connect the report server to the same database you used for the first report server instance:

    1. Click Database to open the Database page.

    2. Click Change Database.

    3. Click Choose an existing report server database.

    4. Type the server name of the SQL Server SQL Server Database Engine instance that hosts the report server database you want to use. This must be the same server that you connected to in the previous set of the instructions.

    5. Click Test Connection, and then click Next.

    6. In Report Server Database, select the database you created for the first report server, and then click Next. The default name is ReportServer. Do not select ReportServerTempDB; it is used only for storing temporary data when processing reports. If the database list is empty, repeat the previous four steps to establish a connection to the server.

    7. In the Credentials page, select the type of account and credentials that the report server will use to connect to the report server database. You can use the same credentials as the first report server instance or different credentials. Click Next.

    8. Click Summary and then click Finish.

  4. Configure the Report Server Web service URL. Do not test the URL yet. It will not resolve until the report server is joined to the scale-out deployment.

  5. Configure the Report Manager URL. Do not test the URL yet or try to verify the deployment. The report server will be unavailable until the report server is joined to the scale-out deployment.

To join the second report server instance to the scale-out deployment

  1. Open the Reporting Services Configuration tool, and reconnect to the first report server instance. The first report server is already initialized for reversible encryption operations, so it can be used to join additional report server instances to the scale-out deployment.

  2. Click Scale-out Deployment to open the Scale-out Deployment page. You should see two entries, one for each report server instance that is connected to the report server database. The first report server instance should be joined. The second report server should be "Waiting to join". If you do not see similar entries for your deployment, verify you are connected to the first report server that is already configured and initialized to use the report server database.

    Partial screenshot of Scale-out Deployment page

  3. On the Scale-out Deployment page, select the report server instance that is waiting to join the deployment, and click Add Server.

  4. You should now be able to verify that both report server instances are operational. To verify the second instance, you can use the Reporting Services Configuration tool to connect to the report server and click the Web Service URL or the Report Manager URL.

If you plan to run the report servers in a load-balanced server cluster, additional configuration is required. For more information, see How to: Configure a Report Server on a Network Load Balancing Cluster.

See Also

Tasks

How to: Configure a Service Account for Reporting Services
How to: Configure a URL (Reporting Services Configuration)
How to: Create a Report Server Database (Reporting Services Configuration)
How to: Start Reporting Services Configuration

Concepts

Configuring Report Server URLs
Configuring a Report Server Database Connection
Adding and Removing Encryption Keys for Scale-Out Deployment
Reporting Services Configuration How-to Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure a Report Server on a Network Load Balancing Cluster

How to: Configure a Report Server on a Network Load Balancing Cluster |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

If you are configuring a report server scale-out to run on a Network Load Balancing (NLB) cluster, you must do the following:

  • Ensure that the NLB cluster is accessible through a virtual server name that maps to the virtual server IP address. A virtual server name is necessary so that you can configure a single point of entry to the NLB cluster. When you configure a URL for each report server instance, you will specify the virtual server name as the host.

  • Configure view state validation to support interactive report viewing. Interactive reports are typically rendered numerous times during a single user session to visualize new or different data in response to user actions. By configuring view state validation, continuity is preserved within the user session regardless of which report server services the actual request.

Reporting Services does not provide functionality for load balancing a scale-out deployment or for defining a single point of access through a shared URL. You must implement a separate software or hardware NLB cluster solution to support a Reporting Services scale-out deployment.

You can install Reporting Services on nodes that are already part of an NLB cluster, or you can configure a scale-out deployment first and then install cluster software.

Steps for Report Server Deployment on an NLB Cluster

Use the following guidelines to install and configure your deployment:

Step Description More information

1

Before you install Reporting Services on server nodes in an NLB cluster, check the requirements for scale-out deployment.

Planning for Scale-Out Deployment in SQL Server Books Online

2

Configure the NLB cluster and verify it is working correctly.

Be sure to map a host header name to the virtual server IP of the NLB cluster. The host header name is used in the report server URL, and is easier to remember and type than an IP address.

For more information, see the Windows Server product documentation for the version of the Windows operating system that you run.

4

Install Reporting Services in files-only mode on nodes that are already part of a NLB cluster, and configure the report server instances for scale-out deployment.

The scale-out that you configure might not respond to requests that are directed to the virtual server IP. Configuring the scale-out to use the virtual server IP occurs at a later step, after you configure view state validation.

How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration)

5

Configure view state validation.

For best results, perform this step after you configure the scale-out deployment, and before you configure the report server instances to use the virtual server IP. By configuring view state validation first, you can avoid exceptions about failed state validation when users attempt to access interactive reports.

How to Configure View State Validation in this topic.

6

Configure Hostname and UrlRoot to use the virtual server IP of the NLB cluster.

How to Configure Hostname and UrlRoot in this topic.

7

Verify the servers are accessible through the host name you specified.

Verify Report Server Access in this topic.

How to Configure View State Validation

To run a scale-out deployment on an NLB cluster, you must configure view state validation so that users can view interactive HTML reports. You must do this for the report server and for Report Manager.

View state validation is controlled by the ASP.NET. By default, view state validation is enabled and uses the identity of the Web service to perform the validation. However, in an NLB cluster scenario, there are multiple service instances and web service identities that run on different computers. Because the service identity varies for each node, you cannot rely on a single process identity to perform the validation.

To work around this issue, you can generate an arbitrary validation key to support view state validation, and then manually configure each report server node to use the same key. You can use any randomly generated hexadecimal sequence. The validation algorithm (such as SHA1) determines how long the hexadecimal sequence must be.

  1. Generate a validation key and decryption key by using the autogenerate functionality provided by the .NET Framework. In the end, you must have a single <machineKey> entry that you can paste into the Web.config file for each Report Manager instance in the scale-out deployment.

    The following example provides an illustration of the value you must obtain. Do not copy the example into your configuration files; the key values are not valid.

    Copy Code
    <machineKey validationKey="123455555" decryptionKey="678999999" validation="SHA1" decryption="AES"/>
  2. Open the Web.config file for Report Manager, and in the <system.web> section paste the <machineKey> element that you generated. By default, the Report Manager Web.config file is located in \Program Files\Microsoft SQL Server\MSRS10_50.MSSQLSERVER\Reporting Services\ReportManager\Web.config.

  3. Save the file.

  4. Repeat the previous step for each report server in the scale-out deployment.

  5. Verify that all Web.Config files in the \Reporting Services\Report Manager folders contain identical <machineKey> elements in the <system.web> section.

How to Configure Hostname and UrlRoot

To configure a report server scale-out deployment on an NLB cluster, you must define a single virtual server name that provides a single point of access to the server cluster. Then register this virtual server name with the Domain Name Server (DNS) in your environment.

After you define the virtual server name, you can configure the Hostname and UrlRoot properties in the RSReportServer.config file to include the virtual server name in the report server URL.

Configure the Hostname property when you are using wildcard URL reservations in your reporting environment. When you specify the Hostname property to be the virtual server name of the NLB server, network traffic for the reporting environment is directed to the NLB server. The NLB then distributes requests among the report server nodes.

Additionally, configure the UrlRoot property so that report links work in reports that have been exported to static reports, such as in an Excel or PDF format, or in reports that are generated by subscriptions, such as e-mail subscriptions.

If you integrate Reporting Services with Windows SharePoint Services 3.0 or Office SharePoint Server 2007, or you host your reports in a custom Web application, you might need to configure only the UrlRoot property. In this case, configure the UrlRoot property to be the URL of the SharePoint site or Web application. This will direct network traffic for the reporting environment to the application that handles the reports rather than to the report server or NLB cluster.

Do not modify ReportServerUrl. If you modify this URL, you will introduce an extra roundtrip through the virtual server each time an internal request is handled. For more information, see URLs in Configuration Files (Reporting Services). For more information about editing the configuration file, see How to: Modify a Reporting Services Configuration File in SQL Server Books Online.

  1. Open RSReportServer.config in a text editor.

  2. Find the <Service> section, and add the following information to the configuration file, replacing the Hostname value with the virtual server name for your NLB server:

    Copy Code
    <Hostname>virtual_server</Hostname>
  3. Find UrlRoot. The element is unspecified in the configuration file, but the default value used is a URL in this format: http:// or https://<computername>/<reportserver>, where <reportserver> is the virtual directory name of the Report Server Web service.

  4. Type a value for UrlRoot that includes the virtual name of the cluster in this format: http:// or https://<virtual_server>/<reportserver>.

  5. Save the file.

  6. Repeat these steps in each RSReportServer.config file for each report server in the scale-out deployment.

Verify Report Server Access

Verify that you can access the scale-out deployment through the virtual server name (for example, https://MyVirtualServerName/reportserver and https://MyVirtualServerName/reports).

You can check which node actually processes reports by looking at the report server log files or by checking the RS execution log (the execution log table contains a column called InstanceName that shows which instance processed a particular request). For more information, see Reporting Services Log Files in SQL Server Books Online.

If you cannot connect to the report server, check the NLB to ensure that requests are sent to the report server and view the report server HTTP log to ensure that the server is receiving the requests.

Troubleshooting Failed Requests

If requests do not reach the report server instances, check the RSReportServer.config file to verify that the virtual server name is specified as the host name for the report server URLs:

  1. Open the RSReportServer.config file in a text editor.

  2. Find <Hostname>, <ReportServerUrl>, and <UrlRoot>, and check the host name for each settings. If the value is not the host name you expect, replace it with the correct host name.

If you start the Reporting Services Configuration tool after making these changes, the tool might change the <ReportServerUrl> settings to the default value. Always keep a backup copy of the configuration files in case you need to replace them with the version that contains the settings you want to use.

See Also

Tasks

How to: Start Reporting Services Configuration
How to: Configure a URL (Reporting Services Configuration)
How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration)

Concepts

Reporting Services Configuration How-to Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure a Service Account for Reporting Services

How to: Configure a Service Account for Reporting Services |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

In a Reporting Services installation, the Report Server Web service, Report Manager, and the background processing application run within a single service. The account under which the service runs is defined during Setup when you specify the account in the Service Identity page, but you can use the Reporting Services Configuration tool if you want use a different account or update the password.

If you have a report server that is configured to use SharePoint Integrated mode and you change the service account by using the Reporting Services Configuration tool, you must also open SharePoint Central Administration and use the Reporting Services Grant Database Access page to re-apply the report server and instance settings. This step will grant the new service account access to the SharePoint databases, which is required for integrating Reporting Services with SharePoint Foundation 2010 or SharePoint Server 2010. For more information about how to grant database access in SharePoint Central Administration, see How to: Configure Report Server Integration in SharePoint Central Administration.

Always use the Reporting Services Configuration tool to update the service account so that other settings that depend on the service identity can be updated concurrently.

You cannot use the built-in Windows service accounts (Local Service or Network Service) as report server service accounts on a domain controller.

To configure the Report Server service account

  1. Start the Reporting Services Configuration manager and connect to the report server.

  2. On the Service Account page, select the option that describes the type of account you want to use. For recommendations about which account type to specify, see Configuring the Report Server Service Account.

  3. If you selected a Windows user account, specify the new account and password. The account cannot be more than 20 characters.

    If the report server is deployed in a network that supports Kerberos authentication, you must register the report server Service Principal Name (SPN) with the domain user account you just specified. For more information, see How to: Register a Service Principal Name (SPN) for a Report Server.

  4. Click Apply.

  5. When prompted to back up the symmetric key, type a file name and location for the symmetric key backup, type a password to lock and unlock the file, and then click OK.

  6. If the report server uses the service account to connect to the report server database, the connection information will be updated to use the new account or password. Updating the connection information requires that you connect to the database. If the SQL Server Database Connection dialog box appears, enter credentials that have permission to connect to the database, and then click OK.

  7. When prompted to restore the symmetric key, type the password you specified in step 5, and then click OK.

  8. Review the status messages in the Results pane to verify all tasks completed successfully.

Troubleshooting Service Identity Update Errors

Changing the service identity initiates a series of events that include restarting the service, updating the password-protected encryption key, updating URL reservations, and updating the report server database connection information if you are using the service account to connect to the report server database. You can monitor the status of these events by viewing the notifications in the Results panel at the bottom of the page. If errors occur during this process, you can try to resolve them using the following techniques:

  • If the symmetric key cannot be restored, you can try to restore it manually by using Restore in the Encryption Keys page. If that does not work, consider deleting the encrypted content. You will have to re-create data source connection information and subscriptions, but the rest of your content will still be available. For more information, see Backing Up and Restoring Encryption Keys.

  • If the service will not start, restart it manually by using the Services console application in Administrator Tools.

  • URL reservation errors can occur when you update the service account. Each URL reservation includes a security descriptor that includes a Discretionary Access Control List (DACL) that grants permission to the service account to accept requests on the URL. When you update the account, the URL must be recreated to update the DACL with the new account information. If the URL reservation cannot be recreated, and you know the account to be valid, try to restart the computer. If the error persists, try to use a different account.

See Also

Tasks

How to: Start Reporting Services Configuration

Reference

Service Account (Reporting Services Configuration)

Concepts

Configuring the Report Server Service Account
Configuring a Report Server Database Connection
Configuring and Managing Encryption Keys

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure a URL (Reporting Services Configuration)

How to: Configure a URL (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

Before you can use Report Manager or the Report Server Web service, you must configure at least one URL for each application. Configuring the URLs is mandatory if you installed Reporting Services in "files-only" mode (that is, by selecting the Install but do not configure the server option on the Report Server Installation Options page in the Installation Wizard). If you installed Reporting Services in the default configuration, URLs are already configured for each application. If you have a report server that is configured to use SharePoint Integrated mode and you update the Report Server Web Service URL by using the Reporting Services Configuration tool, you must also update the URL in SharePoint Central Administration.

Use the Reporting Services Configuration tool to configure the URLs. All parts of the URL are defined in this tool. Unlike earlier releases, Internet Information Services (IIS) Web sites no longer provide access to Reporting Services applications in SQL Server 2008.

Reporting Services provides default values that work well in most deployment scenarios, including side-by-side deployments with other Web services and applications. Default URLs incorporate instance names, minimizing the risk of URL conflicts if you run multiple report server instances on the same computer.

This topic provides instructions for the following tasks:

  • Create a URL for the Report Server Web service.

  • Create a URL for Report Manager.

  • Set advanced URL properties to define additional URLs.

For more information about how URLs are stored and maintained or interoperability issues, see About URL Reservations and Registration (Reporting Services) and Deploying Reporting Services and Internet Information Services Side-by-Sidein SQL Server Books Online. To review examples of URLs often used in a Reporting Services installation, see Examples of URLs in this topic.

Prerequisites

Before you create or modify a URL, remember the following points:

  • You must be a member of the local Administrators group on the report server computer.

  • If IIS 6.0 or 7.0 is installed on the same computer, check the names of virtual directories on any Web site that uses port 80. If you see any virtual directories that use the default Reporting Services virtual directory names (that is, "Reports" and "ReportServer"), choose different virtual directory names for the Reporting Services URLs that you configure.

  • You must use the Reporting Services Configuration tool to configure the URL. Do not use a system utility. Never modify URL reservations in the URLReservations section of the RSReportServer.config file directly. Using the Reporting Services Configuration tool is necessary to update both the underlying URL reservation that is stored internally and synchronize the URL settings stored in the RSReportServer.config file.

  • Choose a time that has low report activity. Each time the URL reservation changes, you can expect that the application domains for Report Server Web service and Report Manager might be recycled.

  • For an overview of URL construction and usage in Reporting Services, see Configuring Report Server URLs.

To configure a URL for the Report Server Web service

  1. Start the Reporting Services Configuration tool and connect to a local report server instance.

  2. Click Web Service URL.

  3. Specify the virtual directory. The virtual directory name identifies which application receives the request. Because an IP address and port can be shared by multiple applications, the virtual directory name specifies which application receives the request.

    This value must be unique to ensure that the request reaches its intended destination. This value is required. It is case-insensitive. There is a one-to-one correspondence between a virtual directory name and an instance of a Reporting Services application. If you create multiple URLs to the same application instance, you must use the same virtual directory name in all of the URLs you define for this application instance.

    For the Report Server Web service, the default virtual directory name is ReportServer.

  4. Specify the IP address that uniquely identifies the report server computer on the network. If you want to specify a host header or define additional URLs for the same application instance, you must click Advanced. For instructions on how to set advanced properties on the URL, see the instructions later in this topic. Otherwise, use the Web Service URL page to select from the following values:

    • All Assigned specifies that any of the IP addresses that are assigned to the computer can be used in a URL that points to a report server application. This value also encompasses friendly host names (such as computer names) that can be resolved by a domain name server to an IP address that is assigned to the computer. This is the default value for a Reporting Services URL.

    • All Unassigned specifies that the report server will receive any request that has not been handled by another application. We recommend that you avoid this option. If you select this option, it becomes possible for another application that has a stronger URL reservation to intercept requests intended for the report server.

    • 127.0.0.1 is the IPv4 address used to access to localhost. It supports local administration on the report server computer. If you select only this value, only users who are logged on locally to the report server computer will have access to the application.

    • ::1 is the loopback address in IPv6 format.

    • Specific IP addresses also appear in this list. IP addresses can be in IPv4 and IPv6 formats. Nnn.nnn.nnn.nnn is the 32-bit IPv4 address of a network adapter card on your computer. IPv6 addresses are 128-bit, with eight 4-byte fields separated by colons: <prefix>:nnnn:nnnn:nnnn:nnnn:nnnn:nnnn

      If you have multiple cards or if your network supports both IPv4 and IPv6 addresses, you will see multiple IP addresses. If you select only one IP address, it will limit application access to the just the IP address (and any host name that a domain name server maps to that address). You cannot use localhost to access a report server, and you cannot use the IP addresses of other network adapter cards that are installed on the report server computer. Typically, if you select this value, it is because you are configuring multiple URL reservations that also specify explicit IP addresses or host names (for example, one for a network adapter card used for intranet connections and a second one used for extranet connections).

  5. Specify the port. Port 80 is the default for Reporting Services on Windows Server 2003, Windows Vista, and Windows Server 2008 because it can be shared with other applications. If you are using 32-bit Windows XP SP2, the default port is 8080. If you want to use a custom port number, remember that you will have to always specify it in the URL used to access the report server. You can use the following techniques to find an available port:

    • From a command prompt, type the following command to return a list of TCP ports that are being used:

      netstat –a –n -p tcp

    • Review the Microsoft Support article, Information about TCP/IP port assignments, to read about TCP port assignments and the differences between Well Known Ports (0 through 1023), Registered Ports (1024 through 49151), and Dynamic or Private Ports (49152 through 65535).

    • If you are using Windows Firewall, you must open the port. For instructions, see How to: Configure a Firewall for Report Server Access.

  6. If you have not done so already, verify that IIS (if it is installed) does not have virtual directory with the same name you plan to use.

  7. If you installed an SSL certificate, you can select it now to bind the URL to the SSL certificate that is installed on your computer.

  8. Optionally, if you select an SSL certificate, you can specify a custom port. The default is 443 but you can use any port that is available.

  9. Click Apply to create the URL.

  10. Test the URL by clicking the link in the URLs section of page. Note that the report server database must be created and configured before you can test the URL. For instructions, see How to: Create a Report Server Database (Reporting Services Configuration).

  11. Additionally, if your report server is configured to use SharePoint Integrated mode, configure the Report Server Web service URL in SharePoint Central Administration. For more information about how to update the Report Server Web service URL in SharePoint Central Administration, see How to: Configure Report Server Integration in SharePoint Central Administration.

To create a URL reservation for Report Manager

  1. Start the Reporting Services Configuration tool and connect to the report server instance.

  2. Click Report Manager URL.

  3. Specify the virtual directory. Report Manager listens on the same IP address and port as the Report Server Web service. If you configured Report Manager to point to a different Report Server Web service, you must modify the Report Manager URL settings in the RSReportServer.config file. For instructions, see How to: Configure Report Manager in SQL Server Books Online.

  4. If you installed an SSL certificate, you can select it to require that all requests to Report Manager are routed over HTTPS.

    Optionally, if you select an SSL certificate, you can specify a custom port. The default is 443 but you can use any port that is available.

  5. Click Apply to create the URL.

  6. Test the URL by clicking the link in the URLs section of page.

Setting Advanced Properties to Specify Additional URLs

You can reserve multiple URLs for the Report Server Web service or Report Manager by specifying different ports or host names (either an IP address or a host header name that a domain name server can resolve to an IP address assigned to the computer). By creating multiple URLs, you can set up different access paths to the same report server instance. For example, to enable intranet and extranet access to a report server, you might use the default URL for access across the intranet, and an additional fully qualified host name for extranet access:

  • http://myserver01/reportserver

  • http://www.adventure-works.com/reportserver

You cannot set multiple virtual directory names for the same application instance. Each Reporting Services application instance is mapped to a single virtual directory name. If you have multiple instances of Reporting Services on the same computer, the virtual directory name for an application should include the instance name to ensure that each request reaches its intended target.

To set advanced properties on a URL

  1. On either the Web Service URL or Report Manager URL page, click Advanced.

  2. Click Add.

  3. Click IP Address or Host Header Name. If you specify a host header, be sure to specify a name that the DNS service can resolve. If you are specifying publicly available domain name, include the whole URL, including http://www.

  4. Specify the port. If you specify a custom port, the URL to the application must always include the port number.

  5. Click OK.

  6. Test the URL by opening a browser window and entering the URL.

URLs for Multiple Report Server Instances on the Same Computer

If you are reserving URLs for multiple instances of Reporting Services, you should follow naming conventions so that you can avoid naming conflicts. For more information, see URL Reservations for Multi-Instance Report Server Deployments.

Examples of URL Configurations

The following list shows some examples of what a report server URL might resemble:

  • http://localhost/reportserver

  • http://localhost/reportserver_SQLEXPRESS

  • http://sales01/reportserver

  • http://sales01:8080/reportserver

  • https://sales.adventure-works.com/reportserver

  • https://www.adventure-works.com:8080/reportserver01

URLs that you use to access Report Manager share a similar format and are typically created under the same Web site that hosts the report server. The only difference is the virtual directory name (in this case, it is reports but you can configure it to use whatever name that you want):

  • http://localhost/reports

  • http://localhost/reports_SQLEXPRESS

  • http://sales01/reports

  • http://sales01:8080/reports

  • https://sales.adventure-works.com/reports

  • https://www.adventure-works.com:8080/reports

See Also

Tasks

How to: Start Reporting Services Configuration

Concepts

Configuring Report Server URLs

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure Report Server Integration in SharePoint Central Administration

How to: Configure Report Server Integration in SharePoint Central Administration |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

If you are configuring a report server to run within a deployment of a SharePoint product, you must specify integration settings that determine the connection between the SharePoint technology instance and a Reporting Services report server:

  • You must be an administrator on the SharePoint farm to configure report server integration:

  • You must have installed the Reporting Services Add-in for SharePoint products, which provides the configuration pages and general integration.

  • You must also have a target report server that is already connected to a report server database that was created for SharePoint integrated.

  • If you are configuring Reporting Services to run within a SharePoint server farm, you must also have a SharePoint Web front-end installed on the report server computer.

The settings that you specify are stored in the configuration database. If you are configuring integration for a farm that includes several virtual servers, the settings will be used by all Web front-ends that are enabled in a SharePoint farm and that have an installation of the Reporting Services Add-in.

If you later modify the Report Server service accounts or extend a SharePoint farm to include additional applications, you must re-run the grant database access command to update the access rights in the SharePoint configuration database. For more information, see Configuring the Report Server Service Account.

For more information about the complete set of tasks, see Configuring Reporting Services for SharePoint 2010 Integration.

Note:
After you define a report server URL, use caution when modifying it later. Modifying a report server URL will disrupt the connection between the servers, affecting reports and models that are currently processing. If you change the report server URL on a production server, be sure to follow the planned downtime procedures established for your organization.

To specify report server integration settings in Central Administration

  1. In Administrator Tools, click SharePoint 2010 Central Administration.

  2. Click the General Application Settings tab.

    In the Reporting Services section, you should see the following links: Reporting services integration, Add a report server to the integration, Set server defaults. If you do not see the section or the links, the Reporting Services Add-in is not installed on the computer or the feature is not activated. For more information, see How to: Activate the Report Server Feature in SharePoint Central Administration.

  3. Click Reporting services integration.

  4. In Report Server Web Service URL, specify the report server site that you want to use with the current SharePoint site or farm. The URL can point to a single report server instance, or it can be the virtual server name for a set of load-balanced report servers that run in a scale-out deployment.

    To get the URL, open the Reporting Services Configuration tool, connect to the report server, and click Web Service URL. Click the URL to verify it works. Copy the URL and paste it into Report Server Web Service URL.

    The report server URL includes a server name and a virtual directory that you specified in the Reporting Services Configuration tool. The following examples illustrate how a report server URL might be constructed:

    • http://your-server-name/reportserver (this example might be used if the report server is on a different computer).

    • https://your-server-name:443/reportserver.

    Do not specify http://localhost for a report server URL that is used throughout a SharePoint farm. A URL address that specifies http://localhost will not be valid for SharePoint Web front-ends that are installed on remote servers.

    If you installed the report server and the SharePoint technology instance side-by-side, check for virtual directory name conflicts. For more information about interoperability issues, see Deploying Reporting Services and Internet Information Services Side-by-Sidein SQL Server Books Online.

  5. In Authentication mode, select either Windows Authentication or Trusted Account to specify whether the report server endpoint installed on the SharePoint server sends a header with a security token for an impersonated connection on the report server.

    All requests that originate from a user action on a Reporting Services application page are forwarded by the report server endpoint on the SharePoint Web application to a report server for processing. Depending on the authentication mode, the request may or may not include a SharePoint user identity token in the header.

    If the SharePoint Web application is configured for Windows Authentication and the Kerberos protocol is enabled, you can select Windows Authentication to connect through Windows integrated security. In this case, no user identity token is sent. Optionally, you can select Trusted Account to impersonate the trusted account and pass the SharePoint user information in the request header to the report server.

    For more information about server connections, see Security Overview for Reporting Services in SharePoint Integrated Mode in SQL Server Books Online.

  6. In Credentials, specify credentials which represent a member of the Administrator group on the computer that hosts the report server.

  7. In Activate the Reporting Services Feature, choose what scope you want to activate the reporting services integration feature for, either all site collections or only those you select.

  8. Click OK.

  9. In the Reporting Services section, click Set server defaults.

  10. In Report History Snapshots, set a site-wide default value for the number of copies of report history to retain. The default value provides an initial setting that establishes the number of snapshots that can be stored for each report. You can specify different limits in property pages for specific reports.

  11. In Report Processing Timeout, specify whether report processing times out on the report server after a certain number of seconds. This value applies to report processing on a report server. It does not affect data processing on the database server that provides the data for your report. The report processing timer clock begins when the report is selected and ends when the report opens. The value that you specify must be sufficient to complete both data processing and report processing.

  12. In Report Processing Log, specify whether the report server generates trace logs and the number of days the log is kept. . The logs are stored on the report server computer in the \Microsoft SQL Server\MSSQL.n\ReportServer\Log folder. A new log file is started each time the service is restarted. For more information about log files, see Report Server Service Trace Log.

  13. In Enable Windows Integrated Security, specify whether a connection to a report data source can be made using the Windows security token of the user who requested the report.

  14. In Enable running Ad Hoc Reporting, specify whether users can perform ad hoc queries from a Report Builder report. Setting this option sets the EnableLoadReportDefinition property on the report server. If you clear this option, the report server will not generate click through reports for reports that use a report model as a data source.

  15. In Enable RsClientPrint ActiveX control download, specify whether users can download the client side control, which provides printing options.

  16. In Enable Report Builder Download, specify whether clients are able to see the button for downloading the report builder application.

  17. In Custom Report Builder Launch URL, Specify a custom URL when the report server does not use the default Report Builder URL. This setting is optional. If you do not specify a value, the default URL will be used, which launches Report Builder 3.0. To launch Report Builder 1.0 as a Click-Once application, enter the following value: http://<computername>/ReportServer/ReportBuilder/ReportBuilder_1_0_0_0.application.

  18. Click OK..

See Also

Tasks

How to: Configure SharePoint Integration on a Stand-alone Server
How to: Configure SharePoint Integration on Multiple Servers
How to: Install a SharePoint Web Front-end on a Report Server Computer

Concepts

How to: Install or Uninstall the Reporting Services Add-in
How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration)

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure SharePoint Integration on a Stand-alone Server

How to: Configure SharePoint Integration on a Stand-alone Server |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

One of the deployment scenarios for running Reporting Services in SharePoint integrated mode is to install all server components and application databases on a single, stand-alone server. This configuration is useful if you want to learn how the technologies work together, or you are developing a custom application and want the simplicity of having all services on a single computer.

Prerequisites

Before you begin installing components, be sure to do the following:

  • Review the introduction to deployment configurations so that you are familiar with the components that you are about to install. For more information, see Deployment Topologies for Reporting Services in SharePoint Integrated Mode in SQL Server Books Online.

  • Review the configuration overview topic for best-practice recommendations on service account configuration and to learn more about the configuration steps. For more information, see Configuring Reporting Services for SharePoint 2010 Integration.

  • Review the hardware and software requirements that apply to all deployment scenarios that include Reporting Services in SharePoint integrated mode. For more information, see Requirements for Running Reporting Services in SharePoint Integrated Mode in SQL Server Books Online.

  • Review the remaining sections in this topic to learn about additional requirements that apply to a stand-alone server configuration.

Database Considerations for Standalone Server Configuration

Both Reporting Services and SharePoint products and technologies use SQL Server relational databases to store application data. Reporting Services requires an instance of the Database Engine in a compatible edition. SharePoint products and technologies can use an existing database server if you provide one. If you do not, the Setup program will install SQL Server Embedded Edition as an internal component and use it for the application databases. Because you are already installing the Database Engine for Reporting Services, you might consider using that same instance for the SharePoint application databases.

However, if you allow Setup to install and use SQL Server Embedded Edition, you can significantly reduce the number of installation and configuration steps. If you have sufficient disk space, you should use the Embedded Edition that SharePoint provides.

If you do not want multiple instances of SQL Server on your computer, you can use the Database Engine for the SharePoint configuration and content databases. To do so, you must choose the Advanced installation option when you install a SharePoint product or technology.

Note:
The report server instance cannot use the Embedded Edition for its database. However, the Embedded Edition instance that is installed by the SharePoint product or technology can exist side-by-side other Database Engine editions that you might also install. For more information about edition requirements for the report server database, see Creating a Report Server Database.

Installation Order

You can install the component technologies in any order, but for best results you should install Reporting Services first and verify that you have a valid installation before you install the SharePoint product or technology.

To save steps, you should install both Reporting Services and the Database Engine at the same time. Because you are installing the Database Engine and Reporting Services together, you will most likely have the option of installing Reporting Services in the default configuration, where virtual directories, the service account, and report server databases are configured automatically during installation.

The following list summarizes the deployment tasks you must perform:

  1. Install Reporting Services and Database Engine. If possible, choose the Install the SharePoint mode default configuration option when installing Reporting Services. Otherwise, you can select the Install but do not configure option and configure the server as a post-setup task.

  2. Configure the report server if it is not configured already, and verify you have a valid installation.

  3. Download and install the Microsoft .NET Framework 3.0 redistributable package.

  4. Install SharePoint Server 2010 or SharePoint Foundation 2010. Choose the Basic installation option.

  5. Run the SharePoint Products and Technologies Configuration Wizard and then open the SharePoint site to verify you have a valid installation.

  6. Download and install the Reporting Services Add-in for SharePoint Technologies.

  7. Configure the report server integration features in Central Administration.

To install Reporting Services and the Database Engine

  • Install Reporting Services and the Database Engine on the same computer. For more information, see How to: Install SQL Server 2008 R2 (Setup) in SQL Server Books Online.

  • Configure the report server, but when you create the report server database, select the option for SharePoint Integrated mode. For more information, see How to: Configure a Report Server in SQL Server Books Online.

After Setup is finished, you can verify that installation succeeded by connecting to the report server. You can test the connection by entering http://localhost/reportserver in the URL address of a browser window.

To download and install the .NET Framework 3.0 redistributable package

  1. Download the .NET Framework 3.0 redistributable package from the Microsoft Download Center.

  2. Run Setup. Setup runs in the background and might take awhile to finish. To check its progress, click the Microsoft .NET Framework 3.0 Installation icon in the notification area of the taskbar.

To install a SharePoint product or technology

  1. Run Setup.exe from the installation media.

  2. Enter the 25-character product key.

  3. Accept the software license agreement.

  4. Click Basic.

    This option provides the fewest installation steps. It immediately installs the software using all default values. It also automates the configuration steps for setting up Central Administration and the default SharePoint site.

    If you want to use an existing Database Engine instance, you must click Advanced instead. When you choose this option, Setup provides the Complete installation option that you can use to specify which database server to use. Be aware that choosing the Advanced installation option increases the complexity of the configuration steps that you must perform later. For more information about how to specify and configure an Advanced installation, follow the procedure "To install a SharePoint product or technology" in How to: Configure SharePoint Integration on Multiple Servers. When you finish the Advanced installation and configuration steps in the multi-server deployment topic, return to this topic, change the port assignment and continue with the remaining tasks.

  5. In the Finished page, verify that the check box is selected for Run the SharePoint Products and Technologies Configuration Wizard.

  6. Click Close.

    After Setup closes, the SharePoint Products and Technologies Configuration Wizard runs. When you select the Basic installation option, configuration tasks run in the background and you can click Finish when the configuration tasks are complete.

  7. Verify that installation succeeded. By default, a SharePoint site will open in a browser window after the configuration tasks are complete. This step verifies the installation and configuration process.

By default, SharePoint Products and Technologies Configuration Wizard assigns port 80 to the SharePoint Web application, which will cause the report server to become unavailable. As a result, you must now modify report server configuration settings to use a different port and you must start the default Web site.

Verify the report server database is configured for SharePoint integrated mode

  1. Start the Reporting Services Configuration tool and connect to the report server instance. For instructions, see How to: Start Reporting Services Configuration.

  2. In the Report Server Status page, verify that Report Server Mode is set to SharePoint integrated.

  3. If the report server is not configured for SharePoint integrated mode, click Database and create the report server database for SharePoint integrated mode. For instructions, seeHow to: Create a Report Server Database (Reporting Services Configuration) and How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration).

If you are working with a new installation of Reporting Services, you should also configure the unattended report processing account if you want to support unattended report execution. Optionally, configure the report server for e-mail delivery. For more information, see Configuring the Unattended Execution Account and Configuring a Report Server for E-Mail Delivery.

To download and install the Reporting Services Add-in for SharePoint Technologies

  1. Click Microsoft SQL Server 2008 Reporting Services Add-in for SharePoint Technologies to open the download page on the Microsoft Web site.

    Important:
    You must be a SharePoint Web farm administrator and Site Collection Administrator to install the Reporting Services Add-in.

  2. Choose which language to install.

  3. In Files to Download, click Download to install either the 32-bit or 64-bit version of the Reporting Services Add-in.

  4. Click Save to save the file to a location on your computer.

  5. Open Windows Explorer and browse to the folder where the file is located.

  6. Double-click SharePointRS.msi to begin installation. For more information, see How to: Install or Uninstall the Reporting Services Add-in.

  7. Get the latest version of the readme file for the Reporting Services Add-in to review late-breaking changes and known issues. On the download page on the Microsoft Web site, in Files to Download, click Download to open the readme_rsaddin.htm file, and then save the file to your computer.

To configure report server integration

  1. Click Start, click Administrative Tools, and then click SharePoint 2010 Central Administration.

    Important:
    To complete the following steps, you must be a member of the SharePoint Farm Administrator group and a Site Collection administrator.

  2. Click Application Management. You should see a new section named Reporting Services. This section has links to pages used to specify integration settings. If you do not see this section, you must activate the report server integration feature. For more information, see How to: Activate the Report Server Feature in SharePoint Central Administration.

    At a minimum, you must set the report server URL, select an authentication mode, and grant report server access to the SharePoint databases. For more information, see How to: Configure Report Server Integration in SharePoint Central Administration.

  3. Close Central Administration.

Next Steps

Verify integration by starting the Reporting Services Configuration tool and opening the SharePoint Integration page to view server status. You should see a link that you can click to start SharePoint Central Administration.

You can also verify an installation by opening a browser window to the report server. The URL should resemble http://example-server-name:8080/reportserver. This URL is to the proxy endpoint. After you add report server items to a SharePoint library, you can open a browser window to this URL to view items on the site.

Finally, you should be able to open the SharePoint Web application and upload reports and other documents to a SharePoint library.

After you install all the components and configure the settings for connecting server components, you must assign permissions, add content types, and add report server items to a SharePoint library.
To finish the deployment tasks for server integration
  1. Open the SharePoint Web application. By default, the URL is http://<your-server-name>.

  2. Set permissions to grant user access to the SharePoint site. Security is required, but if you want to inherit existing permissions, you do not have to set permissions on specific items. For more information, see Granting Permissions on Report Server Items on a SharePoint Site or How to: Set Permissions for Report Server Items on a SharePoint Site (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

  3. Add Reporting Services content types if you want to create new shared data sources, report models, and Report Builder reports. For more information, see How to: Add Report Server Content Types to a Library (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

  4. Create shared data sources to use with reports and models. For more information, see How to: Create and Manage Shared Data Sources (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

  5. Create shared schedules to use with subscriptions or unattended report processing. For more information, see How to: Create and Manage Shared Schedules (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

  6. Publish report definition files (.rdl), data source files (.rds), and report model files (.smdl) to a SharePoint library. You can also use the Upload command in a SharePoint library to upload .rdl and .smdl files, but not .rds files. Depending on your permissions, you can also create reports in Report Builder and save them to a library. If the reports include references to shared data sources or external files, you must update the references. For more information, see Deploying Models and Shared Data Sources to a SharePoint Site and How to: Upload Documents to a SharePoint Library (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

When you upload reports, make sure that the data source properties for the report are correct. The data source must have a valid connection string to an external data source. The credential type must be valid for your network topology. Specifically, if Kerberos authentication is not enabled for your domain, you cannot use the Windows integrated security credential type. Instead, you should specify stored credentials. After you verify the data source properties are correct, you can click the report name to open the report. The report will open in the Report Viewer Web Part automatically.

If the report does not open, check permissions on the report and the data source properties that define a connection to the external data source. On a site or farm, SharePoint permissions are used to control access to reports, report models, shared data sources, and the Report Builder tool used to create ad hoc reports. If these items are not visible to users, you should verify that permissions are set correctly.

A report server that runs in SharePoint integrated mode cannot be managed through Report Manager or SQL Server Management Studio. For a complete list of supported and unsupported features, see Features Supported by Reporting Services in SharePoint Integrated Mode in SQL Server Books Online.

See Also

Tasks

How to: Configure SharePoint Integration on Multiple Servers

Concepts

Configuring Reporting Services for SharePoint 2010 Integration

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Configure SharePoint Integration on Multiple Servers

How to: Configure SharePoint Integration on Multiple Servers |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

This topic provides step-by-step instructions for installing and configuring Reporting Services in SharePoint integrated mode in a multi-server deployment topology. This configuration is recommended if you have a large number of users who access reports from a SharePoint site.

Prerequisites

Before you begin installing components, be sure to do the following:

  • Review the introduction to deployment configurations so that you are familiar with the components that you are about to install. For more information, click Deployment Topologies for Reporting Services in SharePoint Integrated Mode in SQL Server Books Online.

  • Review the configuration overview topic for best practice recommendations on service account configuration and to learn more about the configuration steps. For more information, click Configuring Reporting Services for SharePoint 2010 Integration.

  • Review the hardware and software requirements that apply to all deployment scenarios that include Reporting Services in SharePoint integrated mode. For more information, click Requirements for Running Reporting Services in SharePoint Integrated Mode in SQL Server Books Online.

  • Review the remaining items in this section to learn about additional requirements that apply to a stand-alone server configuration.
Server Requirements for a Multi-server Deployment

You must have at least two or three servers. Hosting the application databases on a third server that is used exclusively by the Database Engine is common technique for improving performance if you expect a relatively large number of users.

If you are using two servers, each one should have the following components:

  • On one server, install SQL Server 2008 Reporting Services and Database Engine. This server will be used to host the report server along with the report server database and SharePoint application databases.

  • On the second server, install the Microsoft .NET Framework 3.0 redistributable package, an instance of a SharePoint product or technology, and the Reporting Services Add-in. This server will be the primary server in the farm. Central Administration will be installed on this server. Users will access report server content from the site collection on this computer.

Account Requirements for a Multi-server Deployment

You must have a domain user account to connect the instance of the SharePoint product or technology to the SharePoint_config database. Server farms require that you use domain accounts for services and database connections. If possible, create a new account that can be used for just this application. Avoid using your own credentials or those of any user who will be accessing a SharePoint site as a regular user (you will get access denied errors).

You must create a SQL Server database login for the domain account. The login needs DBCreator permissions on the server.

You must configure the SharePoint application pool process account to run as a domain user.

You must configure the Report Server service to run as a domain user account.

Important:
For distributed server deployments where the report server, the SharePoint Web application, and the server databases are on three different computers, you can use default settings that include the default Web site and port assignments. If you install the SharePoint Web application and the report server on different computers, but you put the SharePoint databases on the report server computer, you will encounter connection errors unless you follow the guidelines about service account configuration described in the previous section. For more information, see How to: Configure a Service Account for Reporting Services.

Administrator credentials are required to run all Setup programs, to grant permissions to be the primary site collection administration, and to grant database access when you configure report server integration.

Installation Order

You can install the component technologies in any order. For best results, confirm that each server product or technology is installed correctly before you integrate them

The following list provides a summary of the deployment tasks:

  1. Install Reporting Services and Database Engine. If you are installing server software on a production server or if you are using a three-server deployment configuration, plan on choosing the Install but do not configure the server option so that you can control when and how the report server is configured.

  2. Configure the report server, and verify you have a valid installation.

  3. Download and install the .NET Framework 3.0 redistributable package.

  4. Install SharePoint Server 2010 or SharePoint Foundation 2010. Plan on choosing the Advanced installation option so that you can specify a remote database server during configuration.

  5. Run the SharePoint Products and Technologies Configuration Wizard and select the database server.

  6. Configure the site collection features in Central Administration and open the SharePoint site to verify you have a valid installation.

  7. Download and install the Reporting Services Add-in for SharePoint Technologies.

  8. Configure the report server integration features in Central Administration.

To install Reporting Services and the Database Engine

  • Install Reporting Services and the Database Engine on the same computer or on different computers. For more information, see Considerations for Installing Reporting Services in SQL Server Books Online.

After Setup is finished, configure the report server for native mode operation to verify that the installation succeeded. Doing so allows you to use Report Manager to verify the installation.

For instructions on how to start the Reporting Services Configuration tool and configure the report server for operation, see Reporting Services Configuration How-to Topics.

To download and install the .NET Framework 3.0 redistributable package

  1. On a different server that you will use for the instance of the SharePoint product or technology, download the .NET Framework 3.0 redistributable package from the Microsoft Download Center.

  2. Run Setup. Setup runs in the background and might take awhile to finish. To check its progress, click the Microsoft .NET Framework 3.0 Installation icon in the notification area of the taskbar.

To install a SharePoint product or technology

  1. Run Setup.exe from the installation media.

  2. Enter the 25-character product key.

  3. Accept the software license agreement.

  4. Click Advanced.

    1. On Server Type, click Web Front End

    2. The Data Location tab specifies file location for search index files. On Data Location, use the default value or select a computer that has excess disk space.

    3. Click Install Now.

  5. Configure the SharePoint product or technology. The SharePoint Product and Technology Configuration Wizard should start after Setup is finished. If it does not, start it from Administrative Tools.

    1. Click Next on the Welcome screen.

    2. Click Yes to restart the services if required.

    3. On the Connect to a Server Farm page, click No, I want to create a new server farm, and then click Next.

    4. On the Specify Configuration Database Settings page, enter the database server name. If you installed the Database Engine as a default instance, the database server name is the computer name.

    5. In User Name and Password, type the credentials of a domain user account that has permission to log on to the computer, a SQL Server database login, and DBCreator permissions on the server. If possible, specify an account that is used only to run this application. Do not type the credentials of a user who will later access the SharePoint site; otherwise, that user might receive access denied errors later when accessing content on the site. Click Next.

    6. On the Configure SharePoint Central Administration page, click Next to accept all the defaults. If you know that impersonation and delegation features are enabled for Windows Authentication in your domain, you can select Negotiate (Kerberos) instead. Otherwise, select the default value and click Next.

    7. On Completing the SharePoint Products and Technologies Configuration Wizard, click Next to start the configuration using the settings that you specified.

    8. Click Finish.

To configure the SharePoint Web application

  1. Click Start, click Administrative Tools, and then click SharePoint 2010 Central Administration. Follow the checklist in the Administrator's Tasks. For more information about each task, click the link Read the deployment steps and then open the Quick Start Guide. The tasks in the following steps are required.

  2. Create a Web application:

    1. Click Create SharePoint Sites.

    2. Click Create new Web application.

    3. Select Create a new IIS web site (SharePoint - 80) using the default values. This includes using port 80, no host headers, default path, NTLM, and no Anonymous access. Be sure to specify the application pool process account. Choose a domain user account.

    4. Click OK.

  3. Click Create Site Collection on the Application Created page.

    1. Enter a title.

    2. Use all default values. When specifying Primary Site Collection Administrator, specify an account that has local administrator permissions.

    3. Click OK.

  4. Open a Command Prompt window and type iisrest /noforce.

  5. Click the URL to verify the site.

  6. (Optional) In Central Administration, enable diagnostic logging.

To configure the report server for SharePoint integrated mode

  1. Install and configure a SharePoint Web front end on the report server computer. For instructions, see How to: Install a SharePoint Web Front-end on a Report Server Computer.

    1. A browser window will open to Central Administration on the primary server, allowing you to verify that the server farm configuration succeeded.

  2. Configure the report server for integration:

    1. Start the Reporting Services Configuration tool and connect to the report server instance. For instructions, see How to: Start Reporting Services Configuration.

    2. In the navigation pane, click Service Account. Verify that it is using a domain user account. If it is not, configure it to use one.

    3. In the navigation pane, click Database.

      Note:
      If you are using a remote Database Engine instance, see How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration) for more information.

    4. Click Change Database.

    5. Select Create a new database.

    6. Click Next.

    7. Specify the instance of the Database Engine that will host the database.

    8. Click Test Connection to verify that you can connect to it.

    9. Click Next.

    10. In Database Name, type a name for the new database (for example, reportserverSharepointMode).

    11. Select SharePoint Integrated Mode.

    12. Click Next.

    13. Specify credentials that the report server uses to connect to the report server database.

    14. Click Next.

    15. Click Next.

    16. Click Finish.

    17. Configure the unattended execution account and any other settings that you want to change. The values for the Report Server virtual directory should still be valid. However, Report Manager will no longer be available now that you have configured the report server to use a SharePoint integrated mode database (the tab for the Report Manager virtual directory should be shaded).

To download and install the Reporting Services Add-in

  1. Click Microsoft SQL Server 2008 to open the download page on the Microsoft Web site.

    Important:
    You must be a SharePoint Web farm administrator and Site Collection Administrator to install the Reporting Services Add-in.

  2. Choose which language to install.

  3. In Files to Download, click Download to install either the 32-bit or 64-bit version of the Reporting Services Add-in.

  4. Click Save to save the file to a location on your computer.

  5. Open Windows Explorer and browse to the folder where the file is located.

  6. Double-click rsSharePoint.msi to begin installation. For instructions, see How to: Install or Uninstall the Reporting Services Add-in.

  7. Get the latest version of the readme file for the Reporting Services Add-in to review late-breaking changes and known issues. On the download page on the Microsoft Web site, in Files to Download, click Download to open the readme_rsaddin.htm file, and then save the file to your computer.

To configure server integration in Central Administration

  1. Click Start, click Administrative Tools, and then click SharePoint 2010 Central Administration.

    Important:
    To complete the following steps, you must be a member of the SharePoint Farm Administrator group and a Site Collection administrator.

  2. Click Application Management. You should see a new section named Reporting Services. This section has links to pages used to specify integration settings. If you do not see this section, you must activate the report server integration feature. For more information, see How to: Activate the Report Server Feature in SharePoint Central Administration.

    At a minimum, you must set the report server URL, select an authentication mode, and grant report server access to the SharePoint databases. For more information, see How to: Configure Report Server Integration in SharePoint Central Administration.

  3. Close Central Administration.

You will get an error if the Reporting Services services are running under built-in accounts. If you already configured the services to use domain user accounts, restart the services to clear out old connection information (assuming that there are existing connections in the current session). For more information about service account configuration, see Configuring the Report Server Service Account.

Next Steps

After you install all the components and configure the settings for connecting server components, you must assign permissions, add content types, and add report server items to a SharePoint library.

To finish the deployment tasks for server integration

  1. Open the SharePoint Web application. By default, the URL is http://<your-server-name>.

  2. Set permissions to grant user access to the SharePoint site. Security is required, but if you want to inherit existing permissions, you do not have to set permissions on specific items. For more information, see Granting Permissions on Report Server Items on a SharePoint Site or How to: Set Permissions for Report Server Items on a SharePoint Site (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

  3. Add Reporting Services content types if you want to create new shared data sources, report models, and Report Builder reports. For more information, see How to: Add Report Server Content Types to a Library (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

  4. Create shared data sources to use with reports and models. For more information, see How to: Create and Manage Shared Data Sources (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

  5. Create shared schedules to use with subscriptions or unattended report processing. For more information, see How to: Create and Manage Shared Schedules (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

  6. Publish report definition files (.rdl), data source files (.rds), and report model files (.smdl) to a SharePoint library. You can also use the Upload command in a SharePoint library to upload .rdl and .smdl files, but not .rds files. Depending on your permissions, you can also create reports in Report Builder and save them to a library. If the reports include references to shared data sources or external files, you must update the references. For more information, see Deploying Models and Shared Data Sources to a SharePoint Site and How to: Upload Documents to a SharePoint Library (Reporting Services in SharePoint Integrated Mode) in SQL Server Books Online.

When you upload reports, make sure that the data source properties for the report are correct. The data source must have a valid connection string to an external data source. The credential type must be valid for your network topology. Specifically, if Kerberos authentication is not enabled for your domain, you cannot use the Windows integrated security credential type. Instead, you should specify stored credentials. After you verify the data source properties are correct, you can click the report name to open the report. The report will open in the Report Viewer Web Part automatically.

If the report does not open, check permissions on the report and the data source properties that define a connection to the external data source. On a site or farm, SharePoint permissions are used to control access to reports, report models, shared data sources, and the Report Builder tool used to create ad hoc reports. If these items are not visible to users, you should verify that permissions are set correctly.

A report server that runs in SharePoint integrated mode cannot be managed through Report Manager. For a complete list of supported and unsupported features, see Features Supported by Reporting Services in SharePoint Integrated Mode in SQL Server Books Online.

See Also

Tasks

How to: Configure SharePoint Integration on a Stand-alone Server

Concepts

Configuring Reporting Services for SharePoint 2010 Integration
Configuring the Unattended Execution Account
Configuring a Report Server for E-Mail Delivery

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Create a Report Server Database (Reporting Services Configuration)

How to: Create a Report Server Database (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

Reporting Services uses a SQL Server database for internal storage. The database is a required component; it is used to store published reports, models, shared data sources, session data, resources, and server metadata.

To create a report server database or to change the connection string or credentials, use the options in the Database page in the Reporting Services Configuration tool.

When to Create or Configure the Report Server Databases

You must create and configure the report server database if you installed the report server in files-only mode.

If you installed Reporting Services in either the default configuration for native mode or SharePoint integrated mode, the report server database was created and configured automatically when the report server instance was installed. You can use the Reporting Services Configuration tool to view or modify the settings that Setup configured for you.

Before You Start

Creating or configuring a report server database is a multi-step process. Before you create the report server database, consider how you want to specify the following items:

Select a database server

Reporting Services requires a SQL Server 2005 or 2008 Database Engine instance to host the report server database. You can use a local or remote server.

Check edition requirements

Verify that the edition of the Database Engine is compatible with the report server edition you are using. For more information about edition compatibility, see Creating a Report Server Database.

Enable TCP/IP connections

Enable TCP/IP connections for the Database Engine. Some editions of the Database Engine do not enable TCP/IP by default. Instructions are provided in this topic.

Open port for SQL Server

For a remote server, if you are using firewall software, you must open the port that the Database Engine listens on.

Decide on a mode

A report server database support native mode or SharePoint integrated mode. Native mode is the default. Use this mode when you want to deploy Reporting Services as a stand-alone application server.

SharePoint integrated mode is used when you plan to deploy the report server together with an instance of a SharePoint product or technology. The database will be created when you run the wizard, but you will not be able to add content or view items until you add the report server to a SharePoint farm. For more information, see Planning a Deployment Mode in SQL Server Books Online.

Decide on report server credentials

Decide how the report server will connect to the report server databases. Credential types include domain user account, SQL Server database user account, or the Report Server service account.

These credentials are encrypted and stored in the RSReportServer.config file. The report server uses these credentials for ongoing connections to the report server database. If you want to use a Windows user account or a database user account, be sure to specify one that already exists. Although the Reporting Services Configuration tool will create a login and set the necessary permissions, it will not create an account for you. For more information, see Configuring a Report Server Database Connection.

Decide on a report server language

Choose a language to specify for the report server. Predefined role names, descriptions, and the My Reports folders do not appear in different languages when users connect to the server using different language versions of a browser. For more information about how language resources are used in a report server deployment, see Solution Design Considerations for Multi-Lingual or Global Deployments (Reporting Services) in SQL Server Books Online.

Check credentials to create and provision the database

Verify that you have account credentials that have permission to create databases on the Database Engine instance. These credentials are used for a one-time connection to create the report server database and RSExecRole. If a login does not already exist, a database user login will be created for the account used by the report server to connect to the database. You can connect under the Microsoft Windows account you are logged in as, or you can enter a SQL Server database login.

To enable access to a remote report server database

  1. If you are using a remote Database Engine instance, log on to the database server to verify or enable TCP/IP connections.

  2. Point to Start, point to All Programs, point to Microsoft SQL Server, point to Configuration Tools, and click SQL Server Configuration Manager.

  3. Open SQL Server Network Configuration.

  4. Select the instance.

  5. Right-click TCP/IP and click Enabled.

  6. Restart the service.

  7. Open your firewall software and open the port that SQL Server listens on. For the default instance, this is typically port 1433 for TCP/IP connections. For more information, see How to: Configure a Windows Firewall for Database Engine Access in SQL Server Books Online.

To create a local report server database

  1. Start the Reporting Services Configuration tool and connect to the report server instance for which you are creating the database. For more information, see How to: Start Reporting Services Configuration.

  2. On the Database page, click Change Database.

  3. Click Create a new database, and then click Next.

  4. Connect to the instance of the Database Engine that you will use to create and host the report server database:

    1. Type the SQL Server Database Engine instance that you want to use. The wizard will display a local Database Engine that runs as the default instance if it is available. Otherwise, you must type the server and instance to use. Named instances are specified in this format: <servername>\<instancename>.

    2. Enter the credentials used for a one-time connection to the Database Engine for the purpose of creating the report server databases. For more information about how these credentials are used, see Before You Start in this topic.

    3. Click Test Connection to validate the connection to the server.

    4. Click Next.

  5. Specify properties used to create the database. For more information about how these properties are used, see Before You Start in this topic:

    1. Type the name of the report server database. A temporary database is created along with the primary database. Consider using a descriptive name to help you remember how the database is used. Note that the name you specify will be used for the lifetime of the database. You cannot rename a report server database after it is created.

    2. Select the language in which you want role definitions and My Reports to appear.

    3. Select the server mode. Always select Native Mode unless you are planning to deploy the report server with a SharePoint product or technology.

    4. Click Next.

  6. Specify the credentials used by the report server to connect to the report server database.

    1. Specify the authentication type:

      Select Database Credentials to connect using a SQL Server database login that is already defined. Using database credentials is recommended if the report server is on a computer that is in a different domain, a non-trusted domain, or behind a firewall.

      Select Windows Credentials if you have a least-privileged domain user account that has permission to log on to the computer and the database server.

      Select Service Credentials if you want the report server to connect using its service account. With this option, the server connects using integrated security; credentials are not encrypted or stored.

    2. Click Next.

  7. Review the information on the Summary page to verify the settings are correct, and then click Next.

  8. Verify the connection by clicking a URL on the Report Server URL page or Report Manager URL page. The URLs must be defined in order for this test to work. If the report server database connection is valid, you will see either the report server folder hierarchy or Report Manager in a browser window. For more information, see How to: Verify a Reporting Services Installation in SQL Server Books Online.

See Also

Tasks

How to: Start Reporting Services Configuration

Reference

Database (Reporting Services Configuration)

Concepts

Configuring a Report Server Database Connection
Reporting Services Configuration How-to Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration)

How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

Use the Reporting Services Configuration tool to create a report server database in SharePoint integrated mode and configure the connection from the report server to the report server database. Only the report server connects to the report server database. The Windows SharePoint Services or Office SharePoint Server instance that you are integrating the report server with never connects to or retrieves data from the report server database directly.

A report server database can support native mode operations or SharePoint integration mode, but not both. If you create a report server database to support SharePoint integrated mode, you cannot convert or migrate the database to run with a native mode report server instance later. The report server database contains mode-specific metadata (specifically, item location, and permission information) that is not compatible in the other mode.

When created for SharePoint integrated mode, the report server database stores server properties, report execution snapshots, report history, subscription definitions, and schedules. It stores a secondary copy of reports, report models, shared data sources, and resources to improve processing performance on the server. Primary storage for report documents is in the SharePoint content databases. For more information, see Storing and Synchronizing Report Server Content With SharePoint Databases in SQL Server Books Online.

Key points to remember about a report server database that supports SharePoint integrations include the following:

  • Use the Change Database Wizard in the Database page of the Reporting Services Configuration tool to create the report server database in SharePoint integrated mode. For instructions, see How to: Create a Report Server Database (Reporting Services Configuration) in SQL Server Books Online.

  • Use the Reporting Services Configuration tool to maintain or update the connection information to the report server database.

  • Use SQL Server Management Studio and SQL Server tools to back up and administer a report server database. The database backup features in SharePoint 3.0 Central Administration do not apply to a report server database.

  • Creating the report server database is only one step in a multi-step process that configures a report server for integration operations. After you create the database, complete the integration steps by starting SharePoint 3.0 Central Administration and specifying the report server integration settings. For more information, see How to: Configure Report Server Integration in SharePoint Central Administration in SQL Server Books Online.

See Also

Tasks

How to: Switch Server Modes (Reporting Services Configuration)

Concepts

Configuring Reporting Services for SharePoint 2010 Integration
Configuring a Report Server Database Connection

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Enable Remote Errors (Reporting Services Configuration)

How to: Enable Remote Errors (Reporting Services Configuration)
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

Note For SQL Server 2008 R2, there have been no changes to the content that is listed in this topic.

You can set server properties on a report server to return additional information about error conditions that occur on remote servers. If an error message contains the text "For more information about this error, navigate to the report server on the local server machine, or enable remote errors", you can set the EnableRemoteErrors property to access additional information that can help you troubleshoot the problem. For more information, see Report Server System Properties in SQL Server Books Online.

Note:
You can edit the ConfigurationInfo table in the report server database to set EnableRemoteErrors to True, but if the report server is actively used, you should use SQL Server Management Studio or script to modify the settings.

Enable remote errors through SQL Server Management Studio

  1. Start Management Studio and connect to a report server instance. For more information, see How to: Connect to a Report Server in Management Studio in SQL Server Books Online.

  2. Right-click the report server node, and select Properties.

  3. Click Advanced to open the properties page. For more information, see Server Properties (Advanced Page) - Reporting Servicesin SQL Server Books Online.

  4. In EnableRemoteErrors, select True.

  5. Click OK.

Enable remote errors through script

  1. Create a text file and copy the following script into the file.

    Copy Code
    Public Sub Main()
  Dim P As New [Property]()
  P.Name = "EnableRemoteErrors"
  P.Value = True
  Dim Properties(0) As [Property]
  Properties(0) = P
  Try
    rs.SetSystemProperties(Properties)
    Console.WriteLine("Remote errors enabled.")
  Catch SE As SoapException
    Console.WriteLine(SE.Detail.OuterXml)
  End Try
End Sub

  2. Save the file as EnableRemoteErrors.rss.

  3. Click Start, point to Run, type cmd, and click OK to open a command prompt window.

  4. Navigate to the directory that contains the .rss file you just created.

  5. Type the following command line, replacing servername with the actual name of your server:

    Copy Code
    rs -i EnableRemoteErrors.rss -s http://servername/ReportServer


How to: Install a SharePoint Web Front-end on a Report Server Computer

How to: Install a SharePoint Web Front-end on a Report Server Computer |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

If you are configuring a report server to run in SharePoint integrated mode in a SharePoint farm that consists of multiple servers, you must install the Web Front End application of a SharePoint product on the report server computer so that you can join the report server computer to the farm.

A SharePoint farm consists of multiple servers that all use the same version of the SharePoint product. For example if the server farm uses SharePoint Foundation 2010, you must install SharePoint Foundation 2010 on the report server computer.

To install the Web front end, you must be a SharePoint farm administrator. You must also know the name of the database server and the configuration database that is used by the server farm.

The following steps are required only if you are deploying a report server in a SharePoint server farm. If all server applications run on a single computer, installing the Web front end on the report server is not required.

After you install the Web front end and join the report server computer to the farm, you can use SharePoint Central Administration to turn off any Web front end features that you do not require.

To install the Web front end

  1. On the server that runs Reporting Services, run Setup for the SharePoint product used for the farm.

  2. On Installation Types, click Advanced.

  3. On Server Type, select Web Front End.

  4. The Data Location tab specifies file location for search index files. On Data Location, use the default value or choose a computer that has excess disk space.

  5. Click Install Now.

After Setup is finished, you must configure the Web front end to join it to the server farm.

To configure the Web front end

  1. Run the SharePoint Products and Technologies Configuration Wizard to join the Web front end to the remote SharePoint farm. The SharePoint Product and Technology Configuration Wizard should start after Setup is finished. If it does not, start it from Administrative Tools.

  2. Click Next on the Welcome screen.

  3. Click Yes to restart the services if required.

  4. In the Connect to a Server Farm page, select Yes to connect to an existing server farm. Click Next.

  5. In the Specify Configuration Database Settings page, specify the SQL Server Database Engine instance that hosts the configuration database. If you do not know the name of the configuration database, click Retrieve Database Names and then select the configuration database.

  6. Enter a user name and password that the Web front end will use to connect to the configuration database. Click Next.

  7. In the Completing the SharePoint Products and Technologies Wizard page, click Advanced Settings.

  8. In Advanced Settings, verify that Do not use this machine to host the Web site is selected.

  9. Click OK, click Next, and then finish the Wizard.

Installing the Web front end is just one step in the overall configuration process. For more information about the complete set of steps, see Configuring Reporting Services for SharePoint 2010 Integration.

For more information about configuring a multi-server deployment that integrates Reporting Services and SharePoint products and technologies, see How to: Configure SharePoint Integration on Multiple Servers.

See Also

Concepts

How to: Install or Uninstall the Reporting Services Add-in

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Install or Uninstall the Reporting Services Add-in

How to: Install or Uninstall the Reporting Services Add-in |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

The Microsoft SQL Server Reporting Services Add-in for SharePoint 2010 products is a Web download that you can install on a server that has an instance of a SharePoint product or technology. It provides a set of features that enable you to run a report server within a larger deployment of Microsoft SharePoint Foundation 2010 or Microsoft SharePoint Server 2010 Features include a Report Viewer Web Part, a URL proxy endpoint, and application pages so that you can create, view, and manage reports, report models, data sources and other report server content on a SharePoint site. The Reporting Services Add-in for SharePoint 2010 products is a required component for a report server that runs in SharePoint integrated mode.

Important:
A deployment of Reporting Services integrates with a deployment of a SharePoint 2010 product at the farm level. If you have multiple SharePoint Web applications in a farm configuration, you must install the Reporting Services Add-in on each computer that has a Web front-end. It is recommended to use the Installation Wizard to install the Reporting Services Add-in on one of the Web front-end computers first. Then use the files-only mode installation to install the add-in sequentially on the other Web front-end computers in the farm. After one files-only installation finishes successfully, start the installation on the next Web front-end computer, and so on until you have completed the installation on all Web front-end computers in the SharePoint farm. Then, start Share Point Central Administration to configure report server integration for all the Web front-end servers in the SharePoint farm.

Preparing to Install

Installing the Reporting Services Add-in is one of many steps that are necessary for integrating a report server with an instance of a SharePoint product or technology. For more information about the complete set of steps, see Configuring Reporting Services for SharePoint 2010 Integration. The order of steps for configuring the servers is important. For best results, be sure that you do them in order.

To prepare to install the Reporting Services Add-in:

  1. Log on as a SharePoint farm administrator to install the Reporting Services Add-in.

  2. Verify that you have two server installations - a report server and a SharePoint server - that meet the requirements for integrated operations. For more information, see Requirements for Running Reporting Services in SharePoint Integrated Mode in SQL Server Books Online.

  3. Download the Reporting Services Add-in to a server that has an instance of the SharePoint product.

    1. Go to the Microsoft SQL Server Reporting Services Add-in for SharePoint 2010 products page on the Microsoft Download Center.

    2. Select and download the language version you want to install. The Report Viewer Web Part (ReportViewer.dwp) will be available only in the language that you select. The application pages and messages will be available in all supported languages, regardless of the language you select on the Download page. For more information about supported languages, see Solution Design Considerations for Multi-Lingual or Global Deployments (Reporting Services) in SQL Server Books Online.

  4. If you are integrating Reporting Services with a SharePoint farm that has multiple Web front end applications, copy or download the rsSharepoint.msi to each computer in the farm that has a Web server front-end. Do this only for Web front ends that will be used to access report server content.

Installation of the add-in

To install the Reporting Services Add-in, you must be an administrator on the computer.

You must be a Site Collection administrator to activate the Reporting Services integration feature.

In this release the add-in can be installed before installing SharePoint or after SharePoint installation. The add-in follows SharePoint pre-deployment standards and installs files in locations used by the SharePoint installation.

Note:
The advantage of installing the add-in prior to the SharePoint product or technology is that as new servers are added to the farm, the Reporting Services Add-in will be configured and activated by the SharePoint farm.

Installing the add-in before a SharePoint Product or Technology

The add-in must be installed on all servers that will run as SharePoint Web front-ends that you want integrated with the Reporting Services. If the SharePoint product or technology has not been installed yet, you can run the add-in installation wizard on all servers.

  1. Download the Setup program (rsSharepoint.msi) for the Reporting Services Add-in.

  2. As an administrator, run rsSharepoint.msi to run the Installation Wizard. The wizard displays a Welcome page, the Software license terms, and a registration information page. Setup creates SharePoint 2010 folders under %program files%\common files\Microsoft Shared\ and copies files to the folders. You must run the .msi as administrator by first opening an elevated command prompt window, and then running the rsSharepoint.msi from the command line.

  3. Configure the report server integration settings and feature activation in SharePoint Central Administration.

Installing the add-in after a SharePoint Product or Technology has been installed

When installing the add-in on servers after a SharePoint product or technology has been installed, you can run the full add-in installation on only one of the SharePoint servers. For the other SharePoint servers in the farm, you must run the files only installation of the add-in from the command line. The files-only installation installs the files but skips the custom actions section of the installation process.

After you have installed the add-in on all the servers, start SharePoint Central Administration to configure report server integration.

Files-only installation

To install the files but skip the custom action steps, run the .msi from the command line with the SKIPCA option:

  1. Open a command prompt with administrator permissions.

  2. Run msiexec -i rsSharePoint.msi SKIPCA=1.

Two steps for a full installation of the add-in

If you get errors during installation, you can run Setup as a two-step process from the command line. First run Setup to install the files and skip the custom actions, and then run a custom actions executable. To install the Reporting Services Add-in for files-only mode, do the following:

  1. Open a command prompt with administrator permissions.

  2. Run msiexec -i rsSharePoint.msi SKIPCA=1.

  3. Find the rsCustomAction.exe file on the file system. This file is copied to your computer by the Setup program. The file will be located in the %Temp% directory.

    To get the path information for this file, click Start, click Run, and then type %temp%. The file should be located in \Documents and Settings\<your name>\LOCALS~1\Temp.

    Open a command prompt window. To do this, click Start, click Run, and type cmd. On newer operating systems, you might need to elevate your permissions and run this run this with administrator permission.

  4. Navigate to the folder that contains the rsCustomAction executable.

  5. Enter the following command. This configuration step will take several minutes to finish. The W3SVC service will be restarted during this process.

    Copy Code
    rsCustomAction.exe /i

How to Remove the Reporting Services Add-in

You can uninstall the Reporting Services Add-in for SharePoint 2010 Products by running the Setup program (rsSharepoint.msi) in uninstall mode. Uninstalling the add-in will remove server integration features that are used to process reports and models on a report server.

To uninstall the Reporting Services Add-in, you must have a SharePoint Foundation 2010 or SharePoint Server 2010 installation still running. If you uninstall the SharePoint 2010 first, you must reinstall it to uninstall the Reporting Services Add-in.

Note:
Removing the add-in from a server that is active in the farm removes the add-in from all servers in the farm. If you only want to remove the add-in from one server, first remove that server from SharePoint farm and then uninstall the add-in.

  • On the SharePoint site, remove any reports and other report server items that you no longer use. They will not run after the Reporting Services Add-in is removed.

  • In Control Panel, in Programs, select Uninstall a Program, and then select Microsoft SQL Server 2008 R2 Reporting Services SharePoint Add-in.

  • Click Remove.

The steps for uninstalling the add-in are the same for both stand-alone servers and server farms. Setup will remove program files and any configuration settings that were added during installation.

Setup will not remove the following:

  • Logins created for the Report Server service account that is used to access the SharePoint configuration and content databases. You must delete any logins for the Report Server service account from the SQL Server Database Engine instance used to host the SharePoint databases.

  • Permissions or groups that you created for report users. If you created custom permission levels or SharePoint groups to grant access to report server features, you should revoke any permissions that are no longer required.

  • Data files that you uploaded to a SharePoint library, including report definition (.rdl), report model (.smdl), shared data source (.rsds), and published report items (.rsc) files. They are not deleted, but they will no longer run. You must delete the files manually.

  • Setup will not delete the report server database or modify the report server instance that was used for integrated operations. After you uninstall the add-in, consider switching the report server to run in native mode if you want to use the instance as a stand-alone reporting application.

How to Run rsSharePoint.msi from the Command Line

You can run Setup from the command line to repair or uninstall the Reporting Services Add-in.

  • Run rsSharePoint.msi -r to repair an existing installation.

  • Run rsSharePoint.msi -u to uninstall an existing installation of the Add-in.

Setup Log Files

When Setup runs, it logs information to a log file in the %temp% folder for the user who is installed the Reporting Services Add-in The file name is RS_SP_<number>.log. Each error in the log starts with the string "SSRSCustomActionError".

Configuration and Activation

After you have installed the add-in, you need to Configure and review the feature activation from SharePoint Central Administration. For more information, see How to: Configure Report Server Integration in SharePoint Central Administration and How to: Activate the Report Server Feature in SharePoint Central Administration

Upgrade

If you have an existing installation of the Reporting Services Add-in, you can upgrade to the current version. Setup will detect the existing version and prompt you to confirm the update. If you confirm, the older version of the add-in will be removed and then the new version will be installed.

Note that the Reporting Services Add-in is not instance-aware. You can only have one instance of the add-in on a computer. You cannot run early versions side-by-side the current version.

See Also

Tasks

How to: Switch Server Modes (Reporting Services Configuration)
How to: Install a SharePoint Web Front-end on a Report Server Computer

Concepts

Configuring Reporting Services for SharePoint 2010 Integration

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Register a Service Principal Name (SPN) for a Report Server

How to: Register a Service Principal Name (SPN) for a Report Server |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

If you are deploying Reporting Services in a network that uses the Kerberos protocol for mutual authentication, you must create a Service Principal Name (SPN) for the Report Server service if you configure it to run as a domain user account. Additionally, when you configure a domain user as the service account, the report server must be configured to use NTLM authentication.

About SPNs

An SPN is a unique identifier for a service on a network that uses Kerberos authentication. It consists of a service class, a host name, and a port. On a network that uses Kerberos authentication, an SPN for the server must be registered under either a built-in computer account (such as NetworkService or LocalSystem) or user account. SPNs are registered for built-in accounts automatically. However, when you run a service under a domain user account, you must manually register the SPN for the account you want to use.

To create an SPN, you can use the SetSPN command line utility. For more information, see Setspn Overview on the Microsoft Windows Server TechCenter.

You must be a domain administrator to run the utility on the domain controller.

Syntax

The command syntax for using SetSPN utility to create an SPN for the report server resembles the following:

Copy Code
Setspn -a http/<computername>.<domainname>:<port> <domain-user-account>

SetSPN is available with Windows Server 2003 Service Pack 1 support tool pack, which you must download separately. The -a argument is used to register a service principal name with a particular account.

HTTP is the service class. The Report Server Web service runs in HTTP.SYS. A by-product of creating an SPN for HTTP is that all Web applications on the same computer that run in HTTP.SYS (including applications hosted in IIS) will be granted tickets based on the domain user account. If those services run under a different account, the authentication requests will fail. To avoid this problem, be sure to configure all HTTP applications to run under the same account, or consider creating host headers for each application and then creating separate SPNs for each host header. When you configure host headers, DNS changes are required regardless of the Reporting Services configuration.

The values that you specify for <computername>, <domainname>, and <port> identify the unique network address of the computer that hosts the report server. This can be a local host name or a fully qualified domain name (FQDN). If you only have one domain and are using port 80, you can omit <domainname> and <port> from your command line. <domain-user-account> is the user account under which the Report Server service runs and for which the SPN must be registered.

Register an SPN for Domain User Account

To register an SPN for a Report Server service running as a domain user

  1. Install Reporting Services and configure the Report Server service to run as a domain user account. Note that users will not be able to connect to the report server until you complete the following steps.

  2. Download and install Windows Server 2003 Service Pack 1 Support Tools from the Download Center.

  3. Log on to the domain controller as domain administrator.

  4. Open a Command Prompt window.

  5. Copy the following command, replacing placeholder values with actual values that are valid for your network:

    Copy Code
    Setspn -a http/<computer-name>.<domain-name>:<port> <domain-user-account>

  6. Run the command.

  7. Open the RsReportServer.config file and locate the <AuthenticationTypes> section. Add <RSWindowsNegotiate/> as the first entry in this section to enable NTLM.

See Also

Tasks

How to: Configure a Service Account for Reporting Services

Concepts

Configuring the Report Server Service Account
Reporting Services Configuration How-to Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Switch Server Modes (Reporting Services Configuration)

How to: Switch Server Modes (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

If you configured a report server to run in SharePoint integrated mode, you can detach the report server from a deployment of a SharePoint technology instance by switching the server to native mode.

To switch modes, you point the server to a native mode report server database. You do not have to re-install the report server to switch modes.

Although you can switch the mode for the report server, you cannot switch the mode for the report server database. A report server database contains mode-specific data that is unusable in different context. If you created a report server database in SharePoint integrated mode, you cannot use it with a native mode report server.

There are three ways to switch from SharePoint integrated mode to native mode. From the Reporting Services Configuration tool, in the Database Setup page, do one of the following:

  • Click Change and create a new database.

  • From the list of existing databases, select an existing report server database that already runs in native mode, specify credentials, and click Apply.

  • Click New and create a new database. Be sure to clear the Use the schema that supports SharePoint integrated mode check box.

This topic provides steps for the first approach. For more information about how to configure a native mode report server to run in SharePoint integrated mode, see Configuring Reporting Services for SharePoint 2010 Integration.

To switch to native mode

  1. Click Start, point to Programs, point to Microsoft SQL Server 2008 R2, and then point to Configuration Tools.

  2. Click Reporting Services Configuration. The Report Server Installation Instance Selection dialog box appears so that you can select the report server instance you want to configure.

  3. In Machine Name, specify the name of the computer on which the report server instance is installed. The name of the local computer is specified by default, but you can also type the name of a remote SQL Server instance.

  4. In Instance Name, choose the SQL Server Reporting Services instance that you want to configure.

  5. Click Connect.

  6. Click Database Setup to open the Database Setup page. The page contains information about the database currently in use. The Server Mode should be set to SharePoint integrated.

  7. Click Change.

  8. Click OK to confirm that you want to create a new database.

  9. In the SQL Server Connection dialog box, enter a name for the new database.

  10. Verify that the Create the report server database in SharePoint integrated mode check box is not selected.

  11. Click OK.

  12. On the Database Setup page, specify the credentials that are used to connect to the report server database.

    1. Choose Service credentials to use the Windows service account and Web service account to connect through integrated security.

    2. Choose Windows credentials to specify a domain user account. A domain user account must be specified as <domain>\<user>.

    3. Choose SQL Server credentials to specify a SQL Server login.

  13. Click Apply.

When you switch from a SharePoint integrated report server to native mode, the location of the content and the permissions used to control access to the content is redefined. Content must be republished to the report server, you must assign roles on the report server that grants access to items and operations, and you must redefine subscriptions and scheduled operations. Report history that you created on the report server that ran in SharePoint integrated mode cannot be recreated on a native mode report server.

See Also

Tasks

How to: Configure Report Server Integration in SharePoint Central Administration

Concepts

Configuring Reporting Services for SharePoint 2010 Integration
How to: Install or Uninstall the Reporting Services Add-in
Configuring a Report Server Database Connection
How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration)

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


How to: Turn Reporting Services Features On or Off

How to: Turn Reporting Services Features On or Off |
 | See Also
Configuring Reporting Services > Reporting Services Configuration How-to Topics >

You can turn off report server features that you do not use as part of a lockdown strategy for reducing the attack surface of a production report server. In most cases, you will want to run Reporting Services features concurrently to use all of the functionality provided in Reporting Services. However, depending on your deployment model, you can disable the features that you do not require. For example, you can enable only the background processing if all report processing is configured as scheduled operations. Similarly, you can run just the Report Server Web service if you only want interactive, on-demand reporting.

The procedures in this topic show you how to turn off Reporting Services features. Features can be configured in different ways, such as by editing the RsReportServer.config file directly or by using the Surface Area Configuration for Reporting Services facet of Policy-Based Management in SQL Server Management Studio. Use the links to locate the procedure or procedures that explain how to turn a feature on or off:

  • Report Server Web service

  • Scheduled events and processing

  • Report Manager

  • Report Builder

  • Windows Integrated security for report data sources

Report Server Web Service

To turn on or off the Report Server Web service by editing configuration

  1. Open the RsReportServer.config file in a text editor. For more information, see How to: Modify a Reporting Services Configuration File in SQL Server Books Online.

  2. To turn on the Report Server Web service, set IsWebServiceEnabled to true:

    Copy Code
    <IsWebServiceEnabled>true</IsWebServiceEnabled>

  3. To turn off the Report Server Web service, set IsWebServiceEnabled to false:

    Copy Code
    <IsWebServiceEnabled>false</IsWebServiceEnabled>

  4. Save your changes and then close the file.

To turn on or off the Report Server Web service by using SQL Server Management Studio

  1. Open SQL Server Management Studio and connect to the Reporting Services instance that you want to configure.

  2. In Object Explorer, right-click the Reporting Services node, point to Policies, and click Facets.

  3. In the Facet list, select Surface Area Configuration for Reporting Services.

  4. Under Facet Properties:

    • To turn on the Report Server Web service, set WebServiceAndHTTPAccessEnabled to True.

    • To turn off the Report Server Web service, set WebServiceAndHTTPAccessEnabled to False.

  5. Click OK.

Scheduled Events and Delivery

To turn on or off scheduled events and delivery by editing configuration

  1. Open the RsReportServer.config file in a text editor. For more information, see How to: Modify a Reporting Services Configuration File in SQL Server Books Online.

  2. To turn on scheduled report processing and delivery, set IsSchedulingService, IsNotificationService, and IsEventService to true:

    Copy Code
    <IsSchedulingService>true<\IsSchedulingService>
<IsNotificationService>true<\IsNotificationService>
<IsEventService>true<\IsEventService>

  3. To turn off scheduled report processing and delivery, set IsSchedulingService, IsNotificationService, and IsEventService to false:

    Copy Code
    <IsSchedulingService>false<\IsSchedulingService>
<IsNotificationService>false<\IsNotificationService>
<IsEventService>false<\IsEventService>

  4. Save your changes and then close the file.
Note:
You cannot turn off background processing completely because it provides database maintenance functionality that is required for server operations.

To turn on or off scheduled events and delivery by using SQL Server Management Studio

  1. Open SQL Server Management Studio and connect to the Reporting Services instance that you want to configure.

  2. In Object Explorer, right-click the Reporting Services node, point to Policies, and click Facets.

  3. In the Facet list, select Surface Area Configuration for Reporting Services.

  4. Under Facet Properties:

    • To turn on scheduled events and delivery, set ScheduleEventsAndReportDeliveryEnabled to True.

    • To turn off scheduled events and delivery, set ScheduleEventsAndReportDeliveryEnabled to False.

  5. Click OK.

Note:
You cannot turn off background processing completely because it provides database maintenance functionality that is required for server operations.

Report Manager

To turn on or off Report Manager by editing configuration

  1. Open the RsReportServer.config file in a text editor. For instructions, see How to: Modify a Reporting Services Configuration File in SQL Server Books Online.

  2. To turn on Report Manager, set IsReportManagerEnabled to true:

    Copy Code
    <IsReportManagerEnabled>true<\IsReportManagerEnabled>

  3. To turn off Report Manager, set IsReportManagerEnabled to false:

    Copy Code
    <IsReportManagerEnabled>false<\IsReportManagerEnabled>

  4. Save your changes and then close the file.

To turn on or off Report Manager by using SQL Server Management Studio

  1. Open SQL Server Management Studio and connect to the Reporting Services instance that you want to configure.

  2. In Object Explorer, right-click the Reporting Services node, point to Policies, and click Facets.

  3. In the Facet list, select Surface Area Configuration for Reporting Services.

  4. Under Facet Properties:

    • To turn on Report Manager, set ReportManagerEnabled to True.

    • To turn off Report Manager, set ReportManagerEnabled to False.

  5. Click OK.

Report Builder

To turn on or off Report Builder by using SQL Server Management Studio

  1. Open SQL Server Management Studio and connect to the Reporting Services instance that you want to configure.

  2. In Object Explorer, right-click the Reporting Services node, and click Properties.

  3. In the Server Properties dialog box, under Select a page, click Security.

    • To turn on Report Builder, select the Enable ad hoc report executions option.

    • To turn off Report Builder, unselect the Enable ad hoc report executions option.

  4. Click OK.

Windows Integrated Security

To turn on or off Windows Integrated security by using SQL Server Management Studio

  1. Open SQL Server Management Studio and connect to the Reporting Services instance that you want to configure.

  2. In Object Explorer, right-click the Reporting Services node, and click Properties.

  3. In the Server Properties dialog box, under Select a page, click Security.

    • To turn on Windows Integrated security, select the Enable Windows Integrated security for report data sources option.

    • To turn off Windows integrated security, unselect the Enable Windows Integrated security for report data sources option.

  4. Click OK.

See Also

Tasks

How to: Start Reporting Services Configuration

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Reporting Services Configuration F1 Help Topics

Reporting Services Configuration F1 Help Topics |
 | See Also
Configuring Reporting Services >

This section provides F1 help for the Reporting Services Configuration tool.

In This Section

  • Connect to a Report Server

  • Report Server Status

  • Service Account

  • Web Service URL

  • Advanced Multiple Web Site Configuration

  • Database

  • Change Database Wizard

  • Change Credentials Wizard

  • Report Manager URL

  • E-mail Settings

  • Execution Account

  • Encryption Keys

  • Backup Encryption Key

  • Restore Encryption Key

  • Scale-out Deployment

See Also

Tasks

How to: Start Reporting Services Configuration

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Connect to a Report Server (Reporting Services Configuration)

Connect to a Report Server (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use this dialog box to connect to a local or remote SQL Server 2008 or later Reporting Services report server instance. You cannot use this tool to connect to earlier versions of Reporting Services report servers. You can only connect to one instance at a time.

  • To connect to a local report server instance, use the default values and click Connect. The Reporting Services Configuration tool provides the local server name and detects the default instance. In most cases, you can click Connect without having to change the values. If you installed more than one instance, you must select the one that you want to use.

  • To connect to a remote report server instance, type the server name, click Find, select the instance, and then click Connect.

To open this dialog box, start the Reporting Services Configuration tool. This dialog box appears immediately when you start the tool. For more information, see How to: Start Reporting Services Configuration.

Options

Server Name

Enter the network name of the computer on which SQL Server 2008 or later Reporting Services is installed. Type just the computer name; do not include a prefix or slashes.

Find

Find the computer specified in Server Name.

Report Server Instance

Select which instance to connect to if multiple report server instances are installed. Only valid instances are available for selection. If you are running older versions of Reporting Services side-by-side a SQL Server instance, those instances will not appear in the list.

Connect

Connect to the server and instance you specified.

See Also

Tasks

How to: Start Reporting Services Configuration

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Report Server Status (Reporting Services Configuration)

Report Server Status (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use this page to view information about the report server instance to which you are currently connected. This page is the start page for report server configuration. Additional pages are available to configure URLs, the service account, the report server database, report server e-mail delivery, scale-out deployment, and encryption keys.

To open this page, start the Reporting Services Configuration tool and connect to the report server instance. For more information, see How to: Start Reporting Services Configuration.

If you connect to the report server and all of the page links are grayed out, verify that the Report Server service is started. You can use the Services console application in Administrator Tools to check service status.

Options

SQL Server Instance

Displays information about the report server instance to which you are currently connected. Report server instance names are based on SQL Server named instances. The default instance is MSSQLSERVER. A named instance will be a value that you specified during setup. For more information about instances, see Working with Multiple Versions and Instances of SQL Server in SQL Server Books Online.

Note:
In SQL Server Express with Advanced Services with Advanced Services, the default instance is SQLExpress.

Instance ID

Corresponds to a folder on the file system that stores program files for the SQL Server instance to which you are connected. The Instance ID value is assigned by Setup in the format component.instance, where component is a value that signifies a SQL Server component and instance is an instance name. The default instance name is MSSQLSERVER. For example, if you install default instances of the Database Engine, Analysis Services, and Reporting Services components, the corresponding folder names are MSSQL10_50.MSSQLSERVER, MSAS10_50.MSSQLSERVER, and MSRS10_50.MSSQLSERVER, respectively. If you install a second instance of a component that you already installed, such as the Database Engine, and you name the instance Contoso, the Instance ID is MSSQL10_50.Contoso.

Edition

Displays edition information. Reporting Services is available in SQL Server Express with Advanced Services, Workgroup, Developer, Evaluation, Standard, and Enterprise editions.

Product Version

Displays the version of Reporting Services that you installed.

Report Server Database

Displays the name of the report server database that stores application data for the current report server instance.

Report Server Mode

Shows whether the report server is deployed in native mode or in SharePoint integrated mode. This value will be set to SharePoint integrated mode if the report server database was created using a schema that supports that mode of operation. For more information about deployment modes, see Planning a Deployment Mode in SQL Server Books Online. For more information about all of the steps required to set up integrated operations, see Configuring Reporting Services for SharePoint 2010 Integration.

Server Status

Shows whether the Report Server service is running.

Start

Starts the Report Server service. Restarting the service is necessary after some configuration changes (for example, when reconfiguring a report server after a computer name change). If you reconfigure the URL reservations, the service will restart automatically. The restart is required to pick up the changes.

Stop

Stops the Report Server service. Stopping the service causes the report server to stop working. For more information, see Starting and Stopping the Report Server Service in SQL Server Books Online.

See Also

Tasks

How to: Start Reporting Services Configuration

Concepts

Reporting Services Configuration F1 Help Topics
Initializing a Report Server

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Service Account (Reporting Services Configuration)

Service Account (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use the Service Account page to specify the account under which the Report Server service runs. This account is initially configured during Setup. You can modify it if you want to change the account or password. The Report Server Web service, Report Manager, and the background processing application all run under the service identity you specify on this page.

The account you specify for the Report Server service requires permission to access the registry, report server program files, and the report server database. All permissions are configured for the account automatically when you use the Reporting Services Configuration tool to set the account. If you use the service account to connect to the report server database, the tool creates a database login for the account and configures database permissions by assigning the account to the RSExecRole on the SQL Server instance that hosts the report server database. The report server database is the only data store that a report server writes to. The service account does not require permissions to any other data stores.

To open this page, start the Reporting Services Configuration tool and select the link in the navigation pane. For more information, see How to: Start Reporting Services Configuration.

Important:
Whenever you need to update the account or password, it is strongly recommended that you use the Reporting Services Configuration tool. Using the tool to update the account ensures that other internal settings that depend on the service identity are automatically updated at the same time.

Options

Use a built-in account

Select Network Service, Local System, or Local Service from the list. Only Network Service is recommended; however, you can configure the account to use any account that is available.

Use another account

Select this option to specify a Windows user account. You can enter a local Windows user account or domain user account. Specify a domain account in this format: <domain>\<user>. Specify a local Windows user account in this format: <computer name>\<user>. You can only select an existing account; you cannot create new accounts in Reporting Services Configuration.

The maximum character limit on the account is 20 characters.

If your network uses Kerberos authentication and you configure the report server to run under a domain user account, you must register the service with the user account. For more information, see How to: Register a Service Principal Name (SPN) for a Report Server.

If you switch the account type (for example, replacing one Windows account with another or replacing a built-in account with a Windows domain account), you will be prompted to create a backup copy of the encryption key. The backup copy will be restored automatically when you select the new account.

Note:
The Reporting Services Configuration manager prompts you to back up and restore the encryption key whenever you modify the service account. These steps are necessary for ensuring that encrypted data remains available to the report server. For more information about these actions, see Encryption Keys (Reporting Services Configuration).

Additionally, if you have a report server that is configured to run in SharePoint Integrated mode and you change the service account by using the Reporting Services Configuration tool, you must also open SharePoint Central Administration and use the Reporting Services Grant Database Access page to re-apply the report server and instance settings. This step will grant the new service account access to the SharePoint databases, which is required for integrating Reporting Services with a SharePoint product or technology. For more information about how to grant database access in SharePoint Central Administration, see How to: Configure Report Server Integration in SharePoint Central Administration.

Choosing an Account

For best results, specify an account that has network connection permissions, with access to network domain controllers and corporate SMTP servers or gateways. The following table summarizes the accounts and provides recommendations for using them.

Account Explanation

Domain user accounts

If you have a Windows domain user account that has the minimum permissions required for report server operations, you should use it.

A domain user account is recommended because it isolates the Report Server service from other applications. Running multiple applications under a shared account, such as Network Service, increases the risk of a malicious user taking control of the report server because a security breach for any one application can easily extend to all applications that run under the same account.

A domain user account is required if you are configuring the report server for constrained delegation, or for SharePoint integrated mode with SharePoint 2010 Products which require domain user accounts rather than built-in machine accounts.

Note that if you use a domain user account, you will have to change the password periodically if your organization enforces a password expiration policy. You might also need to register the service with the user account. For more information, see How to: Register a Service Principal Name (SPN) for a Report Server.

Avoid using a local Windows user account. Local accounts typically do not have sufficient permission to access resources on other computers. For more information about how using a local account limits report server functionality, see Considerations for Using Local Accounts in this topic.

Network Service

Network Service is a built-in least-privilege account that has network logon permissions. This account is recommended if you do not have a domain user account available or if you want to avoid any service disruptions that might occur as a result of password expiration policies.

If you select Network Service, try to minimize the number of other services that run under the same account. A security breach for any one application will compromise the security of all other applications that run under the same account.

Local Service

Local Service is a built-in account that is like an authenticated local Windows user account. Services that run as the Local Service account access network resources as a null session with no credentials. This account is not appropriate for intranet deployment scenarios where the report server must connect to a remote report server database or a network domain controller to authenticate a user prior to opening a report or processing a subscription.

Local System

Local System is a highly privileged account that is not required for running a report server. Avoid this account for report server installations. Choose a domain account or Network Service instead.

Considerations for Using Local Accounts

The primary consideration for using local accounts is whether the report server requires access to remote database servers, mail servers, and domain controllers. If you configure the report server to run as a local Windows user account, Local Service, or Local System, you introduce considerations that must be factored into how you set other configuration settings, and on subscription creation and delivery:

  • Running the service under a local account will limit your options later if you configure a connection to a remote report server database. Specifically, if you are using a remote report server database, you will have to configure the connection to use a domain user account or SQL Server database user that has permission to log on to the remote SQL Server instance.

  • Running the service under a local account will introduce new requirements on subscription creation. The report server stores information about the user who creates the subscription. If the user creates the subscription while logged on under a domain account, the Report Server service will try to connect to a domain controller to authenticate the user when the subscription is processed. If the service runs under a local account, the authentication request will fail when the report server tries to send the request to a remote domain controller. To work around this limitation, you can use a custom forms-based authentication extension or have all users connect to a report server under a local user account.

  • Running the service under a local account will introduce new requirements for subscription delivery. Some delivery extensions have user account information in the subscription definition. If you are sending reports to e-mail addresses that are based on domain user accounts and you run the Report Server service under a local account, it cannot access a remote domain controller to resolve the target e-mail account.

See Also

Tasks

How to: Configure a Service Account for Reporting Services

Concepts

Configuring the Report Server Service Account
Reporting Services Configuration F1 Help Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Web Service URL (Reporting Services Configuration)

Web Service URL (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use the Web Service URL page to configure or modify the URL used to access the report server. A URL reservation will be created based on the URL you specify. The URL reservation defines the syntax and rules for all URLs that can be subsequently used to access the Report Server Web service. It specifies the prefix, host, port, and virtual directory for the Report Server Web service. Depending on how you specify the host, multiple URLs might be possible for a single reservation. The default value for the host specifies a strong wildcard. A strong wildcard allows you to specify in a URL any host name that can be resolved to the computer that hosts the report server. For more information about URL configuration and reservations, see How to: Configure a URL (Reporting Services Configuration) and Configuring Report Server URLs.

To open this page, start the Reporting Services Configuration tool and click Web Service URL in the navigation pane. For more information, see How to: Start Reporting Services Configuration.

This page provides values that are commonly used in report server URLs. If you want to create additional URLs, use host headers, or specify the IP address in a particular format, click Advanced.

A link to the Web service will appear on this page after you click Apply. If you click this link before the report server database is created, you can expect to see a "Page Not Found" error. This error will no longer appear once the database is configured. For more information, see How to: Create a Report Server Database (Reporting Services Configuration).

If you reinstalled Reporting Services and find that you get errors when attempting to use the default IP address value of All Assigned and port 80, you can usually resolve the error by re-creating the URL after restarting the service. For instructions, see Troubleshooting Configuration Problems in SQL Server Books Online.

Options

Virtual Directory

Specifies the virtual directory name for the Report Server Web service. You can only have one virtual name for each Report Server Web service instance on the same computer.

IP Address

Identifies the report server computer on a TCP/IP network. Valid values include:

  • All Assigned specifies that any of the IP addresses that are assigned to the computer can be used in a URL that points to a report server application. This value also encompasses friendly host names (such as computer names) that can be resolved by a domain name server to an IP address that is assigned to the computer. This is the default value for a Reporting Services URL.

  • All Unassigned specifies that the report server will accept any request that does not have an exact match for the IP address or host name. Do not use this value if another Web application is already using it. If you do so, you will disrupt service for the other application.

  • 127.0.0.1 is used to access to localhost. It supports local administration on the report server computer. If you select only this value, only users who are logged on locally to the report server computer will have access the application.

  • Nnn.nnn.nnn.nnn is the IPv4 address of a network adapter card on your computer. If your network uses IPv6 addressing, the IP address will be a 128-bit value of 8 4-byte fields similar to the following format: <header>:nnnn:nnnn:nnnn:nnnn

    If you have multiple cards, you will see an IP address for each one. If you select only this value, it will limit application access to the just the IP address (and any host name that a domain name server maps to that address). You cannot use localhost to access a report server, and you cannot use the IP addresses of other network adapter cards that are installed on the report server computer.

TCP Port

Specifies the port that report server monitors for HTTP requests for URLs that include the report server virtual directory name.

SSL Certificate

Binds a certificate to the IP address you specified. The certificate must be installed and configured on the computer. Reporting a Services does not provide features for managing certificates. The certificate must be issued to a host name or a computer name that resolves to the IP address. For example, to use a certificate that was issued to http://salesreports, the IP address you specified must resolve to a server named "salesreports".

If you use a certificate, you must modify the UrlRoot configuration setting in the RSReportServer.config file so that it specifies the fully qualified name of the computer for which the certificate is registered. For more information, see Configuring a Report Server for Secure Sockets Layer (SSL) Connections in SQL Server Books Online.

SSL Port

Specifies the port for SSL connections.

URLs

Displays the URLs defined for the current report server instance.

Advanced

Click to create additional URLs for the current application instance.

See Also

Concepts

Reporting Services Configuration F1 Help Topics
Configuring Report Server URLs

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Advanced Multiple Web Site Configuration (Reporting Services Configuration)

Advanced Multiple Web Site Configuration (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics > Web Service URL (Reporting Services Configuration) >

Use this dialog box to create and manage the URLs used to access a report server or Report Manager. The Advanced Multiple Web Site Configuration dialog box is used to create additional URLs, custom URLs that include a host header name, or specify an IP address in the IPv4 or IPv6 format.

Creating multiple URLs is useful if you want to configure different ways to access a report server. For example, report server access over intranet and extranet connection typically requires that you have different URLs for each type of connection.

To open the Advanced Multiple Web Site Configuration dialog box, click Advanced on the Web Service URL or the Report Manager URL page in the Reporting Services Configuration tool. After the Advanced Multiple Web Site Configuration dialog box is open, you can click Add or Edit to define new URLs or modify or delete existing URLs.

Click OK to save your changes. If you add or remove URLs, but then close the dialog box without first clicking OK, your changes will be lost.

Options

IP Address

Identifies the report server computer on a TCP/IP network. Valid values include:

  • All Assigned specifies that any of the IP addresses that are assigned to the computer can be used in a URL that points to a report server application. This value also encompasses friendly host names (such as computer names) that can be resolved by a domain name server to an IP address that is assigned to the computer. This is the default value for a Reporting Services URL.

  • All Unassigned specifies that the report server will accept any request that does not have an exact match for the IP address or host name. Do not use this value if another Web application is already using it. If you do so, you will disrupt service for the other application.

  • 127.0.0.1 is used to access to localhost. It supports local administration on the report server computer. If you select only this value, only users who are logged on locally to the report server computer will have access the application.

  • Nnn.nnn.nnn.nnn is the IPv4 address of a network adapter card on your computer. If your network uses IPv6 addressing, the IP address will be a 128-bit value of 8 4-byte fields similar to the following format: <header>:nnnn:nnnn:nnnn:nnnn.

    If you have multiple cards, you will see an IP address for each one. If you select only this value, it will limit application access to the just the IP address (and any host name that a domain name server maps to that address). You cannot use localhost to access a report server, and you cannot use the IP addresses of other network adapter cards that are installed on the report server computer.

Port

Specifies the port that report server monitors for requests. Port 80 is the default port. If you use port 80, you do not have to include it in the URL. If you use any other port number, you must always include it in the URL (for example, http://localhost:8181/reports).

Host Header

If you already have a host header defined on a domain name server that resolves to your computer, you can specify that host header in a URL that you configure for report server access.

A host header is a unique name that allows multiple Web sites to share a single IP address and port. Host header names are easier to remember and type than IP address and port numbers. An example of a host header name might be www.adventure-works.com.

SSL Port

Specifies the port for SSL connections. The default port for SSL is 443.

SSL Certificate

Specifies the certificate name of an SSL certificate that you installed on this computer. If the certificate maps to a wildcard, you can use it for a report server connection.

Specifies the fully qualified computer name for which the certificate is registered. The name that you specify must be identical to the name for which the certificate is registered.

You must have a certificate installed to use this option. You must also modify the UrlRoot configuration setting in the RSReportServer.config file so that it specifies the fully qualified name of the computer for which the certificate is registered. For more information, see Configuring a Report Server for Secure Sockets Layer (SSL) Connections in SQL Server Books Online.

Issued To

Shows the name of the computer for which the certificate was created.

Add

Define an additional URL.

Edit

Modify any part of the URL syntax.

Remove

Clear a URL entry from the list.

See Also

Tasks

How to: Start Reporting Services Configuration
How to: Configure a URL (Reporting Services Configuration)

Concepts

Configuring Report Server URLs

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Database (Reporting Services Configuration)

Database (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use the Database page to create and configure the report server databases that provide internal storage for one or more report server instances. If you are configuring a report server to use a remote report server database, you must use the Reporting Services Configuration tool to create the database.

Creating a report server database and configuring the connection is a multi-step process. To guide you through the steps, this page provides Wizards for each type of task. Permissions and logins are created or updated for you. You can monitor the status of each step in the Progress page. If an error occurs, you can click the error for information on how to resolve it.

A report server database must support a specific server mode. The default mode is native mode, but you can also create a report server database for SharePoint integrated mode if you are running a report server in a larger deployment of a SharePoint product or technology. For more information, see How to: Create a Report Server Database (Reporting Services Configuration) and How to: Create a Report Server Database for SharePoint Integrated Mode (Reporting Services Configuration).

To open this page, start the Reporting Services Configuration tool and click Database in the navigation pane. For more information, see How to: Start Reporting Services Configuration.

Options

SQL Server Name

In Current Report Server Database, SQL Server Name specifies the name of the SQL Server 2008 Database Engine that runs the report server database. You can use a default or named instance on a local or remote computer.

Database Name

Specifies the name of the report server database that stores server data.

Report Server Mode

Indicates whether the report server database supports native mode or SharePoint integrated mode. For more information, see Planning a Deployment Mode.

Change Database

Start a wizard that guides you through all of the steps required for creating or selecting a report server database.

Credential Type

Specifies credentials that the report server uses to connect to the report server database. Credential types you can specify include the service account, a Windows domain user, Windows local user, or SQL Server database login. For more information about selecting credentials, see Configuring a Report Server Database Connection.

User Name

Specifies a domain user account if you are using Windows credentials, or a SQL Server login if you are using SQL Server credentials. If you are using Windows credentials, specify them in this format: <domain>\<account>.

Password

Specifies the password for the account.

Change Credentials

Start a wizard that guides you through all of the steps required for selecting a different account or updating the password on the account that is used to connect to the report server database.

See Also

Tasks

How to: Create a Report Server Database (Reporting Services Configuration)

Concepts

Reporting Services Configuration F1 Help Topics
Configuring a Report Server Database Connection
Configuring Reporting Services for Scale-Out Deployment

Other Resources

Report Server Database

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Change Database Wizard (Reporting Services Configuration)

Change Database Wizard (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics > Database (Reporting Services Configuration) >

The Reporting Services Configuration tool provides the Change Database Wizard to guide you through the steps of creating a new report server database or selecting an existing report server database to use with the current report server instance.

If you select a report server database from an earlier version, it will be upgraded to match the version of the report server instance to which it is connected. When the service starts, it checks the database version and upgrades it to the current schema automatically.

To start the wizard, click Change Database on the Database page in the Reporting Services Configuration tool. For instructions on how to start the Reporting Services Configuration tool, see How to: Start Reporting Services Configuration.

Options

Action

Select the task you want to perform. You can create a new database in native or SharePoint integrated mode. Or, you can select an existing report server database to use with the current report server instance.

Database Server

Specify the name of the SQL Server Database Engine instance that hosts the report server database. You can use a SQL Server 2005 or SQL Server 2008 instance. You can use a default or named instance on a local or remote computer. If you are connecting to a named instance, enter the server name in this format: <server>\<instance>.

To connect to the Database Engine instance, you must use credentials that have permission to log on to the server and update database information. The Reporting Services Configuration tool uses your current Windows credentials, but if you do not have a login or database permissions, you must specify a SQL Server database login. You cannot specify different Windows credentials. If you want to connect as a different Windows user, login as that user and then start the Reporting Services Configuration tool.

Connecting to a remote instance requires that you first enable that instance for remote connections. Some versions and editions of SQL Server do not enable remote connections by default. To confirm whether remote connections are allowed, use the SQL Server Configuration Manager tool and confirm that the TCP/IP and Named Pipes protocols are enabled. If the remote instance is also a named instance, verify that the SQL Server Browser service is enabled and running on the target server. SQL Server Browser provides the port number that is used by the named instance to the Reporting Services Configuration tool.

Database

Specifies the name of the report server database that stores server data. You can specify an existing database or create a new database.

Properties that are used to create a new database appear in the Wizard when you select Create new database on the Actions page. The Reporting Services Configuration tool creates two databases that are bound by name: a database to contain static data and a temporary database for storing session and work data. For more information, see Report Server Database in SQL Server Books Online.

You can also choose an existing report server database. The Reporting Services Configuration tool does not filter out invalid databases. Valid databases are based on the report server database schema (you cannot select a database that is missing the necessary tables, views, or stored procedures). If you choose a database that was created for an earlier version of Reporting Services, the database will be upgraded to the current format.

Language

This value is set only when you are creating a new report server database.

With this value, you specify the language in which role definitions and descriptions are created. Reporting Services provides a role-based authorization model that includes a set of predefined roles. These roles are created once in the language you specify. Role names and descriptions never appear in other languages, even if you connect to the report server using a browser that has culture or language settings that are supported by the server. The language that you specify also determines the language used to create the name of the My Reports folder and the Users folders that are part of the My Reports feature. For more information about language support in Reporting Services, see Solution Design Considerations for Multi-Lingual or Global Deployments (Reporting Services) in SQL Server Books Online.

Server Mode

A report server database supports either native mode or SharePoint integrated mode. The modes are mutually exclusive.

If you are creating a new report server database, you must specify a mode. The mode you select determines the structure of the report server database and sets the SharePointIntegrated report server system property to true or false.

If you are selecting a different report server database, the mode of the current database is displayed so that you know how the current database is used. You can select a database that was created for a different mode. Doing so will switch the server mode of the current report server instance. For more information about modes, see Planning a Deployment Mode in SQL Server Books Online.

Credentials

Specifies the account by which the report server connects to the report server database. Valid values include the service account of the Report Server Web service, a SQL Server database login defined on the Database Engine instance you are using to host the report server, or a Windows account. If you are using a Windows account, you can specify a local account (<computername>\<username>) if the report server and the database are on the same computer, or a domain user account (<domain>\<username>) if they are on different computers in the same domain.

The report server will create a database login and assign database permissions for the account you specify.

The report server does not create the account itself. The account you specify must already exist and it must be valid for your deployment configuration. Specifically, if the database is on a remote computer and you want to use a Windows account, you must specify an account that has log on permissions on that computer.

If the computer is in a different or non-trusted domain, consider using a SQL Server database login. For more information about choosing an account, see Configuring a Report Server Database Connection.

Summary

Verify the settings before Setup configures the connection.

Progress and Finish

Monitor the progress of each task.

See Also

Tasks

How to: Create a Report Server Database (Reporting Services Configuration)

Reference

Database (Reporting Services Configuration)
Change Credentials Wizard (Reporting Services Configuration)

Concepts

Reporting Services Configuration F1 Help Topics
Configuring a Report Server Database Connection
Configuring Reporting Services for Scale-Out Deployment

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Change Credentials Wizard (Reporting Services Configuration)

Change Credentials Wizard (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics > Database (Reporting Services Configuration) >

The Reporting Services Configuration Manager provides the Change Credentials Wizard to guide you through the steps of reconfiguring the account that the report server uses to connect to the report server database. When you change credentials, the tool will update all permissions and database login information on the database server for the report server database that is actively used by the report server.

To start the wizard, click Change Credentials on the Database page in the Reporting Services Configuration Manager. For instructions on how to start the Reporting Services Configuration Manager, see How to: Start Reporting Services Configuration.

Options

Database Server

Specifies the name of the SQL Server Database Engine instance that runs the report server database.

To connect to the Database Engine instance, you must use credentials that have permission to log on to the server and update database information. The Reporting Services Configuration tool uses your current Windows credentials, but if you do not have a login or database permissions, you can specify a SQL Server database login.

You cannot specify different Windows credentials. If you want to connect as a different Windows user, login as that user and then start the Reporting Services Configuration tool.

Credentials

Specifies the account by which the report server connects to the report server database. Valid values include the service account of the Report Server Web service, a SQL Server database login defined on the Database Engine instance you are using to host the report server, or a Windows account. If you are using a Windows account, you can specify a local account (<computername>\<username>) if the report server and the database are on the same computer, or a domain user account (<domain>\<username>) if they are on different computers in the same domain.

The report server will create a database login and assign database permissions for the account you specify.

The report server does not create the account itself. The account you specify must already exist and it must be valid for your deployment configuration. Specifically, if the database is on a remote computer and you want to use a Windows account, you must specify an account that has log on permissions on that computer.

If the computer is in a different or non-trusted domain, consider using a SQL Server database login. For more information about choosing an account, see Configuring a Report Server Database Connection.

Summary

Verify the settings before the wizard runs.

Progress and Finish

Monitor the progress of each task.

See Also

Tasks

How to: Create a Report Server Database (Reporting Services Configuration)

Reference

Database (Reporting Services Configuration)
Change Database Wizard (Reporting Services Configuration)

Concepts

Reporting Services Configuration F1 Help Topics
Configuring a Report Server Database Connection
Configuring Reporting Services for Scale-Out Deployment

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Report Manager URL (Reporting Services Configuration)

Report Manager URL (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use the Report Manager URL page to configure or modify the URL used to access Report Manager. By default, the Report Manager URL inherits the prefix, IP address, and port of the Report Server Web service URL. This is because Report Manager provides front-end access to the Web service that runs within the same Report Server service. If you are isolating the service applications and using Report Manager to access a Report Server Web service on a different computer, you must edit RSReportServer.config file to point Report Manager to a different instance. For more information about configuring a Report Manager connection to a remote report server, see How to: Configure Report Manager in SQL Server Books Online.

If you are configuring the report server to run in SharePoint integrated mode, do not create a Report Manager URL. Report Manager is not supported on a report server that runs in SharePoint integrated mode. If a URL already exists for Report Manager, it will become unavailable after you configure the report server to run in SharePoint integrated mode.

To open this page, start the Reporting Services Configuration tool and click Report Manager URL in the navigation pane. For more information about how to start the tool, see How to: Start Reporting Services Configuration.

Note:
If Report Manager is not enabled, you cannot set options on this page. For more information about enabling Report Manager, see How to: Turn Reporting Services Features On or Off.

Options

Virtual Directory

Specifies the virtual directory name for Report Manager. You can only have one virtual directory name for each Report Manager instance on the same computer.

URLs

Displays the URL defined for the current Report Manager instance.

Advanced

Add an additional URL for the current Report Manager instance.

See Also

Tasks

How to: Configure a URL (Reporting Services Configuration)

Concepts

URLs in Configuration Files (Reporting Services)
Configuring Report Server URLs

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


E-mail Settings (Reporting Services Configuration)

E-mail Settings (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use this page to specify Simple Mail Transport Protocol (SMTP) settings that enable report server e-mail delivery from the report server. You can use the Report Server E-Mail delivery extension to distribute reports or report processing notifications through e-mail subscriptions. The Report Server E-Mail delivery extension requires an SMTP server and an e-mail address to use in the From: field.

Additional configuration settings can be used to further customize e-mail subscriptions, including settings that restrict mail server hosts and rendering extension availability. You cannot specify these settings in the Reporting Services Configuration tool. To configure the additional settings, you must manually edit the RSReportServer.config file. For more information, see Configuring a Report Server for E-Mail Delivery and Configuration Files (Reporting Services) in SQL Server Books Online.

To open this page, start the Reporting Services Configuration tool and click E-mail Settings in the navigation pane. For more information, see How to: Start Reporting Services Configuration.

Options

Sender Address

Specifies the e-mail address to use in the From: field of a generated e-mail. You must specify a user account that has permission to send mail from the SMTP server.

Current SMTP Delivery Method

Specifies that report server e-mail is routed through an SMTP server. This is the only delivery method that you can specify in the Reporting Services Configuration tool.

An alternative delivery method is to use a local SMTP service pickup directory. You can use this delivery method if a network SMTP service is not available. To specify a local SMTP service pickup directory, you must edit the RSReportServer.config file. If you edit the configuration file to use a local SMTP service pickup directory, the Reporting Services Configuration tool sets the Delivery method option to custom to indicate that the delivery method is specified in the configuration file.

In the configuration file, the delivery method is set through the SendUsing configuration setting. For more information about specifying the SendUsing setting, see Configuring a Report Server for E-Mail Delivery.

SMTP Server

Specify the SMTP server or gateway to use. You can use a local server or an SMTP server on your network.

See Also

Concepts

Configuring a Report Server for E-Mail Delivery
Reporting Services Configuration F1 Help Topics

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Execution Account (Reporting Services Configuration)

Execution Account (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use this page to configure an account to use for unattended processing. This account is used under special circumstances when other sources of credentials are not available:

  • When the report server connects to a data source that does not require credentials. Examples of data sources that might not require credentials include XML documents and some client-side database applications.

  • When the report server connects to another server to retrieve external image files or other resources that are referenced in a report.

Setting this account is optional, but not setting it limits your use of external images and connections to some data sources. When retrieving external image files, the report server checks to see if an anonymous connection can be made. If the connection is password protected, the report server uses the unattended report processing account to connect to the remote server. When retrieving data for a report, the report server either impersonates the current user, prompts the user to provide credentials, uses stored credentials, or uses the unattended processing account if the data source connection specifies None as the credential type. The report server does not allow its service account credentials to be delegated or impersonated when connecting to other computers, so it must use the unattended processing account if no other credentials are available.

The account you specify should be different from the one used to run the service account. If you configure this account, it is stored in the RSReportServer.config file as an encrypted value. If you are running the report server in a scale-out deployment, you must configure this account the same way on each report server.

You can use any Windows user account. For best results, choose an account that has read permissions and network logon permissions to support connections to other computers. It must have read permissions on any external image or data file that you want to use in a report. Do not specify a local account unless all report data sources and external images are stored on the report server computer. Use the account only for unattended report processing.

Note:
If you are using SQL Server 2008 Express with Advanced Services, you only need to configure this account if you are referencing external images in a report and permission is required to access the image file. SQL Server Express does not support a data source connection to a remote server.

To open this page, start the Reporting Services Configuration tool and select Execution Account in the navigation pane. For more information, see How to: Start Reporting Services Configuration.

Options

Specify an execution account

Select to specify an account.

Account

Enter a Windows domain user account. Use this format: <domain>\<user account>.

Password

Type the password.

Confirm password

Retype the password.

See Also

Concepts

Reporting Services Configuration F1 Help Topics
Storing Encrypted Report Server Data
Configuring the Unattended Execution Account

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Encryption Keys (Reporting Services Configuration)

Encryption Keys (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use the Encryption Keys page to manage the symmetric key that is used to encrypt and decrypt data in a report server. Managing the encryption keys is an important part of report server configuration. Although the symmetric key is created and applied automatically when you create the report server database, you must create a backup copy of the symmetric key so that you can perform routine maintenance operations. The following maintenance tasks require that you have a valid copy of the symmetric key:

  • Changing the service account for the Report Server service.

  • Migrating a Reporting Services installation to a different computer.

  • Configuring a new report server instance to share or use an existing report server database.

Restoring the symmetric key is necessary if you updated the user account of the Report Server service (and you used a tool other than the Reporting Services Configuration tool to change the account), or if you are migrating a report server installation to a new server.

To protect the symmetric key from unauthorized access, the symmetric key is encrypted using the private key of the Report Server service. Only the Report Server service is able to unlock and use the symmetric key for the purpose of storing sensitive data in the report server database. If you change the identity of the Report Server service, or if you migrate the report server to a new computer, the private key of the Report Server service will no longer be able to unlock the symmetric key. To restore access to the symmetric key, the symmetric key must be re-encrypted using the private key of the new Report Server service identity. Restoring the symmetric key is the process by which the re-encryption occurs.

You should restore a symmetric key only if it is the same key that is currently used to encrypt and decrypt data in the report server database. If you restore a symmetric key that is not valid, you will no longer be able to access sensitive data. In this case, you must delete and re-create the key.

Important:
Deleting and recreating the symmetric key is a non-reversible action that can have important ramifications on your current installation. If you delete the key, any existing data that is encrypted by the symmetric key will be deleted along with the key. Deleted data includes connection strings to external report data sources, stored connection strings, and some subscription information.

To open this page, start the Reporting Services Configuration tool and select the link in the navigation pane. For more information, see How to: Start Reporting Services Configuration.

Options

Backup

Copies the symmetric key to a file that you specify. The symmetric key is never stored in plain text. You must type a password to protect the file.

Restore

Applies a previously saved copy of the symmetric key to the report server database. You must provide the password to unlock the file.

The previous copy of the symmetric key for the report server instance you are currently connected to is overwritten by the restored version. After you restore the symmetric key, you must initialize all the report servers that use the report server database. For more information about initializing report servers, see Initializing a Report Server.

Change

Recreates the symmetric key and re-encrypts all encrypted values in the report server database. Be sure to stop the Report Server service before recreating the symmetric key.

In a scale-out deployment, all copies of the symmetric key are replaced with newer versions. Before changing the symmetric key, be sure to review the list of servers that are joined to the scale-out deployment to verify that only valid report server instances are given access to the new key. The servers that are part of a scale-out deployment are listed in the Scale-out Deployment page. Stop the service on each report server in the deployment before recreating the key.

Note that regenerating the symmetric key can be a long-running process if you have many data sources and subscriptions.

Delete

Deletes the symmetric key and all encrypted content, including connection strings and stored credentials. You should only delete the symmetric key if you cannot restore it.

Once you delete the symmetric key, you must re-enter the missing connection strings and stored credentials in the reports and shared data sources that no longer have these values. You must also update all subscriptions that use delivery extensions that store encrypted data. This includes the file share delivery extension and any third-party delivery extension that use encrypted value.

There is no automated way to update this information. Each report, subscription, and shared data source that uses stored credentials and connection strings must be updated one at a time.

See Also

Concepts

Reporting Services Configuration F1 Help Topics
Backing Up and Restoring Encryption Keys
Deleting and Re-creating Encryption Keys
Initializing a Report Server
Storing Encrypted Report Server Data

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Backup Encryption Key (Reporting Services Configuration)

Backup Encryption Key (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics > Encryption Keys (Reporting Services Configuration) >

Reporting Services uses an encryption key to secure sensitive data that is stored in the report server database. Having a backup of this key is essential for ensuring continued access to encrypted connection strings and credentials.

You must have a backup copy of this key if you move the report server database to another computer or if you change the user name or password of the Report Server service account. Both operations require that you restore the key from a backup copy that you previously created.

To open the Backup Encryption Key dialog box, click Encryption Keys in the navigation pane of the Reporting Services Configuration tool, and then click Backup. This dialog box also appears when you update the service account using the Service Account page in the Reporting Services Configuration tool.

Options

File Location

Specify a file name and location for Reporting Services to the symmetric key. The symmetric key is never stored in plain text. You must type a password to protect the file.

Password

Type a password that protects the file against unauthorized access. Only users who know the password will be able to restore the key that is locked inside the file. Reporting Services enforces a strong password policy. The password must be at least 8 characters and include a combination of uppercase and lowercase alphanumeric characters and at least one symbol character.

Confirm Password

Re-type the password you entered.

See Also

Tasks

How to: Start Reporting Services Configuration

Reference

Encryption Keys (Reporting Services Configuration)

Concepts

Reporting Services Configuration F1 Help Topics
Backing Up and Restoring Encryption Keys
Deleting and Re-creating Encryption Keys
Initializing a Report Server
Storing Encrypted Report Server Data

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Restore Encryption Key (Reporting Services Configuration)

Restore Encryption Key (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics > Encryption Keys (Reporting Services Configuration) >

Reporting Services uses an encryption key to secure sensitive data that is stored in the report server database. To ensure that you have continued access to encrypted data, it is important that you create a backup of the encryption key in case you need to restore it later due to changes in the service account or as part of a planned migration.

To restore the key, you must have previously saved a backup copy of the key to a password protected file. During key restoration, the report server will replace an existing key with the key that is found in the password protected file. The key that is inside the file must be identical to the key that is used to encrypt and decrypt data.

To verify whether you restored a valid key, use Report Manager to view subscriptions or any report that has a data source that uses stored credentials. If you receive "The report server is unable to access encrypted data" error when attempting to open a subscription definition page, or if you are prompted to enter credentials when opening a report that previously used stored credentials for the report data source, you restored an invalid key.

If you restore an invalid key that is different from the one used to encrypt the data, it will be impossible to decrypt data that is currently stored in the report server database. If you restore an invalid key, you should immediately restore a backup copy of the correct key if it is available. If you do not have a backup copy of the key that was used to encrypt data, you must delete all encrypted data. Click the Delete button on the Encryption Keys page to perform this step. After you delete the encrypted content, you must manually update all subscriptions and re-specify all stored credentials defined for reports and data-driven subscriptions on the report server.

To open the Restore Encryption Key dialog box, click Encryption Keys in the navigation pane of the Reporting Services Configuration tool, and then click Restore. This dialog box also appears when you update the service account using the Service Account page in the Reporting Services Configuration tool.

Options

File Location

Select the password-protected file that contains a copy of the symmetric key. The default file extension is .snk.

Password

Enter the password that unlocks the file. Only users who know the password can restore the key. Reporting Services enforces a strong password policy. The password must contain at least 8 characters and include a combination of uppercase and lowercase alphanumeric characters and at least one symbol character.

See Also

Tasks

How to: Start Reporting Services Configuration

Reference

Encryption Keys (Reporting Services Configuration)

Concepts

Reporting Services Configuration F1 Help Topics
Backing Up and Restoring Encryption Keys
Deleting and Re-creating Encryption Keys
Initializing a Report Server
Storing Encrypted Report Server Data

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Scale-out Deployment (Reporting Services Configuration)

Scale-out Deployment (Reporting Services Configuration) |
 | See Also
Configuring Reporting Services > Reporting Services Configuration F1 Help Topics >

Use this page to view the initialization status for a scale-out deployment or to join a report server to a scale-out deployment.

An initialized report server describes a server that can encrypt and decrypt sensitive data that is stored in a report server database (stored credentials and connection strings are examples of encrypted data that is stored in the database). Report server initialization is a requirement for report server operations.

A scale-out deployment refers to two or more report server instances that share a single report server database. This configuration is used in the following scenarios:

  • As a prerequisite for load balancing multiple report servers in a server cluster. Before you can load balance multiple report servers, you must first configure them to share the same report server database.

  • To segment report server applications on different computers, by using one server for interactive report processing and a second server for scheduled report processing. In this scenario, each server instance processes different types of requests for the same report server content stored in the shared report server database.

To configure a scale-out deployment, start with two or more report server instances that are all connected to the same report server database. After all of the instances are installed, you connect to the first report server and then use the Scale-out Deployment page to join each additional instance. Only a report server that is already initialized to use a database can initialize additional nodes.

To open this page, start the Reporting Services Configuration tool and select Scale-out Deployment in the navigation pane. For more information, see How to: Start Reporting Services Configuration.

Options

SQL Server Name

Specify the name of the SQL Server Database Engine instance that hosts the report server database.

Database Name

Specifies the name of the database to which the report server instance is currently connected.

Server Mode

Displays the mode of server and database. The server mode is either Native or SharePoint integrated. Scale-out deployments are supported for both modes.

Server

Shows the report server name. In most cases, this is the name of the computer on which the report server is installed.

Instance

Shows the report server instance name. Report server instances are based on SQL Server instances.

Status

Indicates whether the report server is initialized or waiting to join a scale-out deployment:

  • For a standalone report server that is not part of a scale-out deployment, this page shows that the report server instance is initialized with respect to its dedicated report server database. Status is set to Joined.

  • For a report server that is waiting to join a scale-out deployment, this page contains empty values for Server, Instance, and Status. A report server is waiting to join a scale-out deployment if you selected an existing report server database that is already used by another report server instance. A message on this page instructs you to connect to a report server that is already joined to the farm. To complete this request, click Connect, select a report server that is already initialized to use the report server database, click Scale-out Deployment, select the report server instance that is Waiting to Join, and then click Initialize.

  • For a report server that is currently part of a scale-out deployment, this page shows initialization status for all of the report server instances that share the same report server database. When viewing status for a scale-out deployment, it does not matter which server you are connected to. The status information is reported identically for all nodes in the scale-out deployment.

    For a report server that is already part of a scale-out deployment, you can use this page to add or remove nodes.

Initialize

Click Initialize to add a report server to the scale-out deployment. This step configures a report server to use a symmetric key in a shared report server database. You can use Initialize to add a report server instance to a scale-out deployment or to troubleshoot a migration or installation problem.

A report server instance is only available if you have previously configured a connection to the shared report server database. In addition, you must perform the initialization from a report server that is already initialized to use the report server database.

Remove

Click Remove to remove the encryption keys of the selected report server instance from the report server database. You can remove keys to remove a report server from a scale-out deployment or to troubleshoot a migration or installation problem. With this option, only the encryption keys for the specified report server instance are removed. Encrypted data in the report server database is not affected.

As a precaution, be sure to create a backup copy of the symmetric key before you remove it. Once you remove the encryption keys of the last report server in the list, you introduce new requirements for any subsequent report server initialization for that database. The new requirement is that after you initialize a report server you must restore a backup copy of the symmetric key. Restoring the symmetric key is necessary if you want to access the encrypted data that is currently in the report server database.

If you no longer need the encrypted data or if you do not have a backup copy of the key, you must delete the encrypted data. For more information, see Encryption Keys (Reporting Services Configuration).

See Also

Tasks

How to: Configure a Report Server Scale-Out Deployment (Reporting Services Configuration)

Concepts

Configuring Reporting Services for Scale-Out Deployment
Initializing a Report Server
Configuring and Managing Encryption Keys

Help and Information

Getting SQL Server 2008 R2 Assistance
© 2010 Microsoft Corporation. All rights reserved.


Legal Notice for Documentation

Legal Notice for Documentation

This document supports a the final commercial release of the software program "SQL Server 2008 R2". This document is the confidential and proprietary information of Microsoft Corporation.

This document is provided “as-is”. Information and views expressed in this document, including URL and other Internet Web site references, may change without notice. You bear the risk of using it. Some examples depicted in this document are provided for illustration only and are fictitious. No real association or connection is intended or should be inferred.

This document does not provide you with any legal rights to any intellectual property in any Microsoft product. You may copy and use this document for your internal, reference purposes.

© 2010 Microsoft Corporation. All rights reserved.

Microsoft, Active Directory, ActiveX, Bing Maps, Excel, IntelliSense, MSDN, MS-DOS, PivotChart, PivotTable, PowerPoint, SharePoint, SQL Server, Visual Basic, Visual C#, Visual C++, Visual Studio, Windows, Windows NT, Windows Server, and Windows Vista are trademarks of the Microsoft group of companies.

SAP NetWeaver is the registered trademark of SAP AG in Germany and in several other countries.

All other trademarks are property of their respective owners.

Documentation Policy for SQL Server Support and Upgrade

Documentation - Support and Upgrade Policy

Microsoft SQL Server 2008 R2 software documentation includes SQL Server Books Online (“BOL”), readme files, known issues documents, sample code/applications, sample databases, and Knowledge Base articles published by Microsoft, which all contain content about SQL Server features and functionality (all the “Documentation”). The summary below describes the support and upgrade policy for certain features and functionality referenced in the Documentation.

Samples. The primary purpose of a sample contained within Documentation is to illustrate a concept, or a reasonable use of a particular statement or clause. Most samples do not include all of the code that may normally be found in a full production system, as some of the usual data validation and error handling is removed to focus the sample on a particular concept or statement. Microsoft Customer Support Services is not available for any samples contained in the Documentation.

Placeholders. In some cases, a particular feature in SQL Server 2008 R2 has not been sufficiently tested or developed for use. Such features are often listed in a BOL, readme file, or other Documentation as placeholders and are only intended as notations for Microsoft internal reference. Such features are not intended for your use and are not supported by Microsoft Customer Support Services. The attempted use of such features may result in data loss.

Third Party Content. Unless the Documentation states otherwise, third party content, including issues that result from using such third party content with SQL Server 2008 R2, are not supported by Microsoft Customer Support Services.

Undocumented Entry Points. Microsoft Customer Support Services does not provide support for databases or applications that leverage or use undocumented entry points like undocumented APIs, including but not limited to: stored procedures, extended stored procedures, functions, views, tables, columns, properties, or metadata. Such use may result in data loss.

Upgrades. Server and database upgrades to future versions of SQL Server 2008 R2 for applications and databases that leverage and use undocumented entry points also may not work and are not supported by Microsoft Customer Support Services.

For more information about the Microsoft Support Lifecycle policy, visit the following Web site: http://support.microsoft.com/lifecycle.